
  -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+-
   NOTE: This file was automatically generated by `cvs2cl.pl'.  If you
   edit this file, your changes will be lost when someone next runs
   cvs2cl.pl.  See http://www.red-bean.com/~kfogel/cvs2cl.shtml for more.
  -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+- -+-

2002-01-15 20:29  millerjv

	* Modules/Dart.cmake: ENH: Added DELIVER_CONTINUOUS_EMAIL as an
	advanced cache entry.

2002-01-15 18:20  berk

	* Source/cmFindPathCommand.cxx, Source/cmFindProgramCommand.cxx:
	FIX: Entry doc. should never be overwritten. This may cause cmake
	to be re-run very often.

2002-01-15 00:08  hoffman

	* Source/cmDSPWriter.cxx: ENH: do not depend on the .dsp file but
	rather depend on .dsp.cmake and if the .dsp actually changes, then
	write it, so clean and rebuild will not cause many reloads

2002-01-14 23:52  hoffman

	* Source/cmCacheManager.cxx: ENH: try to keep the dsp files from
	changing between each write

2002-01-14 21:28  hoffman

	* Source/cmUnixMakefileGenerator.cxx: remove extra logic not needed
	anymore because of better depends

2002-01-14 21:02  berk

	* Source/cmUnixMakefileGenerator.cxx: Quote echo

2002-01-14 19:49  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: Curses was being
	used without initialization.

2002-01-13 03:55  hoffman

	* Source/cmBorlandMakefileGenerator.cxx: BUG: use borland run time
	dll for shared builds to avoid crashes

2002-01-11 15:54  hoffman

	* Templates/configure: ENH: add support for AIX shared libraries
	with gcc

2002-01-11 15:54  hoffman

	* Templates/configure.in: ENH: add support for shared libraries
	with gcc on AIX

2002-01-10 23:09  hoffman

	* Source/CMakeLists.txt: ENH: make the fltk build default to OFF,
	it fails on too many linux machines with the default build

2002-01-10 23:09  hoffman

	* Source/cmNMakeMakefileGenerator.cxx: BUG: fix build of library in
	other directory if it is not there

2002-01-10 21:22  andy

	* Source/cmConfigureFileCommand.cxx: Add space to output

2002-01-09 22:22  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: make it a modal dialog

2002-01-08 22:18  hoffman

	* Source/cmDSPWriter.cxx: BUG: need spaces around linker options

2002-01-08 22:18  hoffman

	* Source/cmBorlandMakefileGenerator.cxx: BUG: need a larger default
	page size

2002-01-08 18:32  hoffman

	* Source/cmDSPWriter.cxx, Templates/CMakeWindowsSystemConfig.cmake:
	ENH: add CMAKE_EXTRA_LINK_FLAGS to dsp generator

2002-01-08 17:57  hoffman

	* Templates/configure, Templates/configure.in: ENH: use +Z not +z
	for pic and use -fPIC for gcc

2002-01-08 17:53  hoffman

	* Templates/configure, Templates/configure.in: ENH: add -L/usr/lib
	for hp so shared libs find that directory before the pa1.1
	directory

2002-01-07 22:29  barre

	* Modules/FindVTK.cmake: More user friendly (built tree is
	automatically used).

2002-01-07 21:30  hoffman

	* Source/CursesDialog/cmCursesMainForm.cxx: BUG: not all displayed
	messages are errors

2002-01-07 20:49  perera

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmake.cxx, Source/cmake.h: Rolling back symbolic path
	changes until it works on Windows.

2002-01-07 19:12  hoffman

	* Templates/configure: Add sizeof some types support

2002-01-07 19:07  andy

	* Templates/configure.in,
	Templates/CMakeBorlandWindowsSystemConfig.cmake,
	Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsSystemConfig.cmake: Add sizeof some types
	support

2002-01-07 18:47  hoffman

	* Templates/configure, Templates/configure.in: use -shared for
	sunos build

2002-01-06 19:59  perera

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmake.cxx, Source/cmake.h: ENH: Add an invocation that
	maintains symbolic paths to the source and binary trees, mainly for
	systems with automounted network drives.  ENH: CollapseFullPath()
	no longer adds a trailing "/" to directory paths.

2002-01-04 14:23  martink

	* Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp: added release version

2002-01-03 21:02  andy

	* Source/cmAddCustomCommandCommand.cxx,
	Source/cmAddCustomCommandCommand.h: Fix add custom command so that
	it actually executes the code

2002-01-03 19:19  martink

	* Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx: minor fixes

2002-01-03 19:05  martink

	* Source/cmVTKWrapTclCommand.cxx: minor fix

2002-01-03 18:56  martink

	* Source/cmVTKWrapTclCommand.cxx: minor fix

2002-01-03 14:34  martink

	* Source/cmElseCommand.cxx, Source/cmIfCommand.cxx: expand vars nwo
	for exists test

2002-01-02 21:44  martink

	* Source/cmElseCommand.cxx, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h: added exists option for if statement

2002-01-02 21:44  martink

	* Source/cmMakefile.h: added release verison to cmMakefile

2002-01-02 21:44  martink

	* Source/cmake.cxx,
	Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx: prints the relese version

2002-01-02 16:54  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: BUG: put back recursive call to
	make for checking sources

2001-12-31 17:02  berk

	* Source/cmUnixMakefileGenerator.cxx: Type || should have been &&

2001-12-31 16:54  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: ENH: remove one call to make,
	and clean echo stuff a bit

2001-12-30 22:18  berk

	* Source/cmUnixMakefileGenerator.cxx: BUG: fix long depend list
	because it gets cut on the hp: I may look like berk, but it is bill
	H.

2001-12-28 22:00  hoffman

	* Source/MFCDialog/CMakeSetup.dsp: DO NOT USE INCREMENTAL

2001-12-28 22:00  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: remove the rule to run make
	depend from the top with each change in any cmakelist file. 
	Instead, run make depend in the current directory if a source file
	changes, or if a .h file changes or is removed

2001-12-28 22:00  hoffman

	* Source/MFCDialog/MakeHelp.cpp: ENH: use the correct case

2001-12-28 20:54  perera

	* Source/cmSourceFile.cxx: ENH: Classify a file as source or header
	even when the extension is given explicitly.

2001-12-28 20:54  perera

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: BUG: Don't generate build rules
	for header files.

2001-12-28 20:54  perera

	* Source/cmMakefile.cxx: BUG: .txx are not source files. They
	contain template code which can only be compiled when included in a
	regular .cxx file. By themselves, they cause do not cause code to
	be generated.

2001-12-28 20:37  hoffman

	* CMakeLists.txt: remove bad ADD_DEPENDENCIES commands

2001-12-28 17:40  hoffman

	* Source/CMakeLists.txt: ERR: remove bad ADD_DEPENDENCIES commands

2001-12-27 19:55  hoffman

	* Source/cmIfCommand.cxx: remove warning

2001-12-27 18:55  hoffman

	* Source/cmAddDependenciesCommand.cxx: ENH: add error checking

2001-12-21 23:25  barre

	* Source/MFCDialog/CMakeSetupDialog.cpp: Fix: the generator choice
	value was hardcoded and overrode the value passed as a command-line
	param (desktop shortcuts)

2001-12-21 21:19  barre

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.cpp: Fix: vars that have just
	become ADVANCED should be removed from the GUI

2001-12-21 20:39  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: BUG: fix so you can remove a
	directory in the source tree, and clean up echo of commands

2001-12-21 20:10  martink

	* Source/cmake.cxx: add patch hack

2001-12-21 20:10  martink

	* Source/CursesDialog/cmCursesBoolWidget.cxx,
	Source/CursesDialog/cmCursesBoolWidget.h,
	Source/CursesDialog/cmCursesDummyWidget.cxx,
	Source/CursesDialog/cmCursesDummyWidget.h,
	Source/CursesDialog/cmCursesForm.h,
	Source/CursesDialog/cmCursesLabelWidget.cxx,
	Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesStringWidget.cxx,
	Source/CursesDialog/cmCursesStringWidget.h,
	Source/CursesDialog/cmCursesWidget.cxx,
	Source/CursesDialog/cmCursesWidget.h: update interface

2001-12-21 19:54  martink

	* Source/cmBuildCommand.cxx, Source/cmSystemTools.cxx,
	Source/ctest.cxx: fix for dos files on UNIX make -k and flush in
	ctest

2001-12-21 19:44  martink

	* Modules/FindCurses.cmake, Modules/FindJNI.cmake,
	Modules/FindMPI.cmake, Modules/FindPythonLibs.cmake: general
	improvements

2001-12-21 19:40  barre

	* Modules/FindVTK.cmake, Modules/FindVTK.cmake: Change so that
	different flavours of VTK might be chosen by the user. See full
	instructions in that file.

2001-12-21 19:39  martink

	* configure.in, configure: fixed for SGI CC

2001-12-21 19:39  martink

	* Templates/CMakeBorlandWindowsSystemConfig.cmake,
	Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/CMakeWindowsSystemConfig.cmake,
	Templates/DLLHeader.dsptemplate, Templates/configure,
	Templates/configure.in, Templates/staticLibHeader.dsptemplate:
	variety of bug fixes

2001-12-21 14:55  ibanez

	* Source/cmFLTKWrapUICommand.cxx: ENH: No longer tries to create a
	directory for the output

2001-12-21 14:07  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: add support for DESTDIR
	in install targets

2001-12-21 05:01  perera

	* Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in: ENH: Add option to disable
	use of -rpath.

2001-12-20 22:00  hoffman

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.cxx: ENH: fix for win98 check for
	directory existence

2001-12-20 21:10  barre

	* Modules/FindTclsh.cmake, Modules/FindWish.cmake,
	Modules/FindTCL.cmake, Modules/FindTCL.cmake,
	Modules/FindTclsh.cmake, Modules/FindWish.cmake: ENH: ADVANCED was
	not propagated to the new sub-mods

2001-12-20 20:45  barre

	* Modules/FindFLTK.cmake, Modules/FindFLTK.cmake: ENH: mark
	everything ADVANCED

2001-12-20 20:44  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: ENH: add make silent flag for
	nmake and move .SILENT: directive to top of makefile

2001-12-20 20:44  hoffman

	* Templates/CMakeBorlandWindowsSystemConfig.cmake,
	Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/CMakeWindowsSystemConfig.cmake: BUG: must use CACHE
	values in these

2001-12-20 20:44  hoffman

	* Source/cmBorlandMakefileGenerator.cxx: ENH: use better command
	for creating static library

2001-12-20 20:22  barre

	* Modules/FindVTK.cmake: ENH: Also look for 4.2, 4.1, 4.0

2001-12-20 20:17  barre

	* Modules/FindVTK.cmake: ENH: Also look for 4.2, 4.1, 4.0

2001-12-20 13:16  hoffman

	* Example/Demo/demo.cxx: remove fancy cxx stuff from the example

2001-12-20 02:51  barre

	* Modules/FindJNI.cmake: ENH: Make everything ADVANCED

2001-12-19 23:45  hoffman

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmBorlandMakefileGenerator.h,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: ENH: add silent mode for
	makefile builds and fix borland and nmake after the depend stuff

2001-12-19 20:25  hoffman

	* Source/CMakeLists.txt, Source/cmaketest.cxx: add example to tests

2001-12-19 20:25  hoffman

	* Example/CMakeLists.txt, Example/Demo/CMakeLists.txt,
	Example/Demo/demo.cxx, Example/Demo/demo_b.cxx,
	Example/Hello/CMakeLists.txt, Example/Hello/hello.cxx,
	Example/Hello/hello.h: move example into the source tree so it will
	work...

2001-12-19 16:38  barre

	* Modules/FindTCL.cmake: default ActiveState Tcl install dir is now
	C:/Tcl

2001-12-19 13:35  hoffman

	* Source/cmVTKMakeInstantiatorCommand.cxx: change ostrstream to
	strstream

2001-12-19 13:26  hoffman

	* Templates/configure, Templates/configure.in, configure,
	configure.in: check for LANG:std

2001-12-19 02:00  hoffman

	* configure, configure.in, Templates/configure,
	Templates/configure.in: -LANG:std should be default on sgi for ansi
	CXX Flags

2001-12-19 01:32  hoffman

	* Templates/staticLibHeader.dsptemplate: fix comment

2001-12-18 22:30  hoffman

	* Templates/configure, Templates/configure.in: syntax error

2001-12-18 22:16  hoffman

	* Templates/configure: use cxx compiler on sgi to build static libs

2001-12-18 22:16  hoffman

	* Templates/configure.in: use cxx compiler to build static libs on
	sgi

2001-12-18 21:21  martink

	* Modules/FindJNI.cmake: bad spelling of java

2001-12-18 19:55  king

	* Source/cmIfCommand.cxx: ENH: Added error reporting for missing
	arguments to ENDIF.

2001-12-18 18:35  berk

	* Source/CursesDialog/cmCursesBoolWidget.cxx: Fixed warning.

2001-12-18 16:35  king

	* Source/cmVTKMakeInstantiatorCommand.cxx,
	Source/cmVTKMakeInstantiatorCommand.h: ENH: Improved flexibility of
	command by allowing specificiation of separate input and outputs
	source lists.  Multiple input source lists are now also allowed.

2001-12-18 15:21  king

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: ENH: Improved dependency
	generation.  If any cmake.depends is out of date, all of them in
	the tree are re-generated.  This is necessary in certain cases when
	CMakeLists.txt files change.

2001-12-18 14:51  king

	* Source/cmElseCommand.cxx: ENH: Added option to IF command to test
	if a command exists.  Syntax is IF(COMMAND name-of-command).

2001-12-18 14:39  king

	* Source/cmIfCommand.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h: ENH: Added option to IF command to test if a
	command exists.  Syntax is IF(COMMAND name-of-command).

2001-12-18 14:16  king

	* Source/cmMakefile.cxx: BUG: Existing projects have cache entries
	with the same name as the command they adjust (VTK_WRAP_JAVA in
	VTK, for example).  Setting the command name as a variable is too
	dangerous.

2001-12-17 22:44  andy

	* Source/cmSystemTools.cxx: Better handling of new lines when
	moving from dos to unix

2001-12-17 21:19  king

	* Source/cmCommands.cxx, Source/cmVTKMakeInstantiatorCommand.cxx,
	Source/cmVTKMakeInstantiatorCommand.h: ENH: Adding
	VTK_MAKE_INSTANTIATOR command.	This command will be used by VTK
	kits to register their classes with vtkInstantiator.

2001-12-17 21:19  king

	* Source/cmMakefile.cxx: ENH: Each cmake command now adds a cmake
	variable of its own name, set to ON.  This allows constructs in
	CMakeLists.txt files like: IF(FOO_COMMAND)   FOO_COMMAND()
	ENDIF(FOO_COMMAND) This provides the option to add CMake commands
	for extra functionality without breaking compatability with earlier
	versions of CMake.

2001-12-17 16:28  hoffman

	* Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/DLLHeader.dsptemplate: remove stack stuff

2001-12-17 16:28  hoffman

	* Templates/CMakeWindowsSystemConfig.cmake: use a better compiler
	name

2001-12-17 16:15  hoffman

	* Source/cmDSPWriter.cxx: ENH: allow custom commands for files that
	msdev knows about

2001-12-16 23:52  barre

	* Source/cmVTKWrapPythonCommand.cxx: Wrap abstract class too, as
	per David Gobbi's request (for the sake of the internal
	documentation features of python").

2001-12-15 03:41  hoffman

	* Source/cmBuildCommand.cxx: use -i not -k for make

2001-12-13 18:28  berk

	* Source/CursesDialog/cmCursesBoolWidget.cxx,
	Source/CursesDialog/cmCursesBoolWidget.h,
	Source/CursesDialog/cmCursesDummyWidget.cxx,
	Source/CursesDialog/cmCursesDummyWidget.h,
	Source/CursesDialog/cmCursesForm.h,
	Source/CursesDialog/cmCursesLabelWidget.cxx,
	Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesStringWidget.cxx,
	Source/CursesDialog/cmCursesStringWidget.h,
	Source/CursesDialog/cmCursesWidget.cxx,
	Source/CursesDialog/cmCursesWidget.h: Updated toolbar.

2001-12-12 23:27  hoffman

	* Source/CMakeLists.txt: ENH: allow local changes

2001-12-12 18:57  berk

	* Modules/FindMPI.cmake: Added doc.

2001-12-12 17:05  king

	* Modules/FindCurses.cmake: ENH: Added /lib to curses search path.

2001-12-12 16:51  berk

	* Modules/FindMPI.cmake: Added support for a 2nd mpi library
	(usually mpi++)

2001-12-11 20:59  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: cmake.depends files of
	zero size were not being re-written in some cases.  Added a comment
	output to the top of the file so it will be re-written every time.

2001-12-11 19:09  blezek

	* Modules/FindPythonLibs.cmake: ENH: Adding /usr/*/python1.5 for
	RedHat 7.1/Python 1.5 users

2001-12-11 17:29  hoffman

	* Source/cmSubdirDependsCommand.cxx: remove warning

2001-12-11 15:39  hoffman

	* Source/ctest.cxx: ENH: add flush

2001-12-11 15:39  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: check for empty library output
	path

2001-12-11 07:21  ibanez

	* Source/cmFLTKWrapUICommand.h, Source/cmFLTKWrapUICommand.cxx:
	FIX: The command was modified it uses now a target and a source
	list	  composed of .fl files. The names of the generated .cxx
	files are      added internally to the Sources list of the target.

2001-12-11 07:14  ibanez

	* Source/cmUnixMakefileGenerator.cxx, Source/cmTarget.h: FIX:
	GENERATED_CODE type is no longer needed: generated code is not a
	Target.

2001-12-11 07:14  ibanez

	* Source/FLTKDialog/CMakeLists.txt: FIX: FLTK_WRAP_UI command
	modified.

2001-12-11 07:14  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.h: ENH: These files are now
	generated from the .fl file by FLTK_WRAP_UI command.

2001-12-10 17:10  king

	* Modules/FindTclsh.cmake: ENH: Added more filenames for tclsh
	program.  Also now only looks for cygtclsh80 if under cygwin.

2001-12-10 17:04  king

	* Modules/FindTclsh.cmake: ENH: Added more filenames for tclsh
	program.  Also now only looks for cygtclsh80 if under cygwin.

2001-12-10 17:02  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: LIBRARY_OUTPATH_PATH may
	be "set" to the null string, in which case it should be ignored.

2001-12-10 16:27  king

	* Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSubdirDependsCommand.cxx, Source/cmSubdirDependsCommand.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: Parallel build support is
	now automatic.	SUBDIR_DEPENDS command now does nothing.  Also
	fixed a bug in CMakeLists.txt file inheritance when a directory
	level is skipped.

2001-12-10 16:03  king

	* Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSubdirDependsCommand.cxx, Source/cmSubdirDependsCommand.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: SUBDIR_DEPENDS command now
	does nothing.  The parallel build functionality is now automatic. 
	Dependencies are setup to force the same build order as a single
	threaded build, but multiple files in the same directory can be
	built simultaneously.  Also fixed bug with inheriting
	CMakeLists.txt files when a directory level is skipped.

2001-12-09 02:16  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: merge bug fixes to release

2001-12-09 02:16  hoffman

	* Source/cmCacheManager.cxx: merge bug fixes to release, mistaken
	comment in cache

2001-12-09 02:10  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: if LIBRARY_OUTPUT_PATH
	is set, then use the fullpath for a remote target

2001-12-09 01:49  hoffman

	* Source/cmUnixMakefileGenerator.h: WAR: remove warning

2001-12-08 00:11  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: executable extension
	wrong for ctest search, and was not looking in Debug and Release

2001-12-07 23:27  berk

	* Source/cmCacheManager.cxx: If an entry starts with // (network
	paths), double quote it.

2001-12-07 23:15  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: the rule for generating
	a library no longer has the full path, and so the dependency
	targets shouldn't, either.

2001-12-07 23:12  berk

	* Source/cmCacheManager.cxx: Comments start with TWO leading
	slashes not _one_

2001-12-07 21:06  martink

	* Source/cmMakefile.h: version rev

2001-12-07 21:01  martink

	* Source/cmMakefile.h: branches:  1.87.2; release 10

2001-12-07 20:47  hoffman

	* Source/cmMarkAsAdvancedCommand.cxx,
	Source/cmMarkAsAdvancedCommand.h: ENH: add mark as not advanced to
	mark as advanced

2001-12-07 20:47  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: branches:  1.67.2; ENH:
	add mark as not advanced to mark as advanced

2001-12-07 20:47  hoffman

	* Templates/CMakeBorlandWindowsSystemConfig.cmake: branches: 
	1.7.2; ENH: add mark as not advanced to mark as advanced

2001-12-07 20:47  hoffman

	* Source/cmCacheManager.cxx: branches:	1.45.2; ENH: add mark as
	not advanced to mark as advanced

2001-12-07 19:57  hoffman

	* ChangeLog.txt: yet another release

2001-12-07 19:31  hoffman

	* Source/cmaketest.cxx: ENH: convert to windows paths

2001-12-07 18:10  hoffman

	* Source/cmaketest.cxx: ENH: use windows paths to run commands and
	escape spaces

2001-12-07 15:58  hoffman

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.cxx: ENH: add custom commands for
	targets

2001-12-07 15:58  hoffman

	* Source/cmUnixMakefileGenerator.cxx: branches:  1.153.2; ENH: add
	custom commands for targets

2001-12-07 15:58  hoffman

	* Source/cmUnixMakefileGenerator.h: branches:  1.35.2; ENH: add
	custom commands for targets

2001-12-07 15:32  barre

	* Templates/CMakeBorlandWindowsSystemConfig.cmake: Remove "unused
	var" warning from C_FLAGS

2001-12-07 01:02  barre

	* Source/cmNMakeMakefileGenerator.cxx: Do not output library search
	path if the library path option/flag is empty + add
	CMAKE_LINKER_HIDE_PARAMETERS since some linkers just do not support
	the @<< syntax

2001-12-07 01:02  barre

	* Templates/CMakeNMakeWindowsSystemConfig.cmake: branches:  1.9.2;
	Add CMAKE_LINKER_HIDE_PARAMETERS since some linkers just do not
	support the @<< syntax

2001-12-06 22:40  andy

	* Source/CursesDialog/cmCursesMainForm.cxx: branches:  1.22.2; Fix
	bug with string

2001-12-06 22:09  hoffman

	* Source/cmakewizard.cxx: ENH: call convert to unix slashes for
	path and filepath entries

2001-12-06 22:07  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Added support for ~.

2001-12-06 21:50  martink

	* Source/cmSystemTools.cxx: branches:  1.107.2; handle tildas

2001-12-06 18:31  barre

	* Source/cmUnixMakefileGenerator.cxx: Lib path should be converted
	to native path too.

2001-12-06 18:31  barre

	* Source/cmBorlandMakefileGenerator.cxx,
	Source/cmBorlandMakefileGenerator.h,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h: Fix the command quoting pb
	(remove m_QuoteNextCommand), move ConvertToNativePath to NMake gen

2001-12-06 16:49  martink

	* Source/CursesDialog/ccmake.cxx: Cleaning last line at exit.

2001-12-06 16:49  martink

	* Modules/FindDart.cmake: better docs

2001-12-06 16:49  martink

	* Modules/Dart.cmake: better use of modules

2001-12-06 16:49  martink

	* Modules/FindTCL.cmake: branches:  1.18.2; now broken into pieces

2001-12-06 16:49  martink

	* Modules/FindTclsh.cmake, Modules/FindWish.cmake: branches: 
	1.1.2; new modules

2001-12-06 15:24  martink

	* Templates/CMakeSystemConfig.cmake.in: made install prefix non
	advanced

2001-12-05 21:05  barre

	* Source/MFCDialog/CMakeSetupDialog.cpp: If Shift is pressed with
	'OK', then don't quit

2001-12-05 20:36  perera

	* Modules/FindTCL.cmake: ENH: add more possible names for
	executables.

2001-12-05 20:28  barre

	* Source/cmNMakeMakefileGenerator.cxx, Source/cmCacheManager.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: Add single quotes feature.

2001-12-05 20:00  barre

	* Templates/CMakeNMakeWindowsSystemConfig.cmake: Add single quotes
	feature.

2001-12-05 17:07  martink

	* Source/cmMakefile.h: up version

2001-12-05 16:59  martink

	* Source/cmMakefile.h: up version

2001-12-05 16:38  hoffman

	* ChangeLog.txt: new version

2001-12-05 16:37  will

	* CMake.pdf: updated from rtf

2001-12-05 16:32  hoffman

	* CMake.rtf: ENH: update cvs path

2001-12-04 23:49  starreveld

	* Templates/configure.in: branches:  1.31.2;
	
	Add the flat_namespace and undefined suppress flags to OSX builds

2001-12-04 23:49  starreveld

	* Templates/configure: branches:  1.33.2;
	
	Add the flat_namespace and undefined suppress flags to OSX builds

2001-12-04 22:28  hoffman

	* Source/cmSystemTools.cxx: ENH: remove /tmp_mnt from all paths in
	convert to unix slashes

2001-12-04 21:19  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Fixed outdated comment

2001-12-04 20:55  hoffman

	* Templates/CMakeBorlandWindowsSystemConfig.cmake: add tWM to c
	flags as well as CXX flags

2001-12-04 20:53  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Fixed overflow problem.

2001-12-04 20:16  hoffman

	* Templates/CMakeBorlandWindowsSystemConfig.cmake: ENH: add -tWM to
	default flags for compilation

2001-12-04 17:03  hoffman

	* Source/cmUnixMakefileGenerator.cxx: crazy fix for putenv, and
	native path called on custom command paths

2001-12-04 16:20  berk

	* Source/CursesDialog/cmCursesStandardIncludes.h: replacing clear()

2001-12-04 16:16  berk

	* Source/CursesDialog/ccmake.cxx,
	Source/CursesDialog/cmCursesForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx: Added debugging.

2001-12-04 16:16  berk

	* Source/CursesDialog/cmCursesForm.h: branches:  1.4.2; Added
	debugging.

2001-12-04 16:16  berk

	* Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesStringWidget.cxx: branches:  1.5.2;
	Added debugging.

2001-12-04 15:53  barre

	* Modules/FindTCL.cmake: Make shells also ADVANCED

2001-12-04 15:53  barre

	* Modules/Dart.cmake: Remove code duplication. Call FindTcl.cmake,
	which also does the ADVANCED stuff.

2001-12-04 15:53  barre

	* Modules/Documentation.cmake, Modules/FindCygwin.cmake,
	Modules/FindDoxygen.cmake, Modules/FindHhc.cmake,
	Modules/FindPerl.cmake, Modules/FindSelfPackers.cmake,
	Modules/FindUnixCommands.cmake, Modules/FindWget.cmake: Remove
	unneeded test and code duplication. Add WIN32 test. Make all
	ADVANCED.

2001-12-04 15:27  barre

	* Modules/FindPythonLibs.cmake: branches:  1.7.2; Make vars
	ADVANCED for WIN32 (same as Tcl)

2001-12-04 15:11  hoffman

	* Source/CursesDialog/form/frm_driver.c: no c++ comments in c code,
	duhhhh

2001-12-04 00:58  hoffman

	* Source/CursesDialog/form/frm_driver.c: ENH: AIX seems to define
	lines and columns as macros, I undefed them

2001-12-03 23:04  hoffman

	* Templates/CMakeBorlandWindowsSystemConfig.cmake: ENH: fix crashes
	in console apps

2001-12-03 22:47  hoffman

	* Source/cmVariableRequiresCommand.cxx: ENH: let people know the
	variable is advanced

2001-12-03 22:00  hoffman

	* Modules/FindOpenGL.cmake, Source/cmBorlandMakefileGenerator.cxx,
	Templates/CMakeBorlandWindowsSystemConfig.cmake: ENH: fix debugging
	with borland

2001-12-03 22:00  hoffman

	* Source/cmake.cxx: branches:  1.43.2; ENH: add -C load cache file
	option

2001-12-03 20:59  barre

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeCommandLineInfo.cpp,
	Source/MFCDialog/CMakeCommandLineInfo.h: Add /A and /G command-line
	param to carry the value of "Show Advanced" and generator name in
	desktop shortcuts

2001-12-03 20:55  martink

	* Source/ctest.cxx: branches:  1.11.2; minor fix for not found
	executables

2001-12-03 20:48  hoffman

	* CMake.rtf: [no log message]

2001-12-03 20:11  berk

	* Source/cmake.cxx, Source/cmake.cxx: Fixed help.

2001-12-03 18:05  hoffman

	* Source/Makefile.borland: add wizard

2001-12-03 14:39  hoffman

	* CMake.rtf: update docs some

2001-12-02 23:22  ibanez

	* Source/cmFLTKWrapUICommand.cxx: ENH: AddCustomCommand register
	now multiple outputs. Auxiliary variable manage      the output
	directory where FLTK generated code is going to be writen.

2001-11-30 22:20  barre

	* Source/cmBuildCommand.cxx: branches:	1.9.2; fix warning for
	Borland build

2001-11-30 22:20  barre

	* Source/cmDSPWriter.cxx, Source/cmDSWWriter.cxx,
	Source/cmIfCommand.cxx, Source/cmUnixMakefileGenerator.cxx,
	Source/cmake.cxx: fix warning for Borland build

2001-11-30 21:48  hoffman

	* Source/cmakewizard.h: [no log message]

2001-11-30 21:48  hoffman

	* Source/CMakeLib.dsp, Source/CMakeLists.txt,
	Source/Makefile.borland, Source/Makefile.in,
	Source/cmBorlandMakefileGenerator.cxx,
	Source/cmBorlandMakefileGenerator.h,
	Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmBorlandMakefileGenerator2.h, Source/cmForEachCommand.cxx,
	Source/cmake.cxx, Source/cmakemain.cxx, Source/cmakewizard.cxx,
	Templates/CMakeBorlandWindowsSystemConfig.cmake,
	Templates/CMakeWindowsBorlandConfig.cmake,
	Templates/CMakeWindowsBorlandConfig2.cmake: new borland generator
	moved into place

2001-11-30 21:27  hoffman

	* Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h: Replace with nmake subclassed
	generator

2001-11-30 21:04  barre

	* Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx: Add options for library manager
	(lib).

2001-11-30 21:04  barre

	* Templates/CMakeNMakeWindowsSystemConfig.cmake: Add options for
	library manager (lib). Alpha sort

2001-11-30 20:55  berk

	* Modules/FindTCL.cmake: Unix users are smarter.

2001-11-30 20:04  berk

	* Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesStringWidget.cxx: Improving interface.

2001-11-30 19:50  hoffman

	* Source/CursesDialog/cmCursesMainForm.cxx: print cmake running
	message to cerr

2001-11-30 19:33  barre

	* Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Source/cmNMakeMakefileGenerator.cxx: Add linker flags for each
	build type

2001-11-30 19:24  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Better documentation.

2001-11-30 19:16  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Better documentation.

2001-11-30 18:59  berk

	* Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesStringWidget.cxx: Improved help.

2001-11-30 18:53  berk

	* Templates/CMakeSystemConfig.cmake.in: Removed unused options.

2001-11-30 18:10  barre

	* Templates/CMakeNMakeWindowsSystemConfig.cmake: CMAKE_ANSI_CFLAGS
	is used by VTK, so it should be set in the NMake config so that it
	gets expanded (even to "")

2001-11-30 18:09  hoffman

	* Source/cmNMakeMakefileGenerator.cxx: fix library suffix

2001-11-30 17:41  hoffman

	* Source/cmUnixMakefileGenerator.cxx: remove suffix rules

2001-11-30 17:05  hoffman

	* Source/cmUnixMakefileGenerator.cxx: add new suffix rules

2001-11-30 16:34  berk

	* Source/CursesDialog/ccmake.cxx,
	Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesStandardIncludes.h: Can non use clear
	because it is undef'ed.

2001-11-30 15:58  berk

	* Source/CursesDialog/ccmake.cxx: Fixed warning.

2001-11-30 15:51  berk

	* Source/CursesDialog/ccmake.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx: Fixed warning.

2001-11-30 15:51  berk

	* Source/CursesDialog/cmCursesMainForm.h: branches:  1.10.2; Since
	it is being used as an array size in another file, it is not
	possible to initialize MAX_WIDTH in a .cxx file.

2001-11-30 15:51  berk

	* Source/CursesDialog/cmCursesMainForm.cxx: Since it is being used
	as an array size in another file, it is not possible to initialize
	MAX_WIDTH in a .cxx file.

2001-11-30 15:41  hoffman

	* Source/cmUnixMakefileGenerator.cxx: fix warning

2001-11-30 15:39  berk

	* Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesLongMessageForm.h: Missed std::

2001-11-30 15:27  berk

	* Source/CursesDialog/cmCursesMainForm.h: Missed std::

2001-11-30 15:27  berk

	* Templates/CMakeSystemConfig.cmake.in: CMAKE_WORDS_BIGENDIAN
	should not be in the cache.

2001-11-30 15:23  berk

	* Modules/FindPythonLibs.cmake: PYTHON_DEBUG_LIBRARY is only used
	on Windows.

2001-11-30 14:19  barre

	* Templates/CMakeSystemConfig.cmake.in: fix: If documentation
	added, then need cache type

2001-11-30 04:45  berk

	* Source/CursesDialog/cmCursesLongMessageForm.cxx,
	Source/CursesDialog/cmCursesLongMessageForm.h: opps I forgot to add
	these

2001-11-30 04:24  hoffman

	* Source/Makefile.borland, Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsBorlandConfig2.cmake: ENH: fix various
	problems caused by the generalization of nmake generator

2001-11-30 01:59  barre

	* Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsBorlandConfig2.cmake: Nmake build: move most
	of hard-coded values to config parameters

2001-11-30 01:59  barre

	* Templates/CMakeWindowsSystemConfig.cmake: branches:  1.13.2;
	Nmake build: move most of hard-coded values to config parameters

2001-11-29 21:44  berk

	* Source/cmListFileCache.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/ctest.cxx,
	Source/CursesDialog/CMakeLists.txt, Source/CursesDialog/ccmake.cxx,
	Source/CursesDialog/cmCursesCacheEntryComposite.cxx,
	Source/CursesDialog/cmCursesCacheEntryComposite.h,
	Source/CursesDialog/cmCursesForm.h,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h: Improvements to the curses
	interface.

2001-11-29 20:14  hoffman

	* Source/MFCDialog/CMakeSetup.cpp: ENH: fix memory leaks

2001-11-29 19:51  barre

	* Source/cmNMakeMakefileGenerator.cxx: Fix space pb (embended, then
	escaped)

2001-11-29 14:22  hoffman

	* Source/Makefile.borland: add bootstrap makefile for borland
	compiler

2001-11-29 14:09  hoffman

	* Source/CMakeLists.txt, Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmakewizard.cxx, Templates/CMakeWindowsBorlandConfig2.cmake:
	fix for shared libs and borland

2001-11-29 06:46  ibanez

	* Source/cmTarget.h: ENH: A type of target was added for
	representing GENERATED_CODE

2001-11-29 06:46  ibanez

	* Source/cmFLTKWrapUICommand.cxx: ENH: Custom commands are now
	builded.

2001-11-29 06:46  ibanez

	* Source/cmUnixMakefileGenerator.cxx: ENH: GENERATED_CODE case
	added to switch.

2001-11-28 23:07  hoffman

	* Source/CMakeLib.dsp, Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmBorlandMakefileGenerator2.h,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Templates/CMakeWindowsBorlandConfig2.cmake: ENH: borland generator
	2 is working more or less

2001-11-28 19:44  ibanez

	* Source/cmFLTKWrapUICommand.h: ENH: The command was simplified to
	generate a source list of cxx from a	  source list of .fl GUI
	files.

2001-11-28 19:44  ibanez

	* Source/cmFLTKWrapUICommand.cxx: ENH: Command simplified in order
	to construct a Source list of .cxx from      a source list of .fl
	GUI files.

2001-11-28 17:49  barre

	* Modules/FindPythonLibs.cmake: Fynd Python debug lib in usual libs
	dir too

2001-11-28 16:12  hoffman

	* Source/CMakeLists.txt, Source/cmBorlandMakefileGenerator2.cxx,
	Source/cmBorlandMakefileGenerator2.h,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h, Source/cmake.cxx: add new
	borland generator

2001-11-28 15:51  hoffman

	* Source/cmaketest.cxx: [no log message]

2001-11-28 12:14  hoffman

	* Source/cmMarkAsAdvancedCommand.cxx: fix warning

2001-11-28 12:14  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: bug: fix same path comparison
	when short paths are used

2001-11-28 00:38  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: FIX: When
	switching from one project to another the CacheGUI wasn't being    
	 cleared. Values from one project were mixed into the other.

2001-11-27 22:53  berk

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: nmake generator much closer
	to working with spaces

2001-11-27 22:31  berk

	* Source/cmMakefile.cxx: branches:  1.109.2; ENH: expand variables
	in a command before escaping spaces in the command

2001-11-27 22:31  berk

	* Source/cmOptionCommand.cxx: ENH: do not write over existing cache
	values even doc strings to avoid changing the cache file

2001-11-27 21:12  berk

	* Source/cmDSPWriter.cxx: remove unused include

2001-11-27 20:32  martink

	* Source/cmLinkLibrariesCommand.cxx: removed extra lib paths to
	avoid finding old libs

2001-11-27 20:32  martink

	* Source/MFCDialog/CMakeSetup.rc: adjusted spacing

2001-11-27 20:32  martink

	* Modules/FindTCL.cmake: made some vars advanced

2001-11-27 20:20  martink

	* Modules/Dart.cmake: made some vars advanced

2001-11-27 05:02  ibanez

	* Source/cmUnixMakefileGenerator.cxx: ENH: Support for FLTK Fluid
	tool added.

2001-11-27 05:02  ibanez

	* Source/cmCommands.cxx: ENH: Command for running FLTK's UI tool
	"Fluid" was added.

2001-11-27 04:57  ibanez

	* Modules/FindFLTK.cmake: branches:  1.5.2; ENH: Support for
	running FLUID was added.

2001-11-27 03:40  ibanez

	* Source/cmFLTKWrapUICommand.cxx, Source/cmFLTKWrapUICommand.h:
	Command for invoking FLTK's code generator "Fluid" during the
	building process

2001-11-26 23:24  hoffman

	* Modules/Dart.cmake, Source/CMakeLists.txt,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmCommands.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmakewizard.cxx, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/resource.h,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsSystemConfig.cmake,
	Source/cmMarkAsAdvancedCommand.cxx,
	Source/cmMarkAsAdvancedCommand.h: ENH: add advanced variable types
	and command line wizard gui

2001-11-26 23:24  hoffman

	* Source/cmFindFileCommand.cxx, Source/cmFindFileCommand.h,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindPathCommand.cxx, Source/cmFindPathCommand.h,
	Source/cmFindProgramCommand.cxx, Source/cmFindProgramCommand.h:
	ENH: add possibility to add doc strings to varibles created by find
	type commands

2001-11-26 21:32  berk

	* Source/cmCacheManager.cxx: Oops. The wrong version of the
	duplicate code was kept. Loaded cache values were not made
	internal.

2001-11-26 20:45  berk

	* Modules/FindTCL.cmake: TK_INTERNAL_PATH is only needed on
	Windows.

2001-11-26 16:31  martink

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: removed warning
	messages

2001-11-26 16:31  martink

	* Source/cmIfCommand.cxx: better error messages

2001-11-24 23:47  barre

	* Modules/Dart.cmake: I want to be able to start/end
	experimental-only dashboards

2001-11-21 22:45  hoffman

	* Source/cmCacheManager.cxx, Source/cmDSPWriter.cxx,
	Source/cmNMakeMakefileGenerator.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmake.cxx, Source/cmaketest.cxx: NMake with spaces in
	directories

2001-11-21 16:35  andy

	* Source/cmCacheManager.cxx: Fix the current directory check for
	NMake

2001-11-21 13:46  hoffman

	* Source/cmQTWrapUICommand.cxx,
	Source/cmVariableRequiresCommand.cxx: WAR: fix warning

2001-11-21 13:46  hoffman

	* Source/cmake.cxx: ENH: clean up command line arguments

2001-11-20 22:50  hoffman

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmake.cxx, Source/cmake.h: ENH: add command line arguments
	to set cache entries

2001-11-20 22:26  berk

	* Source/cmNMakeMakefileGenerator.cxx: ENH: closer to working with
	spaces in source directory

2001-11-20 22:26  berk

	* Source/cmDSPWriter.cxx: BUG: fix for spaces in path to
	CMakeList.txt file

2001-11-20 22:26  berk

	* Source/cmaketest.cxx: BUG: fix memory leak

2001-11-20 13:28  hoffman

	* Source/cmStandardIncludes.h,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesStandardIncludes.h: define hacks and
	such for the dec compiler

2001-11-19 22:52  hoffman

	* Source/cmCommands.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmVariableRequiresCommand.cxx,
	Source/cmVariableRequiresCommand.h,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: add new command
	VARIABLE_REQUIRES for better debugging of list files

2001-11-19 14:34  hoffman

	* Source/cmVariableRequiresCommand.cxx,
	Source/cmVariableRequiresCommand.h: [no log message]

2001-11-19 14:20  hoffman

	* Source/MFCDialog/CMakeLists.txt: ENH: remove unused source files

2001-11-16 21:42  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: look for cmake test with
	.exe if nmake

2001-11-16 21:28  hoffman

	* Source/cmNMakeMakefileGenerator.cxx: ENH: fix for dll builds

2001-11-16 21:28  hoffman

	* Source/MFCDialog/CMakeLists.txt, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/MakeHelp.cpp,
	Source/MFCDialog/MakeHelp.h, Source/MFCDialog/resource.h: face lift
	for GUI and some more help

2001-11-16 18:08  bettingf

	* Source/cmUnixMakefileGenerator.cxx: Added a make depend in the
	clean rule to refresh the dependencies

2001-11-16 15:14  bettingf

	* Source/cmUnixMakefileGenerator.cxx: undo the last change because
	of problem with some versions of make

2001-11-16 14:40  bettingf

	* Modules/FindQt.cmake: fixed QT_UIC_EXE name

2001-11-16 14:01  bettingf

	* Source/cmMakeDepend.cxx: Now adds dependency if the file doesn't
	exist but will be created during the compilation

2001-11-16 14:01  bettingf

	* Source/cmUnixMakefileGenerator.cxx: added the deletion of
	cmake.depends in the cleaning so that it is recomputed even source
	files (i.e. .cxx or .h) are generated

2001-11-16 14:01  bettingf

	* Source/cmQTWrapUICommand.cxx, Source/cmQTWrapUICommand.h:
	corrected path problem and added moc compilation too

2001-11-16 03:10  hoffman

	* Source/Makefile.in: remove depend on star dot h as it is not
	really needed and breaks some versions of gmake

2001-11-15 23:18  hoffman

	* Source/cmNMakeMakefileGenerator.cxx: ENH: use crazy temp files
	for long command lines

2001-11-15 22:45  hoffman

	* Source/cmNMakeMakefileGenerator.cxx: ENH: remove debug prints

2001-11-15 22:11  hoffman

	* Modules/Dart.cmake, Source/cmBuildCommand.cxx,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsBorlandConfig.cmake,
	Templates/CMakeWindowsSystemConfig.cmake: closer to nmake working,
	added CMAKE_MAKE_COMMAND instead of MAKECOMMAND used by Dart, nmake
	makefiles work with borland make and nmake

2001-11-15 19:52  millerjv

	* Modules/Dart.cmake: ENH: New make targets for Continuous builds. 
	Added a NightlyStart and NightlyUpdate target for unix builds as
	well.

2001-11-15 19:52  millerjv

	* DartConfig.cmake: ENH: Changed Nightly start time

2001-11-15 14:55  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.h, Source/cmake.cxx: ENH: fix
	library builds with nmake

2001-11-15 14:00  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: wrong shortname used

2001-11-15 13:42  hoffman

	* Source/cmaketest.cxx: BUG: fix build for cygwin

2001-11-15 13:42  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: avoid .cxx.o names...

2001-11-14 23:11  hoffman

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmake.cxx,
	Source/cmaketest.cxx, Source/cmaketest.h.in,
	Templates/CMakeNMakeWindowsSystemConfig.cmake: Closer to nmake
	build

2001-11-14 23:11  hoffman

	* Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h: closer to nmake build

2001-11-14 19:39  barre

	* Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/resource.h:
	Quick addition: "Create shortcut" menu entry.

2001-11-14 15:21  hoffman

	* Templates/CMakeNMakeWindowsSystemConfig.cmake,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: nmake support

2001-11-14 14:55  king

	* Source/CursesDialog/form/frm_driver.c: ERR: Fixed compiler
	warning for gcc 3.0.

2001-11-14 14:55  king

	* Source/CursesDialog/ccmake.cxx: ERR: Re-ordered includes to fix
	macro conflict for gcc 3.0.

2001-11-14 14:22  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: remove debug statements

2001-11-14 13:49  hoffman

	* Source/FLTKDialog/CMakeSetupGUI.cxx: ENH: remove warning

2001-11-13 23:23  hoffman

	* Source/CMakeLib.dsp, Source/CMakeLists.txt,
	Source/cmNMakeMakefileGenerator.cxx,
	Source/cmNMakeMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: start work on nmake generator

2001-11-13 20:54  hoffman

	* Source/cmUnixMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.cxx: clean up object file build
	rule, and do not attempt to remove link_directories that are in the
	build tree

2001-11-13 19:22  martink

	* Source/CMakeLists.txt, Source/CursesDialog/CMakeLists.txt: fixes
	to curses stuff

2001-11-13 17:42  hoffman

	* Source/CursesDialog/form/fty_num.c: warnings

2001-11-13 17:38  hoffman

	* Source/cmCacheManager.cxx, Source/cmForEachCommand.cxx,
	Source/cmIncludeExternalMSProjectCommand.cxx,
	Source/cmMakefile.cxx, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: clean up
	warnings

2001-11-13 17:25  hoffman

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx: WAR: fix compile
	warnings

2001-11-13 17:21  hoffman

	* Source/CursesDialog/cmCursesMainForm.cxx: ENH: remove warnings

2001-11-13 17:21  hoffman

	* Source/cmAddDependenciesCommand.h: ENH: fix spelling error

2001-11-12 20:37  king

	* Source/cmMakeDepend.cxx: ENH:
	cmMakeDepend::GenerateDependInformation will now use hints
	regardless of whether the actual file exists.  This can be used to
	add dependencies to .h files which are generated but included in
	hand-written .cxx files.  If the .cxx does exist, though, it will
	be used first, and the hints will be used afterward.

2001-11-12 14:21  martink

	* Source/cmDSPWriter.cxx: minor fix

2001-11-11 04:01  ibanez

	* Modules/FindX11.cmake:      Module to search for the installation
	of X11

2001-11-09 21:16  berk

	* Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/ccmake.cxx, Source/CursesDialog/ccurses.cxx:
	Renaming ccurses to ccmake.

2001-11-09 21:15  barre

	* Modules/FindSelfPackers.cmake: Self-packers

2001-11-09 21:05  berk

	* Source/CMakeLists.txt, Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/cmCursesStandardIncludes.h,
	Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_req_name.c: Trying to fix curses.

2001-11-09 18:00  martink

	* Templates/DLLHeader.dsptemplate: branches:  1.16.2; support for
	custom targets on exe and lib

2001-11-09 18:00  martink

	* Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate: support for custom targets on
	exe and lib

2001-11-09 18:00  martink

	* Templates/staticLibHeader.dsptemplate: branches:  1.12.2; support
	for custom targets on exe and lib

2001-11-09 17:07  bettingf

	* Source/cmQTWrapCPPCommand.cxx, Source/cmQTWrapCPPCommand.h:
	cleanups

2001-11-09 17:07  bettingf

	* Modules/FindQt.cmake: support for compilation of .ui files into
	.h and .cxx files

2001-11-09 17:02  bettingf

	* Source/cmQTWrapUICommand.h, Source/cmQTWrapUICommand.cxx,
	Source/cmCommands.cxx, Source/cmUnixMakefileGenerator.cxx: support
	for compilation of .ui files into .h and .cxx files

2001-11-09 15:42  barre

	* Source/cmAddCustomCommandCommand.cxx: SOURCE, COMMAND, TARGET are
	required now

2001-11-09 15:37  barre

	* Source/cmAddCustomCommandCommand.h: SOURCE, COMMAND, TARGET are
	required now

2001-11-09 15:33  barre

	* Source/cmAddCustomCommandCommand.cxx,
	Source/cmAddCustomCommandCommand.h: Reimplement code. Since a
	custom command is very flexible and might be extended in the
	future, make all arguments prefixed with arg type, make ordering
	irrelevant and potentially all args optional.

2001-11-08 22:30  berk

	* Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_req_name.c: Trying to fix curses
	problems.

2001-11-08 22:25  berk

	* Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_req_name.c: Fixing problems with
	curses headers.

2001-11-08 22:17  berk

	* Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_req_name.c: Trying to fix curses
	problems.

2001-11-08 22:10  berk

	* Source/CursesDialog/form/form.h: Oops.

2001-11-08 22:03  berk

	* CMakeLists.txt, Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/form/CMakeLists.txt,
	Source/CursesDialog/form/form.h,
	Source/CursesDialog/form/nc_alloc.h: Changes to remove warnings and
	fix dependencies.

2001-11-08 20:09  martink

	* Source/cmDSWWriter.cxx: a better fix maybe

2001-11-08 19:44  hoffman

	* Source/cmDSWWriter.cxx: make sure custom targets are in the
	ALL_BUILD

2001-11-08 19:34  barre

	* Source/cmAddCustomCommandCommand.cxx: Fix number of params and
	expand vars in all args

2001-11-08 16:50  barre

	* Source/cmSourceFilesCommand.cxx: Fix bug. Was using unexpanded
	var instead of copy

2001-11-08 16:40  barre

	* Source/cmAddLibraryCommand.cxx: Break the "to infinity and
	beyond" stuff

2001-11-08 15:48  barre

	* Source/cmAddLibraryCommand.cxx: Expand var in srclist name too

2001-11-08 15:40  barre

	* Source/cmSourceFilesCommand.cxx: Expand var in name too

2001-11-08 14:16  barre

	* Source/cmAddDependenciesCommand.cxx: Expand variables in all
	target args

2001-11-08 13:42  berk

	* Source/cmUnixMakefileGenerator.cxx: Needed to replace srcdir to
	make install targets work.

2001-11-07 22:12  hoffman

	* Templates/configure, Templates/configure.in: put back
	CMAKE_TEMPLATE_FLAGS

2001-11-07 22:04  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: no +=+

2001-11-07 21:47  andy

	* Source/cmAddCustomCommandCommand.cxx,
	Source/cmAddCustomCommandCommand.h, Source/cmCommands.cxx: Added
	accessor for add custom command

2001-11-07 21:07  barre

	* Modules/FindUnixCommands.cmake: Add cp (CP)

2001-11-07 20:57  hoffman

	* configure.in: branches:  1.19.2; remove template flags from
	cmake, no ptused, or -instance=static

2001-11-07 20:57  hoffman

	* Source/CursesDialog/cmCursesStandardIncludes.h: Trying to fix
	curses problems with some systems.

2001-11-07 20:57  hoffman

	* configure: branches:	1.20.2; remove template flags from cmake,
	no ptused, or -instance=static

2001-11-07 20:57  hoffman

	* Source/cmUnixMakefileGenerator.cxx, Templates/configure,
	Templates/configure.in: remove template flags from cmake, no
	ptused, or -instance=static

2001-11-07 20:01  berk

	* Source/CursesDialog/cmCursesStandardIncludes.h: Trying to fix
	build problems related to curses.

2001-11-07 19:55  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: use full source name for
	c code as well as c++

2001-11-07 19:44  hoffman

	* Source/CursesDialog/ccurses.cxx: use cmake as the executable for
	cmake and not ccurses

2001-11-07 19:44  hoffman

	* Source/cmUnixMakefileGenerator.cxx: make sure default_target is
	first

2001-11-07 18:46  hoffman

	* CMakeLists.txt: ENH: add ansi flag for c compiler

2001-11-07 17:23  hoffman

	* Source/cmMessageCommand.cxx: Allow multiline messages

2001-11-07 14:54  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: Clean up a bit more

2001-11-07 14:29  hoffman

	* Source/cmCacheManager.cxx: One more time...  case does not matter
	on cygwin

2001-11-06 21:14  hoffman

	* Source/cmExecProgramCommand.h: ENH: fix doc string

2001-11-06 20:29  bettingf

	* Source/cmQTWrapCPPCommand.cxx,
	Source/cmUnixMakefileGenerator.cxx: add cleaning of QT generated
	files when make clean is used

2001-11-06 17:03  hoffman

	* Source/CursesDialog/ccurses.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h: ENH: tell cmake object
	where cmake is

2001-11-06 14:35  hoffman

	* Source/cmCableWrapTclCommand.cxx, Source/cmQTWrapCPPCommand.cxx,
	Source/cmVTKWrapJavaCommand.cxx, Source/cmVTKWrapPythonCommand.cxx,
	Source/cmVTKWrapTclCommand.cxx: BUG: CustomCommand has to use full
	path to Source file now

2001-11-06 13:40  hoffman

	* Source/CursesDialog/form/fld_type.c,
	Source/CursesDialog/form/form.h: Removed a function which used
	va_start (did not compile on Sun with gcc)

2001-11-06 03:10  berk

	* Source/CursesDialog/ccurses.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesStringWidget.cxx: Many improvements.

2001-11-06 03:10  berk

	* Source/CursesDialog/cmCursesBoolWidget.cxx,
	Source/CursesDialog/cmCursesLabelWidget.cxx: branches:	1.2.2; Many
	improvements.

2001-11-05 21:38  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: use full paths for
	object compile rules

2001-11-05 20:55  berk

	* Source/CMakeLists.txt, Source/CursesDialog/cmCursesMainForm.cxx:
	Re-enabling curses support.

2001-11-05 20:39  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: change to work with
	nmake

2001-11-05 18:22  berk

	* Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesWidget.h: branches:  1.4.2; HPUX
	support.

2001-11-05 18:22  berk

	* Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/cmCursesForm.h,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_req_name.c,
	Source/CursesDialog/cmCursesStandardIncludes.h: HPUX support.

2001-11-05 18:22  berk

	* Modules/FindCurses.cmake: branches:  1.2.2; HPUX support.

2001-11-05 17:57  lorensen

	* Source/cmIncludeExternalMSProjectCommand.cxx: ERR: ^M's removed.

2001-11-05 16:52  berk

	* Source/CMakeLists.txt, Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/cmCursesCacheEntryComposite.h,
	Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesWidget.h: Fixing problems on Sun (name
	collusions between STL and curses) and disabling curses
	temporarily.

2001-11-05 16:52  berk

	* Source/CursesDialog/form/CMakeLists.txt,
	Source/CursesDialog/form/READ.ME, Source/CursesDialog/form/eti.h,
	Source/CursesDialog/form/fld_arg.c,
	Source/CursesDialog/form/fld_attr.c,
	Source/CursesDialog/form/fld_current.c,
	Source/CursesDialog/form/fld_def.c,
	Source/CursesDialog/form/fld_dup.c,
	Source/CursesDialog/form/fld_ftchoice.c,
	Source/CursesDialog/form/fld_ftlink.c,
	Source/CursesDialog/form/fld_info.c,
	Source/CursesDialog/form/fld_just.c,
	Source/CursesDialog/form/fld_link.c,
	Source/CursesDialog/form/fld_max.c,
	Source/CursesDialog/form/fld_move.c,
	Source/CursesDialog/form/fld_newftyp.c,
	Source/CursesDialog/form/fld_opts.c,
	Source/CursesDialog/form/fld_pad.c,
	Source/CursesDialog/form/fld_page.c,
	Source/CursesDialog/form/fld_stat.c,
	Source/CursesDialog/form/fld_type.c,
	Source/CursesDialog/form/fld_user.c,
	Source/CursesDialog/form/form.h,
	Source/CursesDialog/form/form.priv.h,
	Source/CursesDialog/form/frm_cursor.c,
	Source/CursesDialog/form/frm_data.c,
	Source/CursesDialog/form/frm_def.c,
	Source/CursesDialog/form/frm_driver.c,
	Source/CursesDialog/form/frm_hook.c,
	Source/CursesDialog/form/frm_opts.c,
	Source/CursesDialog/form/frm_page.c,
	Source/CursesDialog/form/frm_post.c,
	Source/CursesDialog/form/frm_req_name.c,
	Source/CursesDialog/form/frm_scale.c,
	Source/CursesDialog/form/frm_sub.c,
	Source/CursesDialog/form/frm_user.c,
	Source/CursesDialog/form/frm_win.c,
	Source/CursesDialog/form/fty_alnum.c,
	Source/CursesDialog/form/fty_alpha.c,
	Source/CursesDialog/form/fty_enum.c,
	Source/CursesDialog/form/fty_int.c,
	Source/CursesDialog/form/fty_ipv4.c,
	Source/CursesDialog/form/fty_num.c,
	Source/CursesDialog/form/fty_regex.c,
	Source/CursesDialog/form/llib-lform,
	Source/CursesDialog/form/mf_common.h,
	Source/CursesDialog/form/nc_alloc.h: Adding form library.

2001-11-05 15:42  andy

	* Source/CMakeLists.txt: Fix the IF IF problem

2001-11-05 13:37  berk

	* Source/CursesDialog/ccurses.cxx,
	Source/CursesDialog/cmCursesCacheEntryComposite.cxx,
	Source/CursesDialog/cmCursesCacheEntryComposite.h,
	Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesWidget.h: ERR: To include cmake
	headers, one should use ../

2001-11-05 10:43  pcp

	* Source/cmDSPWriter.cxx, Source/cmDSWWriter.cxx: switched
	string::compare to strncmp

2001-11-04 23:10  berk

	* Source/CursesDialog/cmCursesMainForm.h: Need to include standard
	headers.

2001-11-04 23:00  berk

	* Source/CursesDialog/cmCursesBoolWidget.h,
	Source/CursesDialog/cmCursesDummyWidget.h,
	Source/CursesDialog/cmCursesStringWidget.h,
	Source/CursesDialog/cmCursesDummyWidget.cxx,
	Source/CursesDialog/cmCursesWidget.cxx: branches:  1.1.2; Adding
	curses support.

2001-11-04 23:00  berk

	* Modules/FindCurses.cmake, Source/CMakeLists.txt,
	Source/CursesDialog/CMakeLists.txt,
	Source/CursesDialog/cmCursesCacheEntryComposite.h,
	Source/CursesDialog/cmCursesFilePathWidget.h,
	Source/CursesDialog/cmCursesForm.h,
	Source/CursesDialog/cmCursesLabelWidget.h,
	Source/CursesDialog/cmCursesMainForm.h,
	Source/CursesDialog/cmCursesPathWidget.h,
	Source/CursesDialog/cmCursesWidget.h,
	Source/CursesDialog/ccurses.cxx,
	Source/CursesDialog/cmCursesBoolWidget.cxx,
	Source/CursesDialog/cmCursesCacheEntryComposite.cxx,
	Source/CursesDialog/cmCursesFilePathWidget.cxx,
	Source/CursesDialog/cmCursesForm.cxx,
	Source/CursesDialog/cmCursesLabelWidget.cxx,
	Source/CursesDialog/cmCursesMainForm.cxx,
	Source/CursesDialog/cmCursesPathWidget.cxx,
	Source/CursesDialog/cmCursesStringWidget.cxx: Adding curses
	support.

2001-11-03 03:32  barre

	* Source/cmIncludeDirectoryCommand.cxx,
	Source/cmIncludeDirectoryCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h: Add optional BEFORE param to
	INCLUDE_DIRECTORIES so that include dirs can be specified before
	the actual include dirs

2001-11-02 21:43  barre

	* Modules/Documentation.cmake, Modules/DocumentationVTK.cmake,
	Modules/FindCygwin.cmake, Modules/FindPerl.cmake,
	Modules/FindUnixCommands.cmake, Modules/FindWget.cmake: Move usual
	Unix commands to FindUnixCommands, use FingCygwin in other modules

2001-11-02 21:43  barre

	* Utilities/Doxygen/CMakeLists.txt,
	Utilities/Doxygen/doc_makeall.sh.in: Update

2001-11-02 21:05  barre

	* Utilities/CMakeLists.txt, Utilities/Doxygen/CMakeLists.txt,
	Utilities/Doxygen/doc_makeall.sh.in, Utilities/Doxygen/doxyfile.in:
	Doxygen doc generator

2001-11-02 21:01  barre

	* CMakeLists.txt: Doxygen doc generator

2001-11-02 20:26  blezek

	* Modules/Dart.cmake: ENH: More Experimental targets for unix

2001-11-02 16:19  pcp

	* Source/cmDSWWriter.cxx,
	Source/cmIncludeExternalMSProjectCommand.cxx,
	Source/cmDSPWriter.cxx: allow more than one external MS project

2001-11-02 14:18  andy

	* Source/cmCacheManager.cxx: On win32 path is all in lower case now

2001-11-01 23:36  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: clean up interface and
	change build in current directory to build the depend file first

2001-11-01 23:36  hoffman

	* Source/cmCacheManager.cxx: BUG: use collapse full path when
	testing cache directory

2001-11-01 23:36  hoffman

	* Source/cmDSPWriter.cxx: ENH: IntDir to INTDIR

2001-11-01 18:09  barre

	* Source/cmAddExecutableCommand.cxx,
	Source/cmAddLibraryCommand.cxx: Expand vars in exe and lib name

2001-11-01 15:42  hoffman

	* Source/cmCacheManager.cxx: ENH: clean up drive letter check

2001-10-31 23:56  king

	* Source/cmCableClassSet.cxx, Source/cmCableClassSet.h: ENH: Added
	automatic detection of >> sequences in template names and
	replacement with "> >" in the output.

2001-10-31 23:56  king

	* Source/cmStandardIncludes.h: ENH: Replaced cmStdString
	implementation to make it more transparently a std:string.

2001-10-31 12:03  pcp

	* Source/cmCommands.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmIncludeExternalMSProjectCommand.cxx,
	Source/cmIncludeExternalMSProjectCommand.h:
	INCLUDE_EXTERNAL_MSPROJECT command

2001-10-30 23:32  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h: FIX: Reverted to use
	FillCacheManagerFromGUI().

2001-10-30 19:36  andy

	* Source/cmCacheManager.cxx: Fix the problem on windows of capital
	or lower case drive letter for CMAKE_CACHEFILE_DIR

2001-10-30 19:15  andy

	* Source/cmCacheManager.cxx: Change CMAKE_CURRENT_CWD to
	CMAKE_CACHEFILE_DIR and change the messages

2001-10-30 19:05  hoffman

	* Source/cmConfigureFileCommand.cxx,
	Source/cmConfigureFileCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h: ENH: add an option to configure file command
	that allows for only expansion of at variables and not dollar
	variables

2001-10-30 09:33  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: FIX: In order
	to disable a button in fl_choice, a 0 pointer must be sent     
	instead of  "".

2001-10-30 02:20  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h: ENH:
	FillCacheManagerFromGUI() was replaced by SaveFromCacheGUI() to    
	 ensure that changes on the GUI are directly update in the config  
	   file.

2001-10-30 02:20  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: fl_ask
	replaced by fl_choice in FLTKCallback.

2001-10-29 15:41  hoffman

	* Source/cmSystemTools.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: use callback not ifdef
	for MFC message box errors

2001-10-29 15:19  hoffman

	* Source/cmCacheManager.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: add
	callback for message display

2001-10-28 23:52  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.fl: ENH: Button were renamed :
	"Configure", "OK" and "Cancel" as the MFC version.

2001-10-28 03:47  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyList.cxx,
	Source/FLTKDialog/FLTKPropertyList.h: ENH: Updated with respect to
	MFC CMakeSetup. New cache entries are now      colored in red. The
	browsers for recent directories only popup if	   there is at
	least one in the list.

2001-10-26 22:21  hoffman

	* Modules/FindITK.cmake: [no log message]

2001-10-26 21:06  berk

	* Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: added
	CMAKE_NO_EXPLICIT_TEMPLATE_INSTANTIATION

2001-10-26 19:42  hoffman

	* Source/cmConfigureFileCommand.cxx, Source/cmMakefile.h,
	Source/cmaketest.cxx: add dependency for configure files and use
	short path in WIN32 cmake test

2001-10-26 18:35  hoffman

	* Modules/FindVTK.cmake: branches:  1.8.2; use find_file and not
	just a set for USE_VTK_FILE

2001-10-26 15:22  barre

	* Modules/DocumentationVTK.cmake: VTK documentation framework

2001-10-26 13:29  andy

	* Source/cmCacheManager.cxx: Added check if the binary directory
	changed. If it did, it will print the warning message

2001-10-25 00:37  barre

	* Modules/FindCygwin.cmake: Add GZIP (gzip)

2001-10-25 00:33  barre

	* Modules/FindCygwin.cmake: Add TAR (path to tar or gtar)

2001-10-24 21:51  berk

	* Source/cmUnixMakefileGenerator.cxx: ENH: allow -framework as a
	complete entry in the link line for Mac OSX

2001-10-24 19:51  berk

	* DartConfig.cmake: public no longer has anonymous ftp.

2001-10-24 13:41  king

	* Modules/FindGCCXML.cmake: ENH: Improved FIND_PROGRAM call to find
	the executable in PREFIX/share/GCC_XML, the new standard install
	location.

2001-10-23 22:30  barre

	* Modules/FindCygwin.cmake: Cygwin mod

2001-10-23 21:47  barre

	* Modules/FindDoxygen.cmake: Find Graphivz's dot too

2001-10-23 21:47  barre

	* Source/cmGetFilenameComponentCommand.cxx,
	Source/cmGetFilenameComponentCommand.h: The result of this utility
	command can now be optionally added to the cache

2001-10-23 21:06  barre

	* Modules/FindDoxygen.cmake, Modules/FindWget.cmake: Add Doxygen
	and Wget modules. Very simple. But might be more complex later, so
	let's use them asap

2001-10-23 20:55  barre

	* Modules/FindHhc.cmake, Modules/FindPerl.cmake: Modules to find
	Perl and the HTML Help Compiler

2001-10-19 14:07  barre

	* Source/cmEnableTestingCommand.h: Add warning regarding the
	location of ENABLE_TESTING (should be in the top CMakeList.txt,
	otherwise Dart is lost)

2001-10-18 22:01  barre

	* Source/cmSiteNameCommand.cxx: SITE_NAME should return the most
	qualified name of the host. If nslookup works, now the domain is
	appended to the hostname (whereas it *replaced* the host name
	before)

2001-10-18 17:51  iscott

	* Source/cmQTWrapCPPCommand.cxx: Detect error and output useful
	message Previously it would have got confused about the
	destinationSourceGroup

2001-10-18 17:03  iscott

	* Source/cmFindFileCommand.cxx: This command should always set the
	cahce variabel to a filepath not a path

2001-10-17 19:11  barre

	* Source/cmProjectCommand.cxx: Add PROJECT_NAME to the set of
	definitions

2001-10-16 19:40  iscott

	* Modules/FindQt.cmake: fixed some stupid mistakes I thought I had
	tested these - honest

2001-10-16 19:32  iscott

	* Modules/FindQt.cmake, Modules/LinkQT.cmake: Some simple modules
	for finding and linking qt

2001-10-15 22:36  hoffman

	* Source/cmMessageCommand.cxx: ENH: expand variables in message
	command output

2001-10-15 22:36  hoffman

	* Source/cmSourceFile.cxx: ENH: clean up error report for source
	files not found

2001-10-15 18:19  iscott

	* CMake.rtf, Source/cmCommands.cxx, Source/cmQTWrapCPPCommand.cxx,
	Source/cmQTWrapCPPCommand.h: added a QT_WRAP_CPP command

2001-10-11 21:20  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Improved parsing of
	GCCXML_FLAGS to improve generation of gccxml rule.  Also added
	ADD_DEFINITIONS arguments to the generated rule.

2001-10-11 18:57  andy

	* Source/cmCacheManager.cxx: Added removing of spaces in
	CMakeCache.txt in front of comments and variables

2001-10-10 14:22  hoffman

	* Source/cmCacheManager.cxx: ENH: add a warning comment for cache
	values that can not be changed because they are always loaded from
	another cache

2001-10-10 02:18  biddi

	* Source/cmBorlandMakefileGenerator.cpp: FIX: Same as last checkin
	except applies to bpi files as wellas lib files If we can't find it
	- and it's not a target - and it has no path already specified, it
	must be in OUTDIRLIB from another makefile in the same project !
	(What this really means is the lib paths are correctly specified)

2001-10-09 14:25  hoffman

	* Source/cmSystemTools.cxx: ENH: better fix for dos return in
	lines, use the regular expression and don't edit the input line

2001-10-05 21:31  hoffman

	* Source/cmSystemTools.cxx: ENH: clean up returns from input, so we
	can read dos files on unix

2001-10-04 13:32  starreveld

	* Templates/configure, Templates/configure.in: 
	
	ERR: remove undefined warning for compatibility with new 10.1
	linker

2001-10-03 19:49  hoffman

	* Modules/Dart.cmake, Source/CMakeLists.txt, Source/cmake.cxx,
	Source/cmaketest.cxx: ENH: fixes for borland compiler testing

2001-10-03 15:36  king

	* Modules/FindCABLE.cmake: ENH: Changed CABLE_BUILD_DIR to look for
	cableVersion.h instead of cable.README.txt.

2001-10-03 03:10  biddi

	* Source/cmBorlandMakefileGenerator.cpp: FIX:if we can't find it -
	and it's not a target - and it has no path already specified, it
	must be in OUTDIRLIB from another makefile in the same project !
	(What this really means is the lib paths are correctly specified)

2001-10-02 21:28  hoffman

	* Source/cmListFileCache.cxx, Source/cmMakefile.cxx,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h, Source/ctest.cxx:
	ENH: add better error reports in parsing cmake files, like what
	file has the error

2001-10-01 17:35  martink

	* Source/cmMakefile.h, Source/cmMakefile.h: version

2001-10-01 17:26  hoffman

	* ChangeLog.txt: [no log message]

2001-10-01 15:55  hoffman

	* Source/cmaketest.cxx: BUG: add missing include

2001-10-01 14:14  hoffman

	* Source/cmaketest.cxx, Source/MFCDialog/CMakeSetupDialog.cpp: ENH:
	change checkboxes back to pull down menus, remove leak

2001-09-29 15:12  hoffman

	* Source/cmSystemTools.cxx: BUG: fix full path for file in current
	directory

2001-09-28 17:35  berk

	* Source/cmSystemTools.cxx: BUG: fix realpath problem again...

2001-09-28 16:14  berk

	* Source/cmSystemTools.cxx: BUG: separate path from file name
	before calling realpath

2001-09-28 14:40  hoffman

	* Source/cmSystemTools.cxx, Source/cmUnixMakefileGenerator.cxx:
	BUG: get correct library name

2001-09-28 14:34  hoffman

	* CMakeLists.txt: BUG: optional in wrong order

2001-09-28 13:57  hoffman

	* CMakeLists.txt: make the include of the initial config flags
	optional, for builds that do not use configure

2001-09-27 20:50  hoffman

	* Source/cmSystemTools.cxx, Source/cmUnixMakefileGenerator.cxx:
	BUG: use realpath instead of cd/pwd

2001-09-27 19:54  hoffman

	* CMakeLists.txt, Source/CMakeLists.txt: BUG: fix install prefix

2001-09-27 18:58  hoffman

	* configure, configure.in, Source/CMakeLists.txt,
	Source/InitialConfigureFlags.cmake.in: ENH: pass prefix from
	configure into cmake

2001-09-26 20:23  berk

	* Modules/Dart.cmake: Typo.

2001-09-25 18:39  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp: improved registry handling

2001-09-25 18:39  martink

	* Modules/FindVTK.cmake: changes to chamghe

2001-09-25 15:06  martink

	* Source/cmVTKWrapTclCommand.cxx: memory leak

2001-09-21 15:48  martink

	* Modules/FindVTK.cmake: better install targets

2001-09-21 13:40  king

	* Source/cmSystemTools.cxx: BUG: CopyFile should return immediately
	after an error occurs.

2001-09-20 21:31  martink

	* Modules/FindVTK.cmake: updates

2001-09-20 20:43  berk

	* Source/ctest.cxx: handle spaces in commands and args

2001-09-20 19:29  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h:
	ENH: check for values that switch to internal, can happen with a
	load cache command

2001-09-20 19:08  hoffman

	* Source/cmSubdirDependsCommand.cxx,
	Source/cmSubdirDependsCommand.h: branches:  1.2.2; ENH: change
	InitialPass to take a const reference to the argument string, to
	avoid changes to the file cache

2001-09-20 19:08  hoffman

	* Source/cmAbstractFilesCommand.cxx,
	Source/cmAbstractFilesCommand.h,
	Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddCustomTargetCommand.h,
	Source/cmAddDefinitionsCommand.cxx,
	Source/cmAddDefinitionsCommand.h,
	Source/cmAddDependenciesCommand.cxx,
	Source/cmAddDependenciesCommand.h,
	Source/cmAddExecutableCommand.cxx, Source/cmAddExecutableCommand.h,
	Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmAuxSourceDirectoryCommand.h, Source/cmBuildCommand.cxx,
	Source/cmBuildCommand.h, Source/cmBuildNameCommand.cxx,
	Source/cmBuildNameCommand.h, Source/cmCableClassSetCommand.cxx,
	Source/cmCableClassSetCommand.h, Source/cmCableWrapTclCommand.cxx,
	Source/cmCableWrapTclCommand.h, Source/cmCommand.h,
	Source/cmConfigureFileCommand.cxx, Source/cmConfigureFileCommand.h,
	Source/cmConfigureGccXmlCommand.cxx,
	Source/cmConfigureGccXmlCommand.h, Source/cmElseCommand.cxx,
	Source/cmElseCommand.h, Source/cmEnableTestingCommand.h,
	Source/cmEndForEachCommand.cxx, Source/cmEndForEachCommand.h,
	Source/cmEndIfCommand.cxx, Source/cmEndIfCommand.h,
	Source/cmExecProgramCommand.cxx, Source/cmExecProgramCommand.h,
	Source/cmFindFileCommand.cxx, Source/cmFindFileCommand.h,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindPathCommand.cxx, Source/cmFindPathCommand.h,
	Source/cmFindProgramCommand.cxx, Source/cmFindProgramCommand.h,
	Source/cmForEachCommand.cxx, Source/cmForEachCommand.h,
	Source/cmGetFilenameComponentCommand.cxx,
	Source/cmGetFilenameComponentCommand.h, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h, Source/cmIncludeCommand.cxx,
	Source/cmIncludeCommand.h, Source/cmIncludeDirectoryCommand.cxx,
	Source/cmIncludeDirectoryCommand.h,
	Source/cmIncludeRegularExpressionCommand.cxx,
	Source/cmIncludeRegularExpressionCommand.h,
	Source/cmInstallFilesCommand.cxx, Source/cmInstallFilesCommand.h,
	Source/cmInstallProgramsCommand.cxx,
	Source/cmInstallProgramsCommand.h,
	Source/cmInstallTargetsCommand.cxx,
	Source/cmInstallTargetsCommand.h, Source/cmLibraryCommand.h,
	Source/cmLinkDirectoriesCommand.cxx,
	Source/cmLinkDirectoriesCommand.h,
	Source/cmLinkLibrariesCommand.cxx, Source/cmLinkLibrariesCommand.h,
	Source/cmLoadCacheCommand.cxx, Source/cmLoadCacheCommand.h,
	Source/cmMakeDirectoryCommand.cxx, Source/cmMakeDirectoryCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmMessageCommand.cxx, Source/cmMessageCommand.h,
	Source/cmOptionCommand.cxx, Source/cmOptionCommand.h,
	Source/cmOutputRequiredFilesCommand.cxx,
	Source/cmOutputRequiredFilesCommand.h, Source/cmProjectCommand.cxx,
	Source/cmProjectCommand.h, Source/cmSetCommand.cxx,
	Source/cmSetCommand.h, Source/cmSiteNameCommand.cxx,
	Source/cmSiteNameCommand.h, Source/cmSourceFilesCommand.cxx,
	Source/cmSourceFilesCommand.h,
	Source/cmSourceFilesRemoveCommand.cxx,
	Source/cmSourceFilesRemoveCommand.h,
	Source/cmSourceGroupCommand.cxx, Source/cmSourceGroupCommand.h,
	Source/cmSubdirCommand.cxx, Source/cmSubdirCommand.h,
	Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTargetLinkLibrariesCommand.h,
	Source/cmUseMangledMesaCommand.cxx,
	Source/cmUseMangledMesaCommand.h,
	Source/cmUtilitySourceCommand.cxx, Source/cmUtilitySourceCommand.h,
	Source/cmVTKWrapJavaCommand.cxx, Source/cmVTKWrapJavaCommand.h,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapPythonCommand.h,
	Source/cmVTKWrapTclCommand.cxx, Source/cmVTKWrapTclCommand.h,
	Source/cmWrapExcludeFilesCommand.cxx,
	Source/cmWrapExcludeFilesCommand.h: ENH: change InitialPass to take
	a const reference to the argument string, to avoid changes to the
	file cache

2001-09-20 17:44  martink

	* Source/cmMakefile.cxx: BUG: make a copy of the arguments before
	passing them to Execute

2001-09-20 16:00  martink

	* CMake.rtf: fixed some problems

2001-09-20 14:57  king

	* Modules/FindCABLE.cmake: ENH: Added support for finding cable
	when it is built in a configuration subdirectory by MSVC.

2001-09-20 14:53  king

	* Source/cmFindFileCommand.cxx, Source/cmFindLibraryCommand.cxx,
	Source/cmFindPathCommand.cxx, Source/cmFindProgramCommand.cxx,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Added
	cmSystemTools::GlobDirs function to allow wildcards in paths (like
	/foo/bar/*).

2001-09-20 14:53  king

	* Source/cmSetCommand.cxx: ENH: Added extra newline in an error
	message to improve readability.

2001-09-20 14:27  martink

	* Modules/FindVTK.cmake: minor changes

2001-09-20 13:11  martink

	* Modules/FindVTK.cmake, Modules/UseVTKIncludes.cmake,
	Modules/UseVTKLibraries.cmake: removed some VTK stuff

2001-09-19 18:52  martink

	* Modules/FindVTK.cmake, Modules/UseVTKIncludes.cmake,
	Modules/UseVTKLibraries.cmake: updated to how FindVTK works

2001-09-19 18:20  martink

	* Source/cmMakefile.h: version rev to 94

2001-09-19 18:20  martink

	* Source/cmMakefile.h: version rev to 95

2001-09-18 14:45  hoffman

	* ChangeLog.txt: [no log message]

2001-09-18 14:38  will

	* CMake.pdf: ENH:Updated documentation

2001-09-17 21:40  hoffman

	* CMake.rtf: ENH: update for new version

2001-09-17 20:34  hoffman

	* Source/cmFindFileCommand.cxx: BUG: fix return when file is not
	found

2001-09-17 20:34  hoffman

	* Source/cmUseMangledMesaCommand.cxx,
	Source/cmUseMangledMesaCommand.h: ENH: change to take a path as
	input

2001-09-17 18:16  king

	* Modules/FindCABLE.cmake: ENH: Added find support for looking at
	Cable's build directory if the user sets the CABLE_BUILD_DIR cache
	entry.

2001-09-17 17:58  hoffman

	* Source/cmCommands.cxx, Source/cmUseMangledMesaCommand.cxx,
	Source/cmUseMangledMesaCommand.h: ENH: add Use mangled mesa command

2001-09-17 16:07  blezek

	* Modules/Dart.cmake: ENH: NightlyCoverage got lost

2001-09-14 20:36  martink

	* Source/cmVTKWrapTclCommand.cxx, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx: now uses five argument version
	of wrap commands

2001-09-14 20:26  hoffman

	* Source/cmMakefileGenerator.cxx, Source/cmStandardIncludes.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmakemain.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: remove memory leaks

2001-09-14 19:18  hoffman

	* Source/cmDSPWriter.cxx: fix error in cygwin

2001-09-14 19:18  hoffman

	* Source/cmMakefileGenerator.cxx, Source/cmMakefileGenerator.h: add
	support for clean up

2001-09-14 19:18  hoffman

	* Source/cmListFileCache.h: initialize class

2001-09-14 14:14  martink

	* Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: made Debug the default
	configuration

2001-09-14 12:34  barre

	* Modules/FindTCL.cmake: move cygtclsh80 to the end of list,
	otherwise it might be found while the non-cygwin wish8x.exe will be
	found too. If wish8x.exe is found, then the non-cygwin tclsh8x.exe
	must be found too.

2001-09-13 18:45  martink

	* Modules/Dart.cmake: added back some targets for UNIX

2001-09-13 15:27  martink

	* Source/cmSystemTools.h, Source/cmSystemTools.cxx: added shortest
	ext function

2001-09-12 21:09  lorensen

	* Source/cmSiteNameCommand.cxx: ENH: drop the case of the site
	name. This makes it consistent with Dart's usage.

2001-09-12 21:09  lorensen

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Added
	LowerCase method.

2001-09-12 19:18  king

	* Source/cmCableWrapTclCommand.cxx, Source/cmCableWrapTclCommand.h:
	ENH: Added parsing of gccxml flags into separate arguments for
	setting the custom command.  This is necessary since the custom
	command now takes a vector of individual command line options
	instead of a single string.

2001-09-12 01:45  biddi

	* Templates/CMakeWindowsBorlandConfig.cmake: ERR: Spelling

2001-09-12 01:45  biddi

	* Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h, Source/cmSystemTools.cxx: ERR:
	Change to EscapeSpaces forces rework of Borland generator <sigh>
	Add clause to prevent adding quotes when they're already present,
	then stuff them onto all lib paths to prevent forward slashes
	causing trouble.

2001-09-11 23:58  biddi

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Add a
	findfile routine (as opposed to find executable or library) which
	doesn't add any extensions - Borland make needs full paths to
	certain dependencies otherwise linking doesn't work properly
	(dependencies aren't checked)

2001-09-11 23:58  biddi

	* Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h: ENH: Major fix of the Borland
	generator which addresses the problem of libraries with
	dependencies (other libraries) not linking when required.
	Dependency checking required the full path to be supplied to each
	file when they're not in the current directory (very tedious). All
	seems to be working nicely now.

2001-09-11 19:17  martink

	* Source/ctest.cxx: updated testing

2001-09-11 18:58  martink

	* Source/cmDSPWriter.cxx: include fixes

2001-09-11 18:42  martink

	* Modules/Dart.cmake: reduced the number of targets

2001-09-11 18:42  martink

	* Source/cmaketest.cxx: bug in testing code

2001-09-11 17:44  hoffman

	* Source/cmBorlandMakefileGenerator.cpp: BUG: fix build with
	non-borland compiler

2001-09-11 17:40  martink

	* Source/cmDSPWriter.cxx: fix for include paths

2001-09-10 19:11  martink

	* Modules/Dart.cmake: reduced targets and merged tclsh commands

2001-09-10 19:11  martink

	* Source/cmCableWrapTclCommand.cxx, Source/cmDSPWriter.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSystemTools.cxx, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx:
	various windows fixes

2001-09-10 15:03  berk

	* Source/CMakeLists.txt: Typo in link command.

2001-09-08 16:09  biddi

	* Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h: ERR: Forgot to put back a
	backslash

2001-09-08 14:02  biddi

	* Source/cmBorlandMakefileGenerator.cpp: ERR: LINK_DIR must ot have
	backslah at end. Fix plus cleanup of some code.

2001-09-07 14:08  martink

	* Source/cmDirectory.cxx: fixed bug in mismatched directory opens
	consuming file descriptors

2001-09-07 13:40  king

	* Source/cmConfigureGccXmlCommand.cxx: ENH: Removed addition of
	compiler support directory include option since the find_*_options
	scripts now include it automatically.

2001-09-06 22:02  hoffman

	* Source/CMakeLists.txt, Source/cmBorlandMakefileGenerator.cpp:
	BUG: clean up lib and exe output paths

2001-09-06 21:28  hoffman

	* Source/CMakeLib.dsp, Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h, Source/cmMSProjectGenerator.h,
	Source/cmMakefileGenerator.cxx, Source/cmMakefileGenerator.h,
	Source/cmUnixMakefileGenerator.h, Source/cmake.cxx, Source/cmake.h,
	Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/resource.h,
	Templates/CMakeWindowsBorlandConfig.cmake: ENH: integrate borland
	support

2001-09-04 20:29  biddi

	* Source/cmBorlandMakefileGenerator.cpp,
	Source/cmBorlandMakefileGenerator.h,
	Templates/CMakeWindowsBorlandConfig.cmake: NEW: First check in of
	Borland Makefile Generator and template stuff

2001-09-04 20:07  hoffman

	* Source/cmAddCustomTargetCommand.cxx, Source/cmCustomCommand.cxx,
	Source/cmCustomCommand.h, Source/cmDSPWriter.cxx,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSourceGroup.cxx, Source/cmSourceGroup.h,
	Source/cmVTKWrapJavaCommand.cxx: ENH: separate command from its
	arguments in the custom command.  This allows the generator on
	windows to change the slashes for just the command

2001-09-01 21:13  biddi

	* Source/cmBuildCommand.cxx: ENH: Added a clause for Borland
	compiler compatibility

2001-09-01 20:55  barre

	* Source/cmDSPWriter.cxx: Convert path format back to Windows
	slashes syntax. Mandatory for Win98 build.

2001-09-01 20:55  barre

	* Source/cmSystemTools.cxx: fix comment pb

2001-09-01 20:12  biddi

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Windows
	and Unix slash conversions return a char*, clean function seperated
	from Convert function

2001-09-01 20:12  biddi

	* Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: ExpandVariables
	functions return a char * for convenience

2001-09-01 01:10  starreveld

	* Source/cmUnixMakefileGenerator.cxx: 
	
	ENH: Generate compile lines for .m, .M, and .mm files (ObjC and
	ObjC++)

2001-08-30 21:32  hoffman

	* Source/cmMakefile.cxx: BUG: fix incorrect deletion of function
	blockers

2001-08-30 20:19  martink

	* Source/cmMakefile.h, Source/cmMakefile.h: version rev

2001-08-30 20:06  hoffman

	* ChangeLog, ChangeLog.txt, ChangeLog: [no log message]

2001-08-30 19:54  hoffman

	* ChangeLog.txt: ENH: add autogenerated changelog

2001-08-29 21:21  hoffman

	* Source/cmake.cxx: opps

2001-08-29 21:08  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Updated generated
	dependencies since cable's installation directory now uses separate
	CxxTypes and WrapTclFacility subdirecories for includes.

2001-08-29 21:08  king

	* Source/cmConfigureGccXmlCommand.cxx: BUG: GCCXML_FLAGS found from
	find_gcc_options or find_mpro_options should have the trailing
	newline stripped from the string.

2001-08-29 21:08  king

	* Modules/FindCABLE.cmake: ENH: Updated library finding code to
	handle new cable installation directory structure.  It now uses
	separate directories for CxxTypes and WrapTclFacility headers.

2001-08-29 20:42  martink

	* Source/ctest.cxx, Source/ctest.h: added regexp option

2001-08-29 20:13  hoffman

	* Source/CMakeLib.dsp, Source/DumpDocumentation.dsp,
	Source/cmake.dsp, Source/ctest.dsp: remove /ZI

2001-08-29 19:57  hoffman

	* Source/cmake.cxx, Source/cmaketest.cxx: ENH: run cmake from
	cmaketest

2001-08-29 14:46  king

	* Source/cmMakefile.h: ENH: Added a const version of
	GetLinkLibraries().

2001-08-29 14:46  king

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: Proper dependencies between
	shared libraries now exist in the generated makefiles.	If a shared
	library links to another, the other will be built before the link
	is attempted.

2001-08-29 13:57  hoffman

	* Source/cmMakefile.cxx: clean up a bit

2001-08-29 13:44  berk

	* Source/cmSystemTools.cxx: BUG: fix out of bounds read on string
	in mkdir

2001-08-29 13:26  perera

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Special
	value IGNORE behaves like NOTFOUND, but makes FindLibrary, etc,
	_not_ search for a library, etc.

2001-08-28 22:35  hoffman

	* Source/cmListFileCache.h: remove warning

2001-08-28 22:27  hoffman

	* Source/CMakeLib.dsp, Source/CMakeLists.txt,
	Source/CMakeSetup.dsw, Source/Makefile.in,
	Source/cmListFileCache.cxx, Source/cmListFileCache.h,
	Source/cmMakefile.cxx: ENH: add caching for the input CMakeList.txt
	files, 2X speed up

2001-08-28 22:27  hoffman

	* Source/cmDSPWriter.cxx: BUG: put spaces in /I paths

2001-08-28 22:01  starreveld

	* Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmTarget.h,
	Source/cmUnixMakefileGenerator.cxx: 
	
	Changes to allow MODULE type target for a shared library

2001-08-28 22:01  starreveld

	* Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: 
	
	Changes to allow a MODULE target for a shared library.

2001-08-28 20:04  martink

	* CMakeLists.txt, Tests/Complex/CMakeLists.txt: minor fix

2001-08-28 18:55  martink

	* Source/cmDSPWriter.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: better network build support

2001-08-28 17:49  starreveld

	* Templates/configure, Templates/configure.in: 
	
	Added support for Darwin (OSX)

2001-08-28 14:57  hoffman

	* Modules/FindTCL.cmake: ENH: support for cygwin

2001-08-28 14:57  hoffman

	* Source/cmSystemTools.cxx, Source/cmUnixMakefileGenerator.cxx:
	BUG: fix for broken apple mkdir and general clean up of
	MakeDirectory command

2001-08-27 19:48  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: fix switch projects
	not saving cache correctly

2001-08-27 19:19  martink

	* Source/cmDSPWriter.cxx: support for network path link libraries

2001-08-27 18:44  hoffman

	* Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: change expand variables to
	use GetDefinition

2001-08-27 18:35  hoffman

	* configure, configure.in: [no log message]

2001-08-27 18:35  hoffman

	* configure, configure.in, Source/Makefile.in: ENH: clean up sgi
	build and use non-broken autoconf

2001-08-27 16:24  hoffman

	* configure, Source/cmUnixMakefileGenerator.cxx,
	Templates/configure: [no log message]

2001-08-27 15:03  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: set CXX and CC when
	running configure from cmake

2001-08-27 14:23  martink

	* Source/ctest.cxx: better formatted output

2001-08-27 14:22  hoffman

	* Templates/configure, Templates/configure.in: ENH: use
	ANSI_CXXFLAGS for testing compiler

2001-08-27 14:11  hoffman

	* CMakeLists.txt, Templates/CMakeSystemConfig.cmake.in,
	Templates/configure, Templates/configure.in,
	Tests/Complex/CMakeLists.txt: ENH: sgi -LANG:std

2001-08-27 14:07  berk

	* Source/CMakeSetup.dsw: ken added dependancy to build everything

2001-08-25 16:31  martink

	* Source/CMakeSetup.dsw, Source/ctest.dsp: added ctest to win32

2001-08-24 21:50  hoffman

	* Templates/configure, Templates/configure.in: [no log message]

2001-08-24 21:30  hoffman

	* Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: ENH: more sgi -LANG stuff

2001-08-24 21:25  hoffman

	* configure, configure.in, configure, configure.in: auto detect
	lang:std:

2001-08-24 21:12  hoffman

	* Source/Makefile.in: ENH: build for sgi CC out of box

2001-08-24 21:12  hoffman

	* configure, configure.in, configure, configure.in: auto detect
	lang:std:

2001-08-24 21:00  hoffman

	* configure, configure.in: auto detect lang:std:

2001-08-24 20:51  hoffman

	* configure, configure.in: auto detect lang:std:

2001-08-24 19:54  hoffman

	* Tests/Complex/cmTestConfigure.h.in,
	Tests/Complex/Executable/complex.cxx: BUG: fix complex test for old
	compilers

2001-08-24 19:45  hoffman

	* configure, configure.in, Tests/Complex/cmTestConfigure.h.in: BUG:
	fix for SGI Native compiler

2001-08-24 19:41  hoffman

	* Templates/configure, Templates/configure.in: BUG: fix flag for
	building shared on HP

2001-08-23 22:30  perera

	* Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h: BUG:
	ADD_TEST now only does stuff if ENABLE_TESTING has been run.

2001-08-23 22:02  hoffman

	* Source/cmMakefile.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: ENH: improve coverage

2001-08-23 21:40  hoffman

	* Source/CMakeLists.txt, Source/cmDumpDocumentation.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: add dump
	documentation test

2001-08-23 20:28  king

	* Source/cmCableWrapTclCommand.cxx, Source/cmCableWrapTclCommand.h:
	ENH: Each cmCableWrapTclCommand instance now uses a single
	cmMakeDepend object for dependencies for all the gccxml input files
	it generates.  This should significantly improve generation time.

2001-08-23 20:24  hoffman

	* Source/cmaketest.cxx: BUG: run make all on unix not make exename

2001-08-23 20:00  hoffman

	* Source/CMakeLists.txt, Source/cmStandardIncludes.h,
	Source/cmaketest.cxx, Source/ctest.cxx: ENH: add more testing

2001-08-23 17:57  hoffman

	* Tests/Complex/CMakeLists.txt, Tests/Complex/VarTests.txt,
	Tests/Complex/cmTestConfigure.h.in, Tests/Complex/simple.cxx,
	Tests/Complex/Executable/CMakeLists.txt,
	Tests/Complex/Executable/complex.cxx,
	Tests/Complex/Library/CMakeLists.txt,
	Tests/Complex/Library/file2.cxx, Tests/Complex/Library/file2.h,
	Tests/Complex/Library/sharedFile.cxx,
	Tests/Complex/Library/sharedFile.h,
	Tests/Complex/Library/ExtraSources/file1.cxx,
	Tests/Complex/Library/ExtraSources/file1.h: ENH: try to get better
	test coverage

2001-08-23 17:12  martink

	* Source/ctest.cxx: also check path for test executables

2001-08-23 15:39  martink

	* Source/ctest.cxx: fixed format

2001-08-23 15:32  martink

	* Source/cmUnixMakefileGenerator.cxx: better ctest support

2001-08-23 15:12  martink

	* Source/CMakeLists.txt, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/ctest.cxx, Source/ctest.h: added test driver for make test
	target

2001-08-22 20:33  martink

	* Source/cmDSPWriter.cxx: ENH: do not put a rule in to rebuild the
	ALL_BUILD.dsp file, as it is not possible...

2001-08-22 15:58  hoffman

	* Source/cmCableClassSet.h, Source/cmCableWrapTclCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmMakeDepend.h, Source/cmMakefile.h, Source/cmSourceGroup.h,
	Source/cmStandardIncludes.h, Source/cmTarget.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: change all maps of string
	to be maps of cmStdString, to reduce symbol length in object files.

2001-08-22 15:26  hoffman

	* Source/cmMakefile.h: BUG: shorten length of symbols

2001-08-22 14:12  berk

	* Source/cmDSPWriter.cxx: OUTDIR->IntDir

2001-08-22 12:21  hoffman

	* Source/MFCDialog/CMakeLists.txt: BUG: add missing
	CMakeCommandLineInfo

2001-08-21 21:38  barre

	* Source/MFCDialog/CMakeSetup.cpp,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/CMakeCommandLineInfo.cpp,
	Source/MFCDialog/CMakeCommandLineInfo.h,
	Source/MFCDialog/CMakeSetup.dsp: CMakeSetup now handles
	command-line arguments (ex: /H=source_dir /B=build_dir)

2001-08-21 15:04  starreveld

	* Source/cmMakefile.cxx: 
	
	Added support for .mm source files (ObjC++)

2001-08-20 17:32  hoffman

	* Templates/configure, Templates/configure.in: BUG: fix check for
	no std::

2001-08-20 13:23  hoffman

	* Source/cmSetCommand.cxx: BUG: cmSystemTools::CollapseFullPath is
	a bad thing to call on the compiler which is a filepath

2001-08-19 23:11  barre

	* Source/cmOptionCommand.cxx: Allow option value to be expanded
	(thus, we can use the value of another option as default)

2001-08-19 16:14  barre

	* Source/cmMakefile.cxx: gcc and MSVC clash on
	basic_string::compare(), let's try substr()

2001-08-19 11:36  barre

	* Source/cmSetCommand.cxx: If the value is a path, collapse it
	(cleaner)

2001-08-18 21:57  hoffman

	* Templates/configure, Templates/configure.in: BUG: get the flags
	right

2001-08-18 16:51  barre

	* Source/cmMakefile.cxx, Modules/FindDart.cmake: Support for
	$ENV{VAR} syntax (lookup in the environment vars)

2001-08-17 21:11  martink

	* Source/cmElseCommand.cxx, Source/cmIfCommand.cxx: backwards
	MATCHES in if and else statements

2001-08-16 22:01  hoffman

	* Templates/configure: ENH: default for cygwin should be pthreads

2001-08-16 21:42  hoffman

	* Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsSystemConfig.cmake, Templates/configure,
	Templates/configure.in: ENH: add CMAKE_USE_WIN32_THREADS to the
	possible thread types

2001-08-16 15:41  berk

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmLoadCacheCommand.cxx, Source/cmLoadCacheCommand.h: Adding
	new options to LoadCache.

2001-08-15 17:40  berk

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmLoadCacheCommand.cxx: 1. Added EXCLUDE option to
	LOAD_CACHE.  2. Entries brought in from another cache are now
	marked as internal.

2001-08-15 17:23  martink

	* Modules/FindDart.cmake: looks at same level

2001-08-15 14:03  hoffman

	* Templates/configure, Templates/configure.in: ENH: make pthreads
	the default for cygwin

2001-08-14 21:18  king

	* Source/cmInstallFilesCommand.cxx, Source/cmInstallFilesCommand.h,
	Source/cmInstallProgramsCommand.cxx,
	Source/cmInstallProgramsCommand.h, Source/cmMakefile.cxx: ENH:
	Improved INSTALL_FILES and INSTALL_PROGRAMS commands to allow each
	call to the command in a single directory to specify a different
	install path.

2001-08-13 20:04  martink

	* Modules/Dart.cmake: removed grep

2001-08-10 19:52  martink

	* Source/cmVTKWrapTclCommand.cxx, Source/cmMakefile.h: now creates
	output directories

2001-08-09 19:35  hoffman

	* CMake.pdf: ENH: update pdf to rtf

2001-08-09 19:23  hoffman

	* CMake.rtf: ENH: add some docs for sgi CC

2001-08-09 18:58  berk

	* Source/cmElseCommand.cxx, Source/cmIfCommand.cxx: BUG: or and and
	were inverted.

2001-08-09 15:12  hoffman

	* ChangeLog: add generated ChangeLog file.  Should be updated each
	time a new version is made

2001-08-09 15:07  martink

	* Source/cmMakefile.h, Source/cmMakefile.h: updated version

2001-08-09 15:07  martink

	* README: out of date

2001-08-09 13:33  hoffman

	* Source/cmConfigure.cmake.h.in: BUG: add in for scope variable

2001-08-08 18:25  martink

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: update to
	new style of cache access

2001-08-08 17:14  hoffman

	* Source/cmSiteNameCommand.cxx, Source/cmUtilitySourceCommand.cxx:
	BUG: can not Add a definition that you just got

2001-08-08 15:54  hoffman

	* configure, configure.in, Source/cmBuildCommand.cxx,
	Source/cmBuildNameCommand.cxx, Source/cmCableWrapTclCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmConfigure.h.in, Source/cmConfigureGccXmlCommand.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSWWriter.cxx,
	Source/cmFindFileCommand.cxx, Source/cmFindLibraryCommand.cxx,
	Source/cmFindPathCommand.cxx, Source/cmFindProgramCommand.cxx,
	Source/cmLinkLibrariesCommand.cxx, Source/cmMSProjectGenerator.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmOptionCommand.cxx, Source/cmProjectCommand.cxx,
	Source/cmSetCommand.cxx, Source/cmSiteNameCommand.cxx,
	Source/cmStandardIncludes.h, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUtilitySourceCommand.cxx, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: ENH: big change, only allow commands access
	to the cache via the cmMakefile class and GetDefinition, also the
	cmMakefile is the only way for commands to add to the cache.  Also,
	some changes to configure.in that check for for scoping

2001-08-07 19:49  hoffman

	* Source/cmStandardIncludes.h, Source/cmSystemTools.cxx: ENH:
	compile with broken 720 SGI C++ compiler

2001-08-07 17:46  hoffman

	* Source/cmMakefile.cxx: ENH: html output for docs

2001-08-07 17:15  hoffman

	* CMake.rtf: ENH: update documents with current commands and new
	GUI

2001-08-07 12:46  king

	* CMakeLogo.gif: ENH: CMakeLogo for Dart to use on testing web
	page.

2001-08-07 12:46  king

	* CMakeLists.txt: ERR: CMakeLogo.gif has been moved to the root
	directory of the source so that the Web and Web/Art directories are
	not needed here.

2001-08-06 21:01  martink

	* Source/cmElseCommand.cxx, Source/cmElseCommand.h,
	Source/cmIfCommand.cxx, Source/cmIfCommand.h: added new if commands

2001-08-06 19:11  king

	* CMake.pdf, CMake.rtf: Re-adding doc files.  They were
	accidentally removed due to a symlink from the CMake/Web directory
	when it was removed.

2001-08-06 19:01  king

	* Web/index.html, Web/Art/CMakeBanner.jpg, Web/Art/CMakeBanner.psd,
	Web/Art/CMakeGUI.jpg, Web/Art/CMakeLogo.gif, Web/Art/CMakeLogo.ppt,
	Web/Art/CMakeLogo.psd, Web/Art/SideBar.jpg, Web/Art/SideBar.psd,
	Web/Art/acl.gif, Web/Art/asci.gif, Web/Art/asci_little.gif,
	Web/Art/itkLogoSmallTransparentBackground.gif,
	Web/Art/nlm_logo.gif, Web/Art/swooshSmall.gif, Web/HTML/About.html,
	CMake.pdf, CMake.rtf, Web/HTML/Documentation.html,
	Web/HTML/Download.html, Web/HTML/Examples.html, Web/HTML/FAQ.html,
	Web/HTML/Features.html, Web/HTML/Head.html, Web/HTML/Install.html,
	Web/HTML/MailingLists.html, Web/HTML/News.html,
	Web/HTML/SideBar.html, Web/HTML/Sponsors.html, Web/HTML/Style.css,
	Web/HTML/Table.html, Web/HTML/Testing.html,
	Web/HTML/TestingSetup.html, Web/HTML/cmakeExample.tar.gz: Removing
	Web directory from CMake.  It is moving to a separate, parallel CVS
	module called "CMakeWeb"

2001-08-03 19:47  king

	* Source/cmConfigureFileCommand.cxx,
	Source/cmConfigureFileCommand.h: ENH: Added 'IMMEDIATE' option to
	CONFIGURE_FILE command to force file copy and configuration on the
	initial pass so that current variable values are used.

2001-08-02 21:27  king

	* Source/cmCableWrapTclCommand.cxx, Source/cmCableWrapTclCommand.h:
	ENH: Added use of a class's tag to generate a better set of
	filenames for its wrapper configuration, xml, and generated files. 
	This should also prevent half the classes from re-wrapping when a
	new one is inserted in the middle.

2001-08-02 18:42  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: Generated link line for
	shared libraries had CMAKE_CXX_FLAGS instead of CMAKE_CXXFLAGS
	(note underscore).

2001-08-02 18:10  king

	* Source/cmMakefile.cxx: BUG: Fixed off-by-one error in
	ExpandVariablesInString for case of $ or @ as last character of
	string.

2001-08-02 13:07  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: We don't want to output
	-I/usr/include in the INCLUDE_FLAGS variable.  This causes problems
	with finding system headers in the wrong places for certain
	standard library implementations.

2001-08-01 20:11  king

	* Modules/FindCABLE.cmake: ENH: Support to find CABLE utility if it
	is installed.

2001-08-01 20:11  king

	* Source/cmAddDefinitionsCommand.cxx: BUG: Needed to expand
	variables of definitions.

2001-08-01 20:11  king

	* Source/cmCommands.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSubdirDependsCommand.cxx,
	Source/cmSubdirDependsCommand.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: Added SUBDIR_DEPENDS
	command and corresponding support code.  This command allows
	specification that a set of subdirectories be built before a
	particular directory.

2001-08-01 20:11  king

	* Source/cmInstallFilesCommand.cxx: BUG: Need to expand variables
	when a regular expression is specified.

2001-08-01 15:19  king

	* Modules/FindTCL.cmake: ENH: Added tk library names tk8.4 tk8.3
	tk8.2 and tk8.0 to correspond to tk84 tk83 tk82 and tk80. 
	TK_LIBRARY should now be found on more platforms.

2001-07-31 15:29  king

	* Source/cmCommands.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWWriter.cxx, Source/cmInstallFilesCommand.cxx,
	Source/cmInstallProgramsCommand.cxx,
	Source/cmInstallProgramsCommand.h, Source/cmMakefile.cxx,
	Source/cmTarget.cxx, Source/cmTarget.h,
	Source/cmUnixMakefileGenerator.cxx, Templates/CMakeLists.txt: ENH:
	Added INSTALL_PROGRAMS command and corresponding support.  This
	involved splitting cmTarget::INSTALL into INSTALL_FILES and
	INSTALL_PROGRAMS enum values.  INSTALL_FILES no longer adds execute
	permission.  The INSTALL_PROGRAMS commnad takes either a list of
	explicit names, or a regex.  It will not expand source lists like
	the INSTALL_FILES command will.

2001-07-30 16:21  king

	* Source/cmCableClassSet.cxx: ERR:
	ElementCombinationGenerator::ReplacePortion needs to be a friend of
	ElementCombinationGenerator so that it can get access to
	ElementCombinationGenerator::Substitution.  Also fixed one minor
	problem for HP build.

2001-07-30 15:34  king

	* Source/cmCableClassSet.cxx, Source/cmCableWrapTclCommand.cxx,
	Source/cmDSPWriter.cxx, Source/cmMakeDepend.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx: BUG: Changed include and link
	directory paths in cmMakefile back to std::vector because there is
	an order dependency.  Only cmMakefile::AddIncludeDirectory and
	cmMakefile::AddLinkDirectory should be called to add directories to
	the paths.  They make sure the paths are unique as they are
	inserted.

2001-07-30 11:18  scottim

	* Source/cmCableClassSet.cxx, Source/cmCableWrapTclCommand.cxx,
	Source/cmDSPWriter.cxx, Source/cmMakeDepend.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx: Removed the Uniquification of
	the include and link directory list in FinalPass, and achieved the
	same effect by makein m_LinkDirectores and m_IncludeDirectories a
	set rather than vector

2001-07-27 20:29  hoffman

	* Source/cmMakefile.cxx: ENH: Re-implemented
	ExpandVariablesInString to significantly improve performance.

2001-07-27 17:06  scottim

	* Source/cmMakefile.cxx, Source/cmMakefile.h: MAkefile now strips
	duplicate directores from the libraries and include paths

2001-07-26 15:07  king

	* Source/cmCableClassSet.cxx, Source/cmCableClassSet.h,
	Source/cmCableClassSetCommand.cxx,
	Source/cmCableWrapTclCommand.cxx: ENH: Added cable class-set
	expansion and tagging for alternate name generation.  This should
	make the generated wrappers much easier to setup and use.

2001-07-26 14:18  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp: ENH: change the logic of
	disabling the ok button a bit

2001-07-26 13:47  berk

	* CMakeLists.txt: ENH: Updated regexp for tracing dependencies in
	FLTK dialog.

2001-07-26 12:36  martink

	* Source/cmMakefile.h: fixed warnings

2001-07-25 22:30  hoffman

	* Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmake.cxx,
	Source/cmake.h, Source/MFCDialog/CMakeDialog.h,
	Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h,
	Source/MFCDialog/resource.h: ENH: rework GUI with
	configure/OK/Cancel

2001-07-25 20:52  martink

	* Source/cmEndForEachCommand.cxx, Source/cmEndForEachCommand.h,
	Source/cmForEachCommand.cxx, Source/cmForEachCommand.h: new
	commands

2001-07-25 20:52  martink

	* Source/cmCommands.cxx, Source/cmFunctionBlocker.h,
	Source/cmIfCommand.cxx, Source/cmIfCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h: added for each command

2001-07-25 13:40  berk

	* Source/cmCacheManager.cxx: Removing trailing spaces after cache
	entry value.

2001-07-24 20:46  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h,
	Source/MFCDialog/resource.h: BUG: fix on scroll with buttons

2001-07-24 20:16  king

	* Source/cmDSPWriter.cxx: BUG: Fixed dependency generation to work
	for when there are many, many dependencies.  Output is now easier
	to ready anyway because each dependency is on its own line.

2001-07-23 18:43  king

	* Source/cmConfigureGccXmlCommand.cxx,
	Source/cmConfigureGccXmlCommand.h: BUG: CompilerIsMipsPro needs to
	redirect stderr to stdout so that the test output can be checked.

2001-07-23 15:53  king

	* Source/cmConfigureGccXmlCommand.cxx,
	Source/cmConfigureGccXmlCommand.h: ENH: Added support for UNIX
	compilers.  GCC and MIPSpro are supported.

2001-07-23 15:53  king

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Added
	support for non-verbose mode output from running a command.  This
	can be used when it is expected that the command may fail.

2001-07-23 15:06  king

	* Modules/FindGCCXML.cmake: ENH: Module to find and configure
	GCCXML and GCCXML_FLAGS.

2001-07-23 15:06  king

	* Source/cmCommands.cxx, Source/cmConfigureGccXmlCommand.cxx,
	Source/cmConfigureGccXmlCommand.h: ENH: Added CONFIGURE_GCCXML
	command to do hard work of configuring GCCXML's flags for the
	current compiler.  Currently only implemented correctly for Visual
	C++ in Windows.

2001-07-20 19:05  millerjv

	* Web/index.html: FIX: changed hyperlink color from white/white

2001-07-20 15:41  millerjv

	* Modules/Dart.cmake: ENH: Added Purify targets

2001-07-20 13:20  millerjv

	* Modules/Dart.cmake: ENH: Added purify command.

2001-07-20 08:56  scottim

	* Templates/DLLHeader.dsptemplate: adding what I think is a missing
	/pdbtype:sept

2001-07-19 18:31  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h,
	Source/FLTKDialog/FLTKDialog.cxx: ENH: Save and Load of recent
	Source and Binary directories added.

2001-07-18 20:45  martink

	* Source/cmMakefile.h: updated version

2001-07-18 15:40  martink

	* Source/cmSystemTools.cxx: limit library search to appropriate
	extensions

2001-07-18 14:17  hoffman

	* Modules/Dart.cmake: BUG: enable testing even if not tcl found

2001-07-17 19:41  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Added generation of
	dependencies on the CMake-generated input to gcc-xml so that
	re-generation of wrappers will occur if a header changes.

2001-07-17 19:41  king

	* Source/cmMakeDepend.cxx: BUG: Need to expand variables in search
	paths in case it hasn't been done yet by the makefile.

2001-07-17 19:09  king

	* Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmOutputRequiredFilesCommand.cxx,
	Source/cmUnixMakefileGenerator.cxx: ENH: Hacked together a new
	implementation of the dependency generator code.  This should
	support finding dependencies for individual files without doing
	them for the entire makefile.  Use cmMakeDepend::FindDependencies()
	to do this.

2001-07-17 13:54  king

	* Modules/CMakeLists.txt, Modules/FindDart.cmake,
	Modules/FindPythonLibs.cmake, Modules/FindTCL.cmake,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Templates/configure, Templates/configure.in: ENH: Added support for
	using backslash-style escaping in CMakeLists.txt file arguments. 
	This allows double quotes to be used in arguments.

2001-07-17 13:54  king

	* Modules/FindJNI.cmake: branches:  1.6.2; ENH: Added support for
	using backslash-style escaping in CMakeLists.txt file arguments. 
	This allows double quotes to be used in arguments.

2001-07-16 22:40  perera

	* Source/cmAuxSourceDirectoryCommand.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSourceFile.cxx,
	Source/cmSourceFile.h, Source/cmSourceFilesCommand.cxx,
	Source/cmSourceFilesRemoveCommand.cxx, Source/cmTarget.cxx: ENH:
	Source and header file extensions are in variables in cmMakefile. 
	AUX_SOURCE_DIRECTORY will only add files that have a "source"
	extension.

2001-07-16 20:49  hoffman

	* Web/HTML/About.html, Web/HTML/Documentation.html,
	Web/HTML/Download.html, Web/HTML/Examples.html, Web/HTML/FAQ.html,
	Web/HTML/Features.html, Web/HTML/Install.html,
	Web/HTML/MailingLists.html, Web/HTML/News.html,
	Web/HTML/SideBar.html, Web/HTML/Sponsors.html,
	Web/HTML/Testing.html, Web/HTML/TestingSetup.html: ENH: add
	TestingSetup

2001-07-16 19:19  ibanez

	* Modules/FindGLU.cmake, Modules/FindGLUT.cmake:      Search path
	for OpenGL related libraries

2001-07-16 15:17  king

	* Web/HTML/Sponsors.html: ERR: ITK is the original sponsoring
	project for CMake, not itself.

2001-07-16 14:14  hoffman

	* Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: ENH: add a variable for
	CMAKE_COMPILER_IS_GNUCXX

2001-07-16 14:14  hoffman

	* Source/cmMakefile.cxx, Source/cmSourceFile.cxx: ENH: add support
	for mac osx

2001-07-16 14:14  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: make sure cache is
	cleared

2001-07-16 01:10  barre

	* Modules/FindPythonLibs.cmake: update include/lib path to Python
	(Linux)

2001-07-12 23:48  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h:
	ENH: add a check to avoid quitting before rebuilding

2001-07-11 17:30  martink

	* Source/cmMakefile.h, Source/cmMakefile.h: version num

2001-07-11 17:06  martink

	* Source/MFCDialog/CMakeSetupDialog.cpp: fixed up resizing info

2001-07-11 16:12  hoffman

	* Source/cmSystemTools.cxx: BUG: make sure find program does not
	find directories

2001-07-10 21:13  hoffman

	* Source/cmIncludeCommand.cxx, Source/cmLoadCacheCommand.cxx: BUG:
	remove iostream.h includes

2001-07-10 20:20  berk

	* Source/cmUnixMakefileGenerator.cxx: Unnecessary variable

2001-07-10 20:20  berk

	* Source/cmMakefile.cxx: Better error checking.

2001-07-10 18:29  hoffman

	* Templates/configure, Templates/configure.in: BUG: fix excape of *
	for cmake

2001-07-10 17:57  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: When splitting a full
	path library into separate -L and -l parts, the -l part may not
	have a "lib" prefix on cygwin.

2001-07-10 16:09  king

	* Source/cmake.cxx: ENH: Removing automatic setting of
	BUILD_SHARED_LIBS.  Projects that support this should explicitly
	declare it with the OPTION command, or set its libraries to shared
	or static directly on each ADD_LIBRARY command.

2001-07-10 15:56  berk

	* Modules/Dart.cmake: Checking if tclshcommand is defined before
	running it.

2001-07-10 15:46  king

	* Source/cmUnixMakefileGenerator.cxx: ENH: Added
	-D(library_name)_EXPORTS to build rules for sources that are going
	to be linked into a shared library.  This allows dllexport setup
	for DLL building on cygwin.  It may also come in handy in unix in
	the future.  This corresponds to the same definition added by the
	dll dsp template in windows.

2001-07-10 13:23  martink

	* Source/cmBuildNameCommand.cxx: changes to better handle old
	values or hand set values

2001-07-09 16:46  nobody

	* DartConfig.cmake: Disabled doxygen and gnats

2001-07-08 21:54  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: library extension goes
	after library name, not before

2001-07-06 18:41  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: some clean up, and better
	checking to see if we are building cmake

2001-07-06 18:11  hoffman

	* configure, configure.in: ENH: run make depend

2001-07-06 16:46  will

	* Source/cmCommand.h: ERR:Spelling mistake

2001-07-06 13:22  king

	* Source/cmStandardIncludes.h: ENH: Warning 4503 disable for MSVC.

2001-07-05 22:15  hoffman

	* Templates/configure, Templates/configure.in: BUG: fix flags for
	cygwin and shared builds

2001-07-05 21:52  hoffman

	* Source/cmSystemTools.cxx: ENH: add better error output

2001-07-05 16:03  hoffman

	* Source/cmUnixMakefileGenerator.cxx, Templates/configure,
	Templates/configure.in: BUG: fix solaris problems in install and ar

2001-07-03 14:53  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Removed -fsyntax-only flag
	from call to gcc-xml.  It should be part of GCCXML_FLAGS.

2001-07-03 09:27  scottim

	* Source/cmDSPWriter.cxx, Templates/CMakeWindowsSystemConfig.cmake,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: Renamed the
	ReleaseWithDebugInfo Build configuration to RelWithDebInfo, because
	msdev does simple matching on build target, and specifying either
	Release or Debug builds would also build ReleaseWithDebugInfo

2001-07-02 20:52  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: When outputting relative
	path of .o, the relative path of the source file must also be
	written (not full path).

2001-07-02 20:30  millerjv

	* Source/cmBuildNameCommand.cxx: FIX: BuildName removes path to
	compiler and converts any illegal characters

2001-07-02 19:57  king

	* Source/cmCommands.cxx, Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.h: ENH: Removed deprecated
	command completely.

2001-07-02 19:38  king

	* Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmTarget.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: Added support for selection
	of static/shared build on a per-library basis.

2001-07-02 18:38  martink

	* Source/cmake.cxx: better arg support

2001-07-02 18:02  berk

	* Source/cmVTKWrapJavaCommand.h, Source/cmVTKWrapPythonCommand.h,
	Source/cmVTKWrapTclCommand.h: Should not be inherited.

2001-07-02 18:02  berk

	* Source/cmConfigureFileCommand.cxx: Wrong place for fout

2001-07-02 18:02  berk

	* Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx:
	Better error checking.

2001-06-29 21:06  martink

	* Web/Art/CMakeLogo.gif: cmake logo for dashboard

2001-06-29 20:59  martink

	* Web/Art/CMakeLogo.gif: cmake logo for dashboard

2001-06-29 20:55  martink

	* Web/Art/CMakeLogo.gif: cmake logo for dashboard

2001-06-29 20:46  martink

	* Source/cmConfigureFileCommand.cxx: better configure file command

2001-06-29 20:06  nobody

	* CMakeLists.txt: added logo

2001-06-29 17:43  martink

	* Web/Art/CMakeLogo.gif: cmake logo for dashboard

2001-06-29 13:53  martink

	* Source/cmaketest.cxx: minor compile fix

2001-06-29 13:30  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: BUG: break up CMAKE_AR into program and
	ARGS

2001-06-28 21:45  hoffman

	* configure, configure.in, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx, Templates/configure,
	Templates/configure.in: ENH: various fixes to allow bootstrap on
	sunos with CC

2001-06-28 20:45  hoffman

	* Source/cmEnableTestingCommand.cxx: fixed Dart issue

2001-06-28 19:27  hoffman

	* Templates/CMakeSystemConfig.cmake.in: set values in the cache not
	just the current makefile

2001-06-28 19:08  berk

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx: Undefined symbol

2001-06-28 19:08  berk

	* Source/cmUnixMakefileGenerator.cxx: Special rules for
	out-of-package source files.

2001-06-28 18:53  hoffman

	* Source/FLTKDialog/CMakeLists.txt,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyList.cxx: BUG: fix for sgi compiler

2001-06-28 18:38  hoffman

	* Templates/configure, Templates/configure.in: BUG: pass flags to
	compiler during configure

2001-06-28 18:27  hoffman

	* Templates/configure, Templates/configure.in: BUG: pass flags to
	compiler during configure

2001-06-28 18:01  hoffman

	* Source/cmSourceFilesCommand.cxx: BUG: find files in
	subdirectories

2001-06-28 15:40  hoffman

	* Source/cmSystemTools.cxx: BUG: check size of path error, HP
	gcount problem

2001-06-28 15:40  hoffman

	* Source/cmStandardIncludes.h: fix for scope on hp

2001-06-27 21:19  berk

	* Source/cmSourceFilesCommand.cxx: Added variable expansion.

2001-06-27 20:17  martink

	* Source/cmMakefile.h: updated version to 0.3

2001-06-27 20:17  martink

	* Source/cmMakefile.h: updated version to 0.2

2001-06-27 20:14  martink

	* Source/cmUnixMakefileGenerator.cxx: ENH: fix install when
	executable and lib path set

2001-06-27 19:42  hoffman

	* configure, configure.in, Source/CMakeLists.txt,
	Source/cmSystemTools.cxx, Source/cmUnixMakefileGenerator.cxx,
	Source/cmake.cxx, Templates/install-sh: ENH: fix install for
	cygwin, build cmake from configure

2001-06-27 19:13  king

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: BUG: Check for building shared
	libraries should read from the make file's setting, not directly
	from the cache.

2001-06-27 19:09  king

	* Source/cmDSPWriter.cxx: BUG: Check for building shared libraries
	should read from makefile's setting, not directly from the cache.

2001-06-27 17:57  will

	* Web/HTML/Download.html: added binary download

2001-06-27 17:12  martink

	* CMake.rtf: updated for 0.2

2001-06-27 17:12  martink

	* Source/cmLinkLibrariesCommand.h, Source/cmSubdirCommand.h:
	documentation change

2001-06-27 16:09  perera

	* Source/cmUnixMakefileGenerator.cxx: ENH: Use ${MAKE} instead of
	make for dependent library rules

2001-06-27 15:49  martink

	* Source/cmCommands.cxx: alphabetized

2001-06-27 15:35  martink

	* Source/cmake.cxx: added help options

2001-06-27 13:16  martink

	* Source/cmSystemTools.cxx, Source/cmaketest.cxx,
	Source/cmaketest.h.in: minor fixes to testing

2001-06-27 13:16  martink

	* CMakeLists.txt: added dependencies for testing

2001-06-27 13:16  martink

	* Source/CMakeLists.txt: mod to the testing

2001-06-26 20:44  hoffman

	* Source/MFCDialog/PropertyList.cpp: ENH: convert to unix slashes
	on browse, remove font and color junk

2001-06-26 20:19  hoffman

	* Source/cmake.dsp: BUG: change to dos mode

2001-06-26 17:41  martink

	* Modules/Dart.cmake: update for CMake changes

2001-06-26 17:23  martink

	* Source/CMakeLists.txt, Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddCustomTargetCommand.h, Source/cmBuildCommand.cxx,
	Source/MFCDialog/CMakeLists.txt: modified how paths are escaped,
	added depends

2001-06-26 14:01  martink

	* Source/cmAddDependenciesCommand.cxx,
	Source/cmAddDependenciesCommand.h, Source/cmCommands.cxx: added add
	dependencies command

2001-06-26 13:55  martink

	* Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h: better GUI resize and combo
	box fixes

2001-06-25 17:34  millerjv

	* Source/cmBuildNameCommand.cxx, Source/cmSiteNameCommand.cxx: FIX:
	added AddDefinition() to store site name and build name in
	makefile.  Also stripped      white space from the result of
	hostname.

2001-06-25 14:59  martink

	* CMakeLists.txt: made cmake write its execs into CMake/Source

2001-06-22 18:53  hoffman

	* Source/cmMakefile.cxx: ENH: put back stdio.h to get sprintf

2001-06-22 18:53  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: shared libraries should
	not depend on other shared libraries, they get relinked too often.

2001-06-22 18:23  biddi

	* Source/cmCommands.cxx: ERR: Serious problems with my CVS. How did
	this get committed?

2001-06-22 16:17  king

	* Source/cmSystemTools.cxx: BUG: Wrote correct implementation of
	cmCopyFile.

2001-06-22 16:17  king

	* Source/cmake.cxx: BUG: Fixed generation of cMakeRoot in one case.

2001-06-22 16:17  king

	* Source/cmStandardIncludes.h: ENH: Added string.h include.

2001-06-22 16:17  king

	* Source/cmMakefile.cxx: ERR: Removed stray standard header
	include.  They should be added to cmStandardIncludes.h

2001-06-22 16:17  king

	* Source/cmIncludeCommand.cxx: BUG: Added missing newline in error
	message.

2001-06-22 15:32  martink

	* Source/cmMakefile.cxx: removed stricmp

2001-06-22 15:28  martink

	* Source/CMakeLists.txt: escape quotes on cmaketest.h.in

2001-06-22 15:14  martink

	* Source/cmMakefile.cxx, Source/cmMakefile.h: added escape quotes
	option in replace strings

2001-06-22 15:14  martink

	* Source/cmConfigureFileCommand.cxx,
	Source/cmConfigureFileCommand.h: added escape quotes option

2001-06-22 14:21  martink

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: added escape
	quote method

2001-06-22 13:58  biddi

	* Source/cmCommands.cxx, Source/cmSourceFilesRemoveCommand.cxx,
	Source/cmSourceFilesRemoveCommand.h: ENH: Added new command
	SOURCE_FILES_REMOVE which can be used to take files out of the
	build. Especially useful when certain compilers choke on the odd
	file.

2001-06-22 13:47  biddi

	* Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: Added
	RemoveSource(...) to complement AddSource. New command
	SOURCE_FILES_REMOVE uses it and can be used to take files out of
	the build

2001-06-22 13:27  martink

	* Source/cmaketest.cxx: namespace issues

2001-06-21 21:55  hoffman

	* Source/cmDSWWriter.cxx: allow no name project

2001-06-21 21:52  martink

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: adde
	changeDirectory

2001-06-21 21:52  martink

	* Source/CMakeLists.txt: better testing

2001-06-21 21:52  martink

	* Source/cmaketest.cxx, Source/cmaketest.h.in: new test driver

2001-06-21 21:52  martink

	* Tests/Simple/CMakeLists.txt, Tests/Simple/simple.cxx: new tests

2001-06-21 21:41  hoffman

	* Source/cmake.cxx: BUG: fix for unix

2001-06-21 21:25  hoffman

	* Source/cmake.cxx: ENH: clean up

2001-06-21 21:20  hoffman

	* Source/cmake.cxx: ENH: look in the PREFIX dir for the modules

2001-06-21 20:34  hoffman

	* Source/cmConfigure.cmake.h.in, Source/cmake.cxx: ENH: better
	ability to find cmake program

2001-06-21 19:57  martink

	* Templates/CMakeLists.txt: minor install fix

2001-06-21 19:54  martink

	* Source/cmUnixMakefileGenerator.cxx: better permission handling

2001-06-21 19:02  king

	* Source/cmIncludeRegularExpressionCommand.cxx,
	Source/cmIncludeRegularExpressionCommand.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: Extended
	INCLUDE_REGULAR_EXPRESSION to allow selective complaints about
	missing dependencies.

2001-06-21 19:02  king

	* Source/CMakeLists.txt: ENH: Added BUILD_FLTK_GUI option (defaults
	to ON).

2001-06-21 17:48  hoffman

	* Source/CMakeLists.txt, Source/cmSourceFile.cxx,
	Source/cmStandardIncludes.h: BUG: fix bootstrap build on unix

2001-06-21 16:43  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h: ENH: Update the
	cacheManager from the GUI after each callback.	     Only load the
	cache from disk if the binary path has changed.

2001-06-21 16:31  hoffman

	* CMakeLists.txt: ENH: add include regexp

2001-06-21 16:19  martink

	* Source/FLTKDialog/CMakeLists.txt: added install target

2001-06-21 16:01  martink

	* CMakeLists.txt, Makefile.in, configure, configure.in, install-sh,
	Modules/CMakeLists.txt, Source/cmInstallFilesCommand.cxx,
	Source/cmInstallFilesCommand.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmake.cxx, Templates/CMakeLists.txt,
	Templates/install-sh: better install support

2001-06-21 14:58  hoffman

	* Templates/CMakeSystemConfig.cmake.in: BUG: remove quotes

2001-06-21 14:36  hoffman

	* Source/cmIncludeCommand.cxx, Source/cmIncludeCommand.h: ENH: add
	optional include and only allow one file per INCLUDE

2001-06-21 14:17  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: INTERNAL
	properties are not display any longer in the GUI

2001-06-21 13:56  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx: ENH: The cache is not
	saved now after every modification of the GUI

2001-06-21 13:45  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx: ENH: Clearing and
	redrawing the property list after a build to load the new cache.

2001-06-21 12:41  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h,
	Source/FLTKDialog/FLTKPropertyList.cxx,
	Source/FLTKDialog/FLTKPropertyList.h: ENH: PropertyRows have now a
	reference to CMakeSetupGUI and save the cache	   at each callback
	action

2001-06-21 11:35  ibanez

	* Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.h,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx: Removed: now
	the help string is managed by the PropertyRow class

2001-06-21 11:35  ibanez

	* Source/FLTKDialog/CMakeLists.txt,
	Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h: ENH: PropertyNameButton
	was removed. PropertyRow manages all the callbacks now

2001-06-20 21:03  hoffman

	* Source/FLTKDialog/CMakeLists.txt,
	Source/MFCDialog/CMakeLists.txt: ENH: add CMakeSetup as a target

2001-06-20 20:49  hoffman

	* Source/CMakeLists.txt, Source/cmDSPWriter.cxx,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: ENH: boot strap mfc gui and
	support for MFC

2001-06-20 17:56  hoffman

	* Source/CMakeLists.txt, Source/cmConfigure.cmake.h.in,
	Source/cmSourceFile.cxx, Source/cmStandardIncludes.h,
	Source/cmake.cxx, Source/FLTKDialog/CMakeLists.txt,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: ENH: fix cmake so it can boot strap itself
	better

2001-06-19 20:29  hoffman

	* Modules/FindFLTK.cmake: [no log message]

2001-06-19 20:10  hoffman

	* Source/CMakeLists.txt, Source/FLTKDialog/CMakeLists.txt,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx: ENH: build
	fltk cmake on unix with bootstrap

2001-06-19 20:05  king

	* Makefile.in: BUG: Exectuable installation must set permissions to
	755 in case installer has a umask like 007.

2001-06-19 19:50  king

	* Source/cmBuildSharedLibrariesCommand.cxx, Source/cmake.cxx: ENH:
	CMake now always adds the BUILD_SHARED_LIBS cache entry.  The
	BUILD_SHARED_LIBRARIES command that used to be used is now
	deprecated.

2001-06-19 19:49  hoffman

	* Source/FLTKDialog/CMakeLists.txt: ENH: add bootstrap support for
	building fltk

2001-06-19 19:33  hoffman

	* Source/CMakeLists.txt, Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: add bootstrap support
	for building fltk

2001-06-19 18:32  hoffman

	* Source/MFCDialog/CMakeDialog.h, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/resource.h:
	ENH: add resize ability to dialog and fix tab stop orders

2001-06-19 16:01  king

	* Source/cmOutputRequiredFilesCommand.cxx: ERR: Removed unused
	variable.

2001-06-19 16:01  king

	* Source/cmCableCloseNamespaceCommand.cxx,
	Source/cmCableCloseNamespaceCommand.h, Source/cmCableCommand.cxx,
	Source/cmCableCommand.h, Source/cmCableData.cxx,
	Source/cmCableData.h, Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h,
	Source/cmCableOpenNamespaceCommand.cxx,
	Source/cmCableOpenNamespaceCommand.h,
	Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h, Source/cmCableWrapCommand.cxx,
	Source/cmCableWrapCommand.h, Source/cmCommands.cxx: ENH: Removing
	old-style cable commands related to the instantiation functionality
	which has now been removed from cable.

2001-06-19 11:41  millerjv

	* Source/cmAddTestCommand.cxx, Source/cmEnableTestingCommand.cxx:
	ENH: Changed generated filename to DartTestfile.txt

2001-06-18 21:26  hoffman

	* Source/cmSystemTools.cxx: BUG: use pclose not fclose

2001-06-18 20:54  perera

	* Source/cmLinkLibrariesCommand.cxx: ENH: LINK_LIBRARIES(abc) will
	automatically add the path to abc to the link directories, if the
	path is known.

2001-06-18 19:35  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: remove unused

2001-06-18 19:31  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: create directories in
	the right place

2001-06-18 19:31  hoffman

	* Source/cmake.cxx: ENH: move EXECUTABLE_OUTPUT_PATH and
	LIBRARY_OUTPUT_PATH initial creation to after the CMakeLists.txt
	files have been parsed

2001-06-18 17:16  martink

	* Modules/Dart.cmake: out of source dart support

2001-06-15 21:57  hoffman

	* Source/cmUnixMakefileGenerator.cxx: ENH: do not add anything from
	the current directory to the depends

2001-06-15 14:35  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: fixed so that empty
	library paths are ignored

2001-06-15 11:49  ibanez

	* Source/FLTKDialog/Makefile.in: ENH: Getting headers and libs for
	FLTK and OpenGL

2001-06-15 11:49  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h,
	Source/FLTKDialog/FLTKDialog.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx: ENH: Absolute
	path to cmake resolved

2001-06-15 11:40  will

	* Web/HTML/Features.html: ENH:Added features

2001-06-15 11:34  will

	* Web/HTML/About.html, Web/HTML/Features.html,
	Web/HTML/SideBar.html: ENH:Added features

2001-06-15 11:24  will

	* Web/index.html, Web/HTML/Sponsors.html: Updated ASCI link

2001-06-14 21:29  king

	* Web/HTML/Download.html: ENH: Updated anonymous checkout commands
	for new repository root location.

2001-06-14 21:06  biddi

	* Source/cmSourceFile.cxx: ERR: allow *.cpp as well as *.cxx etc
	etc

2001-06-14 18:32  berk

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h,
	Source/FLTKDialog/FLTKPropertyList.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.h: Include
	directory names are Case sensitive in Unix.

2001-06-14 16:48  will

	* Web/HTML/Sponsors.html: Refined Jim Ahrens changes

2001-06-14 16:42  will

	* Web/index.html, Web/HTML/Sponsors.html, Web/Art/asci.gif,
	Web/Art/asci_little.gif: Feedback from Jim Ahrens

2001-06-14 15:45  martink

	* Source/CMakeLib.dsp: added make depend on win32

2001-06-14 14:19  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: fix it so that if a
	Makefile is out of date for some reason, it is only built once, it
	was doing it twice.

2001-06-14 13:10  martink

	* CMakeLists.txt, DartConfig.cmake: modified testing

2001-06-13 21:50  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: fix so it does not jump
	into the current directory for inital target builds

2001-06-13 21:03  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmake.cxx: ENH: fix
	EXECUTABLE_OUTPUT_PATH and LIBRARY_OUTPUT_PATH for unix

2001-06-13 20:15  martink

	* Modules/FindDart.cmake: used to find the dart testing system

2001-06-13 18:49  martink

	* CMakeLists.txt: minor dart change

2001-06-13 17:53  martink

	* Source/cmTarget.cxx, Source/cmTarget.h: duh

2001-06-13 17:49  martink

	* CMakeLists.txt, Source/cmTarget.cxx, Source/cmTarget.h: minor cvs
	web changeCMakeLists.txt

2001-06-13 14:28  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: Search
	for cmake executable full path added (window/unix)

2001-06-13 13:37  will

	* Web/HTML/SideBar.html: Added dashboard

2001-06-13 04:16  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h,
	Source/FLTKDialog/FLTKPropertyList.cxx,
	Source/FLTKDialog/FLTKPropertyList.h,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.h: ENH: Added
	popup menu for removing a property.  Some style changes

2001-06-12 22:43  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.h,
	Source/FLTKDialog/Makefile.in: ENH: Added help blobs that popup
	when the mouse is left on top of the	  property name

2001-06-12 22:43  ibanez

	* Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.cxx,
	Source/FLTKDialog/FLTKPropertyNameButtonWithHelp.h:  Class derived
	from Fl_Button with added help blobs

2001-06-12 18:15  perera

	* Source/cmUnixMakefileGenerator.cxx, Templates/configure,
	Templates/configure.in: BUG: SHLIB_LINK was being used when linking
	static executables. Missing comma in RUNTIME_FLAG for IRIX.  ENH:
	User supplied SHLIB_CFLAGS (-fPIC, etc) will override configure
	detected flags

2001-06-12 17:30  martink

	* CMakeLists.txt, Source/CMakeLists.txt: support testing

2001-06-12 16:20  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: CMake's configure needs
	to run with the current directory as the project's binary
	directory.

2001-06-12 16:20  king

	* Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h: ERR: Needed
	virtual destructor to correspond to virtual functions.	Also added
	several std:: qualifiers to string.

2001-06-12 15:55  martink

	* Source/cmakemain.cxx, Source/cmakemain.cxx: cmake does not
	require two arguments

2001-06-12 15:12  martink

	* Source/cmCommands.cxx: removed old added new

2001-06-12 15:08  martink

	* Source/cmOutputRequiredFilesCommand.cxx,
	Source/cmOutputRequiredFilesCommand.h: added new command

2001-06-12 15:08  martink

	* Source/cmCommands.cxx: removed old added new

2001-06-12 15:08  martink

	* Source/cmConfigureFileNoAutoconf.cxx,
	Source/cmConfigureFileNoAutoconf.h, Source/cmTestsCommand.cxx,
	Source/cmTestsCommand.h: removed old commands

2001-06-12 14:59  king

	* Source/cmMakeDepend.cxx, Source/cmUnixMakefileGenerator.cxx: BUG:
	Dependency hints must be removed by the makefile generator before
	adding the dependencies generated by cmMakeDepend.

2001-06-12 14:45  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: There was no dependency
	for library targets on their required libraries.  (Hopefully there
	aren't any cyclic dependencies for libraries.) CMAKE_SHLIB_LINK is
	now used for executable targets.

2001-06-12 13:00  martink

	* Source/cmMakeDepend.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmMakeDepend.cxx: some
	cleanup to the make depend process

2001-06-12 12:34  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx: ENH: Paths are now
	expanded for environment variables and made absolute.	    The
	binary directory is created if it doesn't exist.

2001-06-12 12:30  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: WIN32_EXECUTABLE targets
	were not being installed on unix properly.  They are supposed to be
	treated just like any other EXECUTABLE target.

2001-06-12 12:30  king

	* Source/cmake.cxx: ERR: int -> unsigned int.

2001-06-12 01:50  ibanez

	* Modules/FindFLTK.cmake: ENH: Added the path used in SuSe Linux
	7.1

2001-06-11 23:14  millerjv

	* Modules/Dart.cmake: Modified for new Dart source tree

2001-06-11 22:00  martink

	* Source/cmake.cxx, Source/MFCDialog/CMakeSetupDialog.cpp: minor
	fix in error checking

2001-06-11 21:09  king

	* Modules/FindTCL.cmake: ENH: Added check for tcl8.4 (as against
	tcl84), tcl8.3, tcl8.2, and tcl8.0 when finding the TCL_LIBRARY.

2001-06-11 20:47  martink

	* Source/cmMakefile.h: added some const versions of get methods

2001-06-11 19:28  millerjv

	* Modules/Testing.cmake: Changed Testing.cmake to Dart.cmake

2001-06-11 19:28  millerjv

	* Modules/Dart.cmake: Rename Testing.cmake to Dart.cmake

2001-06-11 14:18  king

	* Source/cmSystemTools.cxx: BUG: Fixed regular expression used to
	match registry entries.  The expression now matches everything
	after a [HKEY until the first ']' is encountered.

2001-06-11 06:10  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx: ENH: Waiting
	cursor color were reversed

2001-06-11 05:20  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h: ENH: CMake
	invokation is working.

2001-06-11 01:36  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h: ENH: Cache saving
	added

2001-06-10 22:19  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cxx,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cxx,
	Source/FLTKDialog/FLTKDialog.cxx,
	Source/FLTKDialog/FLTKPropertyItemRow.cxx,
	Source/FLTKDialog/FLTKPropertyList.cxx: ENH: cpp renamed cxx. Copy
	of data to and from the GUI is working

2001-06-10 22:19  ibanez

	* Source/FLTKDialog/FLTKPropertyItemRow.h:	Class to manage
	every row in the GUI scrolling, corresponding to a
	     single property

2001-06-10 22:19  ibanez

	* Source/FLTKDialog/Makefile.in:      Template for the Makefile

2001-06-10 22:19  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h,
	Source/FLTKDialog/FLTKPropertyList.h: ENH: Added Fl_Tiles as row
	for holding property data. Data to and from the      GUI is working

2001-06-10 22:19  ibanez

	* Source/cmSystemTools.cxx: DOC: Added a comment about the risk of
	using tempnam in Unix, as opposed to	  using mkstemp.

2001-06-10 22:19  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cpp,
	Source/FLTKDialog/CMakeSetupGUIImplementation.cpp,
	Source/FLTKDialog/FLTKPropertyList.cpp,
	Source/FLTKDialog/FLTKDialog.cpp:      .cpp renamed as .cxx

2001-06-10 00:54  king

	* Source/cmCableWrapTclCommand.cxx: BUG: Changed custom command
	generation to not use full path of output file from cable.

2001-06-08 18:38  king

	* Source/cmDSPWriter.cxx: BUG: Removed generation of stray # Begin
	Custom Build line.

2001-06-08 18:38  king

	* Source/cmCableWrapTclCommand.cxx, Source/cmCableWrapTclCommand.h:
	ENH: Added proper request for/generation of CABLE, GCCXML, and
	GCCXML_FLAGS cache entries.  This also allowed the correct
	generation of gccxml rules.

2001-06-08 15:28  will

	* Web/HTML/Documentation.html, Web/HTML/Documentation.html,
	Web/HTML/Documentation.html, Web/HTML/Documentation.html:
	Documentation updated

2001-06-08 04:18  perera

	* Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: ENH: Runtime library search paths can be
	added to the link lines for on shared builds.

2001-06-07 20:48  martink

	* CMake.pdf.gz: replaced with pdf version

2001-06-07 20:45  will

	* CMake.pdf: updated docs

2001-06-07 20:34  martink

	* CMake.doc.gz: checked in rtf version

2001-06-07 20:24  martink

	* CMake.rtf: updated docs

2001-06-07 18:52  hoffman

	* Source/cmAddTestCommand.cxx, Source/cmCablePackageCommand.cxx,
	Source/cmCableWrapTclCommand.cxx, Source/cmCacheManager.cxx,
	Source/cmCacheManager.h, Source/cmDSWWriter.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmSystemTools.h,
	Source/cmTarget.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUtilitySourceCommand.cxx, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx,
	Source/cmake.cxx, Source/MFCDialog/CMakeSetupDialog.cpp,
	Templates/CMakeWindowsSystemConfig.cmake: ENH: move utilities to
	targets from makefile, and add versioning to cache

2001-06-07 16:22  king

	* Source/cmEnableTestingCommand.cxx: BUG: ENABLE_TESTING command
	may need to create output directory before writing the
	CMakeTestfile into it since it is invoked before the makefile
	generator runs.

2001-06-07 15:36  scottim

	* Source/cmDSPWriter.cxx, Templates/CMakeWindowsSystemConfig.cmake,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: adding a "Release with
	debugging Info" build to CMake for NT

2001-06-07 14:16  king

	* Source/cmCableWrapTclCommand.cxx: ERR: Fixed generation of source
	name and directory for cmSourceFiles of generated Tcl wrapper
	files.	Changed extension of generated gcc-xml input c++ file to be
	.cc so that GCC will recognize it, but MsDev will still allow a
	custom command on it.

2001-06-07 12:50  millerjv

	* Source/cmConfigureFileNoAutoconf.cxx: FIX: Chaned error message
	to match command

2001-06-06 20:45  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Changed generation of
	gccxml command to write out define and include flags explicitly
	instead of using CMAKE_CXX_FLAGS and INCLUDE_FLAGS variables.  This
	should help it run when gccxml is not the compiler that will build
	the generated wrappers.

2001-06-06 20:14  millerjv

	* Source/cmAddTestCommand.cxx: FIX: InitialPass() seg fault on
	std::copy and FinalPass() was not appending to the file

2001-06-06 17:58  martink

	* Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h,
	Source/cmCommands.cxx, Source/cmConfigureFileNoAutoconf.cxx,
	Source/cmEnableTestingCommand.cxx, Source/cmEnableTestingCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmTestsCommand.cxx: added enable testing deprecated some
	commands

2001-06-06 17:55  hoffman

	* Source/CMakeLib.dsp: [no log message]

2001-06-06 17:48  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMSProjectGenerator.cxx, Source/cmMSProjectGenerator.h:
	ENH: rename DSWMakefile and DSPMakefile to DSWWriter and DSPWriter

2001-06-06 17:37  will

	* Web/HTML/About.html, Web/HTML/Documentation.html: ENH:Some more
	tweaks

2001-06-06 17:18  hoffman

	* Source/cmAbstractFilesCommand.cxx,
	Source/cmAbstractFilesCommand.h,
	Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddCustomTargetCommand.h,
	Source/cmAddDefinitionsCommand.cxx,
	Source/cmAddDefinitionsCommand.h,
	Source/cmAddExecutableCommand.cxx, Source/cmAddExecutableCommand.h,
	Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmAuxSourceDirectoryCommand.h, Source/cmBuildCommand.cxx,
	Source/cmBuildCommand.h, Source/cmBuildNameCommand.cxx,
	Source/cmBuildNameCommand.h,
	Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.h,
	Source/cmCableClassSetCommand.cxx, Source/cmCableClassSetCommand.h,
	Source/cmCableCloseNamespaceCommand.cxx,
	Source/cmCableCloseNamespaceCommand.h,
	Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableOpenNamespaceCommand.cxx,
	Source/cmCableOpenNamespaceCommand.h,
	Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableWrapTclCommand.cxx, Source/cmCableWrapTclCommand.h,
	Source/cmCommand.h, Source/cmConfigureFileCommand.cxx,
	Source/cmConfigureFileCommand.h,
	Source/cmConfigureFileNoAutoconf.cxx,
	Source/cmConfigureFileNoAutoconf.h, Source/cmElseCommand.cxx,
	Source/cmElseCommand.h, Source/cmEndIfCommand.cxx,
	Source/cmEndIfCommand.h, Source/cmExecProgramCommand.cxx,
	Source/cmExecProgramCommand.h, Source/cmFindFileCommand.cxx,
	Source/cmFindFileCommand.h, Source/cmFindLibraryCommand.cxx,
	Source/cmFindLibraryCommand.h, Source/cmFindPathCommand.cxx,
	Source/cmFindPathCommand.h, Source/cmFindProgramCommand.cxx,
	Source/cmFindProgramCommand.h,
	Source/cmGetFilenameComponentCommand.cxx,
	Source/cmGetFilenameComponentCommand.h, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h, Source/cmIncludeCommand.cxx,
	Source/cmIncludeCommand.h, Source/cmIncludeDirectoryCommand.cxx,
	Source/cmIncludeDirectoryCommand.h,
	Source/cmIncludeRegularExpressionCommand.cxx,
	Source/cmIncludeRegularExpressionCommand.h,
	Source/cmInstallFilesCommand.cxx, Source/cmInstallFilesCommand.h,
	Source/cmInstallTargetsCommand.cxx,
	Source/cmInstallTargetsCommand.h, Source/cmLibraryCommand.h,
	Source/cmLinkDirectoriesCommand.cxx,
	Source/cmLinkDirectoriesCommand.h,
	Source/cmLinkLibrariesCommand.cxx, Source/cmLinkLibrariesCommand.h,
	Source/cmLoadCacheCommand.cxx, Source/cmLoadCacheCommand.h,
	Source/cmMakeDirectoryCommand.cxx, Source/cmMakeDirectoryCommand.h,
	Source/cmMakefile.cxx, Source/cmMessageCommand.cxx,
	Source/cmMessageCommand.h, Source/cmOptionCommand.cxx,
	Source/cmOptionCommand.h, Source/cmProjectCommand.cxx,
	Source/cmProjectCommand.h, Source/cmSetCommand.cxx,
	Source/cmSetCommand.h, Source/cmSiteNameCommand.cxx,
	Source/cmSiteNameCommand.h, Source/cmSourceFilesCommand.cxx,
	Source/cmSourceFilesCommand.h, Source/cmSourceGroupCommand.cxx,
	Source/cmSourceGroupCommand.h, Source/cmSubdirCommand.cxx,
	Source/cmSubdirCommand.h, Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTargetLinkLibrariesCommand.h, Source/cmTestsCommand.cxx,
	Source/cmTestsCommand.h, Source/cmUtilitySourceCommand.cxx,
	Source/cmUtilitySourceCommand.h, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapJavaCommand.h, Source/cmVTKWrapPythonCommand.cxx,
	Source/cmVTKWrapPythonCommand.h, Source/cmVTKWrapTclCommand.cxx,
	Source/cmVTKWrapTclCommand.h, Source/cmWrapExcludeFilesCommand.cxx,
	Source/cmWrapExcludeFilesCommand.h: ENH: rename Invoke to
	InitialPass

2001-06-06 17:18  hoffman

	* Source/MFCDialog/PropertyList.cpp: BUG: PATH options should not
	remove the file part of the path...

2001-06-06 15:02  millerjv

	* Source/cmMakefile.cxx: Change name of file created from Testfile
	to CMakeTestfile.txt

2001-06-06 14:29  will

	* Web/HTML/Examples.html: ENH:More tweaks

2001-06-06 14:25  will

	* Web/HTML/Download.html, Web/HTML/Install.html,
	Web/HTML/SideBar.html: ENH:More tweaks

2001-06-06 14:11  will

	* Web/Art/CMakeGUI.jpg, Web/HTML/About.html,
	Web/HTML/Documentation.html, Web/HTML/Examples.html,
	Web/HTML/SideBar.html, Web/HTML/Sponsors.html, Web/HTML/Table.html,
	Web/HTML/cmakeExample.tar.gz: ENH:Some enhancements to the examples

2001-06-06 13:43  martink

	* Source/cmSystemTools.cxx: better regexp for reg entries

2001-06-06 13:43  martink

	* Modules/FindJNI.cmake: better tests

2001-06-06 13:07  will

	* Web/Art/CMakeBanner.jpg: Didn't kb

2001-06-06 13:07  will

	* Web/Art/CMakeBanner.jpg: ERR:Didn't -kb

2001-06-06 12:49  will

	* Web/index.html, Web/Art/CMakeBanner.jpg, Web/Art/CMakeBanner.psd,
	Web/Art/CMakeLogo.ppt, Web/Art/CMakeLogo.psd, Web/Art/SideBar.jpg,
	Web/Art/SideBar.psd, Web/Art/acl.gif,
	Web/Art/itkLogoSmallTransparentBackground.gif,
	Web/Art/nlm_logo.gif, Web/Art/swooshSmall.gif, Web/HTML/About.html,
	Web/HTML/Documentation.html, Web/HTML/Download.html,
	Web/HTML/Examples.html, Web/HTML/FAQ.html, Web/HTML/Head.html,
	Web/HTML/MailingLists.html, Web/HTML/News.html,
	Web/HTML/SideBar.html, Web/HTML/Sponsors.html, Web/HTML/Style.css,
	Web/HTML/Table.html, Web/HTML/Testing.html: ENH:First incarnation
	of web pages

2001-06-06 11:47  millerjv

	* Source/cmMakefile.cxx: FIX: forgot to close the files

2001-06-06 02:54  perera

	* Source/cmUnixMakefileGenerator.cxx: ENH: Compress the library
	search directories so that each appears only once.

2001-06-06 00:32  millerjv

	* Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: Added AddTest,
	and GenerateTestfile routines

2001-06-06 00:32  millerjv

	* Source/cmCommands.cxx: ENH: Added AddTest command

2001-06-06 00:32  millerjv

	* Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h: New cmake
	command to specify a single test

2001-06-05 21:46  berk

	* Source/cmVTKWrapPythonCommand.cxx: Module name between Unix and
	Windows got switched by mistake.

2001-06-05 21:41  biddi

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Some
	tweaks, hacks and #ifdefs required to compile cmake on Borland
	C++Builder

2001-06-05 21:26  hoffman

	* Source/MFCDialog/CMakeSetup.dsp: ENH: add PathDialog

2001-06-05 21:26  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PathDialog.cpp, Source/MFCDialog/PathDialog.h,
	Source/MFCDialog/PropertyList.cpp: ENH: add better path chooser
	dialog

2001-06-05 19:48  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: BUG: fix EXE
	and LIB path problems

2001-06-04 22:23  hoffman

	* Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx: STYLE: line too
	long

2001-06-04 22:23  hoffman

	* Source/cmMessageCommand.cxx: ENH: print all arguments

2001-06-04 22:23  hoffman

	* Source/cmSetCommand.cxx: ENH: add better error checking

2001-06-04 21:16  martink

	* Source/cmFindIncludeCommand.cxx, Source/cmFindIncludeCommand.h:
	removed find include command

2001-06-04 21:16  martink

	* Source/cmCommands.cxx: removed find include command finally added
	message

2001-06-04 20:55  martink

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: new message
	command

2001-06-04 20:55  martink

	* Source/cmMessageCommand.cxx, Source/cmMessageCommand.h: new
	command

2001-06-04 20:45  martink

	* Source/cmVTKWrapPythonCommand.cxx: unused variable

2001-06-04 19:46  barre

	* Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: the "Release" target is not
	the default.

2001-06-04 15:34  hoffman

	* Source/cmGeneratedFileStream.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: try to better handle
	control-c during make Makefiles

2001-06-04 14:18  hoffman

	* Source/cmCacheManager.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmFunctionBlocker.h,
	Source/cmMSProjectGenerator.cxx, Source/cmMakefile.cxx,
	Source/cmMakefileGenerator.h,
	Source/MFCDialog/CMakeSetupDialog.cpp: BUG: clean up memory leaks.

2001-06-01 17:54  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: fix for network
	includ paths

2001-06-01 17:29  berk

	* Source/cmVTKWrapPythonCommand.cxx: Fixing the module name for
	Unix.

2001-05-31 19:48  hoffman

	* Source/cmake.cxx, Source/MFCDialog/CMakeSetupDialog.cpp: BUG: fix
	edit of directories

2001-05-31 18:15  berk

	* Source/cmVTKWrapPythonCommand.cxx: Should not use decl if not on
	Windows.

2001-05-30 19:56  hoffman

	* Source/cmakemain.cxx: BUG: add missing file

2001-05-30 19:36  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: remove unused
	includes

2001-05-30 19:28  hoffman

	* Source/CMakeLib.dsp, Source/Makefile.in,
	Source/cmMSProjectGenerator.cxx, Source/cmake.cxx,
	Source/cmake.dsp, Source/cmake.h, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h: ENH: change MFC gui to use
	cmake class

2001-05-29 18:16  perera

	* Source/cmUnixMakefileGenerator.cxx: BUG: Now only one makefile
	rule is generated per depenency. This eliminates a number of
	warnings.

2001-05-25 21:19  geoff

	* Source/cmSetCommand.cxx: bug meaning that set(a b) just set a to
	"" and not to b

2001-05-25 19:32  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: WIN32 executable target
	rules are now generated in unix the same as any other executable
	(instead of not at all).

2001-05-25 19:32  king

	* Source/cmSystemTools.cxx: BUG: Fixed stupid error in the hack I
	just checked in.

2001-05-25 19:27  barre

	* Source/MFCDialog/PropertyList.cpp: display the property name in
	the help box

2001-05-25 19:27  barre

	* Templates/CMakeWindowsSystemConfig.cmake: better help

2001-05-25 18:31  king

	* Source/cmSystemTools.cxx: BUG: Added hack to
	cmSystemTools::GetPath to make its algorithm correctly parse off
	the last entry of the system PATH environment variable.

2001-05-25 18:27  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: Fixed logic that splits
	a full path library link into the -L and -l pieces to not write out
	a -l by itself if the file regular expression does not match.

2001-05-25 11:31  millerjv

	* Modules/Testing.cmake: BUG: missing quote on a custom command

2001-05-25 01:11  barre

	* Source/cmFindPathCommand.cxx: The path found is now collapsed
	(cleaner).

2001-05-25 01:11  barre

	* Source/CMakeLib.dsp: Welcome to cmGetFilenameComponentCommand

2001-05-25 01:11  barre

	* Source/cmGetFilenameComponentCommand.cxx,
	Source/cmGetFilenameComponentCommand.h, Source/cmCommands.cxx:
	Welcome to cmGetFilenameComponentCommand ("Get a specific component
	of a full filename")

2001-05-25 01:11  barre

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: New functions
	used to extract the components of a full filename.

2001-05-25 01:11  barre

	* Modules/FindTCL.cmake: Try to find tclsh or wish and use that
	path to find the include or lib directory. TK_INTERNAL_PATH is
	searched too (path to tkWinInt.h)

2001-05-24 23:17  barre

	* Source/cmSystemTools.cxx: optimize ConvertToUnixSlashes a little
	bit, and use it in MakeDirectory (code was duplicated)

2001-05-24 21:51  king

	* Templates/CMakeSystemConfig.cmake.in: ERR: VAR type entry missing
	after CACHE for CMAKE_TEMPLATE_FLAGS.

2001-05-24 18:59  barre

	* Source/cmVTKWrapTclCommand.cxx, Source/cmVTKWrapTclCommand.h:
	updated to handle Tk commands compiled/linked separately. Useful
	for VTK Tk widgets for example.

2001-05-24 17:45  millerjv

	* Modules/Testing.cmake: Project independent setting for testing

2001-05-24 17:40  barre

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: new Capitalized
	function. Will be used in the VTK Tcl wrapper for example (in a
	more portable way).

2001-05-24 17:35  hoffman

	* Source/MFCDialog/CMakeSetup.rc: [no log message]

2001-05-24 16:57  hoffman

	* Modules/FindOpenGL.cmake, Source/cmSetCommand.cxx,
	Source/cmSetCommand.h, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Templates/CMakeSystemConfig.cmake.in,
	Templates/CMakeWindowsSystemConfig.cmake: ENH: change the syntax of
	the SET command, fix the combo box for larger strings

2001-05-24 15:47  martink

	* Source/cmMakefile.h, Source/cmake.cxx,
	Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp, Source/MFCDialog/resource.h:
	added version number

2001-05-24 14:32  barre

	* Templates/DLLHeader.dsptemplate: removed hardcoded VTKDLL

2001-05-24 14:00  barre

	* Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: slight change in the order
	of the options (right-most takes precedence)

2001-05-24 00:16  millerjv

	* Source/cmBuildCommand.cxx: Changed Windows build command to build
	Release

2001-05-23 22:31  barre

	* Templates/DLLHeader.dsptemplate: Intermediate Dir was wrong

2001-05-23 22:22  barre

	* Templates/CMakeWindowsSystemConfig.cmake: /Gz => /GZ

2001-05-23 22:19  barre

	* Templates/CMakeWindowsSystemConfig.cmake: removed /O2 from debug

2001-05-23 21:19  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Templates/CMakeWindowsSystemConfig.cmake,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: ENH: create
	CMAKE_CXX_FLAGS_[Buildtype] flags

2001-05-23 20:33  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: add compute systeminfo

2001-05-23 20:31  martink

	* Source/cmMSProjectGenerator.cxx: bug finding windows template
	file

2001-05-23 20:28  martink

	* Source/cmSystemTools.cxx, Source/cmake.cxx: command line fixes
	for win32

2001-05-23 20:09  barre

	* Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: ReleaseMinSize => MinSizeRel

2001-05-23 19:53  hoffman

	* Templates/DLLHeader.dsptemplate: BUG: remove vtkCommon

2001-05-23 19:49  martink

	* Source/cmake.cxx: fixed quoted cmake

2001-05-23 18:44  hoffman

	* Source/cmSystemTools.cxx: ENH: add better error message

2001-05-23 18:33  geoff

	* Source/cmake.dsp: DSPs have to be binary

2001-05-23 18:05  hoffman

	* Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: ENH: change Release Minsize
	to MinSizeRel, add MinSizeRel to dll template

2001-05-23 17:16  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: Added
	INSTALL target to switch in OutputDSPFile.  Also added a default
	that prints out an error message so that anyone who adds a target
	doesn't forget to update the switch.

2001-05-23 16:02  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx: install fixes for
	win32

2001-05-23 15:53  martink

	* Source/cmMakefile.cxx, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: added install target support

2001-05-23 15:34  ibanez

	* Modules/FindVTK.cmake:      Module to search for VTK include and
	library paths

2001-05-23 15:27  martink

	* Templates/CMakeSystemConfig.cmake.in: added prefix to config

2001-05-23 15:27  martink

	* Source/cmInstallFilesCommand.cxx, Source/cmInstallFilesCommand.h,
	Source/cmInstallTargetsCommand.cxx,
	Source/cmInstallTargetsCommand.h, Source/cmCommands.cxx,
	Source/cmTarget.cxx, Source/cmTarget.h: added install rules

2001-05-23 14:47  hoffman

	* Source/cmGeneratedFileStream.h: BUG: remove warning

2001-05-23 14:47  hoffman

	* Source/cmake.dsp: BUG: fix output directory

2001-05-23 14:01  martink

	* Source/cmProjectCommand.cxx: added PROJECT_SOURCE_DIR

2001-05-23 13:35  hoffman

	* Source/cmTarget.cxx: ENH: allow duplicate libraries

2001-05-23 00:44  barre

	* Templates/UtilityHeader.dsptemplate: Template now uses
	EXECUTABLE_OUTPUT_PATH too.

2001-05-23 00:44  barre

	* Templates/EXEWinHeader.dsptemplate: PROP BASE and PROP were
	inverted

2001-05-23 00:36  barre

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: Seems to me
	that EXEWinHeader was not searched in the right place.

2001-05-22 21:49  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: do not include /usr/lib
	in -L

2001-05-22 17:52  hoffman

	* Source/Makefile.in: fix CXXFLAGS

2001-05-22 17:40  hoffman

	* Source/Makefile.in: [no log message]

2001-05-22 17:40  hoffman

	* configure, configure.in: use cxxflags in test builds

2001-05-22 17:22  hoffman

	* Source/Makefile.in, Source/cmUnixMakefileGenerator.cxx,
	Templates/configure, Templates/configure.in: BUG: fix depends and
	CXXFLAGS passing

2001-05-22 16:38  barre

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Templates/DLLHeader.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/staticLibHeader.dsptemplate: fixed some of the
	LIBRARY_OUTPUT_PATH and EXECUTABLE_OUTPUT_PATH problems.

2001-05-22 15:15  martink

	* dummy.in: no longer used

2001-05-22 14:41  ibanez

	* Source/FLTKDialog/FLTKPropertyList.cpp,
	Source/FLTKDialog/FLTKPropertyList.h:	   Class to manage the list
	of properties displayed on the scroller

2001-05-22 14:41  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cpp,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h: ENH: Added support
	for the fltk::PropertyList class

2001-05-22 14:41  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cpp,
	Source/FLTKDialog/CMakeSetupGUI.fl,
	Source/FLTKDialog/CMakeSetupGUI.h:	Added interactions with the
	PropertyList class

2001-05-22 14:41  ibanez

	* Source/FLTKDialog/FLTKDialog.dsp: ENH: PropertyList class added

2001-05-21 20:43  king

	* Makefile.in: ERR: Added missing @srcdir@ and modified install
	expressions to include *.cmake* files instead of just *.cmake files
	(for .in).

2001-05-21 20:21  king

	* Source/cmCableWrapTclCommand.cxx: ENH: Converted to new Class and
	Group tags in place of WrapperSet and Groups tags.

2001-05-21 20:10  hoffman

	* Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in: fix for hp x11 and gl

2001-05-21 19:16  hoffman

	* Modules/FindOpenGL.cmake, Source/cmSystemTools.cxx: fix opengl on
	hp

2001-05-21 18:42  martink

	* Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/res/CMakeSetupDialog.ico: icon updates

2001-05-21 18:36  martink

	* Source/MFCDialog/CMakeSetup.rc, Source/MFCDialog/resource.h: new
	icon

2001-05-21 18:17  hoffman

	* Source/cmake.cxx: BUG: remove declaration without variable

2001-05-21 18:01  hoffman

	* configure, configure.in, Source/Makefile.in,
	Source/cmBuildNameCommand.cxx, Source/cmUnixMakefileGenerator.cxx,
	Templates/CMakeSystemConfig.cmake.in: clean up for build on its own

2001-05-21 15:43  martink

	* Source/cmake.dsp: release fix

2001-05-21 15:32  martink

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/CMakeSetupCMD.dsp: collapsed into cmake.cxx

2001-05-21 15:32  martink

	* Source/cmake.dsp: new dsp

2001-05-21 15:13  martink

	* Source/cmake.cxx: bug fix in finding CMAKE_ROOT

2001-05-21 15:10  martink

	* Makefile.in: added install target

2001-05-21 14:47  hoffman

	* Source/cmBuildNameCommand.cxx, Source/cmSetCommand.cxx,
	Source/MFCDialog/CMakeDialog.h, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/resource.h:
	BUG: fix compiler name

2001-05-21 13:50  martink

	* Source/CMakeSetup.dsw, Source/cmake.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: updated for out of tree
	builds

2001-05-21 13:31  martink

	* Makefile.in, configure, configure.in, install-sh: out of place
	cmake

2001-05-21 13:31  martink

	* CMakeSystemConfig.cmake.in, configure.in.sample,
	Source/Makefile.in, Source/cmMakefile.cxx,
	Source/cmUnixMakefileGenerator.cxx, Source/cmake.cxx: new out of
	place builds

2001-05-21 13:31  martink

	* Templates/CMakeSystemConfig.cmake.in, Templates/configure,
	Templates/configure.in: new structure

2001-05-18 20:45  hoffman

	* CMakeSystemConfig.cmake.in, Source/cmUnixMakefileGenerator.cxx:
	ENH: add support for X11

2001-05-18 20:30  martink

	* Source/cmUnixMakefileGenerator.cxx:  duh

2001-05-18 19:20  martink

	* Source/cmMSProjectGenerator.cxx: compiler fix

2001-05-18 19:20  martink

	* Source/cmSystemTools.h: minor whitespace change

2001-05-18 19:20  martink

	* Source/cmake.cxx, Source/cmake.h: new command

2001-05-18 19:20  martink

	* Source/cmMSProjectGenerator.cxx, Source/cmMSProjectGenerator.h,
	Source/cmMakefileGenerator.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: changes for cmake to live outside
	of the source tree

2001-05-18 17:04  hoffman

	* CMakeSystemConfig.cmake.in, Source/cmSetCommand.cxx: ENH: allow
	cache to override config file

2001-05-18 15:48  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: fix link of executables

2001-05-18 15:09  martink

	* Source/cmMSProjectGenerator.cxx, Source/cmMSProjectGenerator.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmMakefileGenerator.h:
	added SetLocal method

2001-05-18 14:15  hoffman

	* CMakeSystemConfig.cmake.in, Source/cmUnixMakefileGenerator.cxx:
	BUG: quote the compiler and other options

2001-05-17 21:43  hoffman

	* Source/CMakeBuildTargets.cxx, Source/Makefile.in: compile source
	dir into cmake

2001-05-17 19:48  will

	* Source/cmSystemTools.cxx: ERR:Bad #ifdef's

2001-05-17 16:36  ibanez

	* Source/FLTKDialog/FLTKDialog.cpp: ENH: Load the cache at start

2001-05-17 16:36  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cpp: ENH: Added
	Methods for loading the cache

2001-05-17 16:36  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.h: ENH: Added
	methods to load the cache

2001-05-17 16:36  martink

	* Source/DLLFooter.dsptemplate, Source/DLLHeader.dsptemplate,
	Source/EXEFooter.dsptemplate, Source/EXEHeader.dsptemplate,
	Source/EXEWinHeader.dsptemplate, Source/UtilityFooter.dsptemplate,
	Source/UtilityHeader.dsptemplate,
	Source/staticLibFooter.dsptemplate,
	Source/staticLibHeader.dsptemplate: moved into Template directory

2001-05-17 16:25  martink

	* CMakeMakefileTemplate.in, CMakeMaster.make.in,
	CMakeRules.make.in, CMakeSimpleRules.make.in, CMakeTargets.make.in,
	CMakeTopMakefileTemplate.in, CMakeVariables.make.in,
	CMakeWindowsSystemConfig.cmake: no longer used

2001-05-17 16:14  martink

	* Source/CMakeBuildTargets.cxx: unix fix

2001-05-17 16:08  martink

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/cmCablePackageCommand.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmMakefile.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: half checked in changes for
	CMAKE_ROOT

2001-05-17 16:04  martink

	* Templates/CMakeWindowsSystemConfig.cmake,
	Templates/DLLFooter.dsptemplate, Templates/DLLHeader.dsptemplate,
	Templates/EXEFooter.dsptemplate, Templates/EXEHeader.dsptemplate,
	Templates/EXEWinHeader.dsptemplate,
	Templates/UtilityFooter.dsptemplate,
	Templates/UtilityHeader.dsptemplate,
	Templates/staticLibFooter.dsptemplate,
	Templates/staticLibHeader.dsptemplate: new directory

2001-05-17 15:58  ibanez

	* Source/FLTKDialog/FLTKDialog.dsp:	 VC++ Project file to
	construct the FLTK GUI for CMake

2001-05-17 15:58  ibanez

	* Source/FLTKDialog/CMakeSetupGUIImplementation.cpp,
	Source/FLTKDialog/CMakeSetupGUIImplementation.h:     
	Implementation of the virtual Callbacks declared in the GUI

2001-05-17 15:58  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.fl:	   GUI description file
	used by FLTK interactive tool : FLUID

2001-05-17 15:58  ibanez

	* Source/FLTKDialog/CMakeSetupGUI.cpp,
	Source/FLTKDialog/CMakeSetupGUI.h:	File generated by FLTK
	FLUID containing the implementation of the GUI

2001-05-17 15:58  ibanez

	* Source/FLTKDialog/FLTKDialog.cpp:	 Main file that
	instantiates the GUI class and run it.

2001-05-17 15:44  hoffman

	* Source/cmCableWrapTclCommand.cxx, Source/cmConfigure.h.in,
	Source/cmGeneratedFileStream.h, Source/cmStandardIncludes.h: BUG:
	fix to compile on hp with aCC

2001-05-17 15:22  king

	* Source/cmCableWrapTclCommand.cxx: Renamed gccxml input/output
	files to drop _tcl qualification.

2001-05-16 22:08  hoffman

	* Source/cmCacheManager.cxx, Source/cmUnixMakefileGenerator.cxx:
	BUG: fix for sun compiler

2001-05-16 22:08  hoffman

	* CMakeSystemConfig.cmake.in: ENH: fix for sunCC

2001-05-16 21:43  king

	* Source/cmCableClassSet.cxx, Source/cmCableClassSet.h: ERR:
	Removed use of member templates.

2001-05-16 21:18  king

	* Source/cmGeneratedFileStream.h: ERR: const error fixed.

2001-05-16 21:18  king

	* Source/cmUnixMakefileGenerator.cxx: ERR: int -> unsigned int

2001-05-16 21:11  king

	* Source/cmGeneratedFileStream.h: ERR: Added is_open() check in
	cmGeneratedFileStream::operator bool() so that implicit conversion
	to bool is not used.

2001-05-16 21:11  king

	* Source/cmCableClassSet.cxx: ERR: Removed dynamic_cast so that
	RTTI isn't required.

2001-05-16 21:11  king

	* Source/CMakeLib.dsp: ENH: Added cmCableClassSet.cxx to build.

2001-05-16 20:40  king

	* Source/Makefile.in, Source/cmCableClassSet.cxx,
	Source/cmCableClassSet.h, Source/cmCableClassSetCommand.cxx,
	Source/cmCableClassSetCommand.h, Source/cmCableWrapTclCommand.cxx,
	Source/cmCableWrapTclCommand.h, Source/cmCommands.cxx: ENH: Adding
	CABLE_CLASS_SET and CABLE_WRAP_TCL commands.  They cannot yet be
	used with the main branch of CABLE, though.

2001-05-16 20:40  king

	* Source/cmGeneratedFileStream.h: ENH: cmGeneratedFileStream class
	added to simplify copy-if-different usage on generated files.

2001-05-16 19:43  hoffman

	* configure.in.sample: [no log message]

2001-05-16 19:15  hoffman

	* CMakeSystemConfig.cmake.in, Source/Makefile.in,
	Source/cmBuildNameCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmMakeDepend.cxx, Source/cmMakefile.cxx,
	Source/cmProjectCommand.cxx, Source/cmSetCommand.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: unify make process on
	unix

2001-05-16 13:19  king

	* Source/cmData.h, Source/cmMakefile.cxx, Source/cmMakefile.h: ENH:
	Added cmData and corresponding DataMap in cmMakefile to allow
	commands to register arbitrary extra data with the makefile without
	modifying the cmMakefile class definition.

2001-05-15 17:14  martink

	* Source/DLLHeader.dsptemplate, Source/EXEHeader.dsptemplate,
	Source/EXEWinHeader.dsptemplate, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/staticLibHeader.dsptemplate: added
	output directory support

2001-05-14 20:46  barre

	* Source/cmSystemTools.cxx: Changed separator between registry key
	and its value. Change regexp for registry key.

2001-05-14 20:46  barre

	* Modules/FindTCL.cmake: Changed separator between registry key and
	its value.

2001-05-14 14:36  hoffman

	* Source/cmSystemTools.cxx: ENH: put back lost changes from r1.38

2001-05-12 11:29  barre

	* Source/cmSystemTools.cxx: fix + => += bug reported by A. Perera

2001-05-11 21:41  barre

	* Source/MFCDialog/res/CMakeSetupDialog.ico: I know, there are more
	serious things to do :) A new icon. The previous one has not be
	overwritten, it's in there too.

2001-05-11 21:22  barre

	* Source/cmSystemTools.cxx: Extended the registry key regexp

2001-05-11 21:11  barre

	* Modules/FindTCL.cmake: Add 8.4 and registry support

2001-05-11 21:11  barre

	* Source/cmSystemTools.cxx: Add support for a specific value name
	in a registry key

2001-05-11 18:49  geoff

	* Source/cmCacheManager.cxx: Cache file is a bit prettier

2001-05-11 18:39  hoffman

	* Source/cmCableSourceFilesCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx: BUG: fix find library for unix

2001-05-11 17:58  barre

	* Modules/FindPythonLibs.cmake: NAMES syntax

2001-05-11 17:52  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: fix for
	expanding library vars

2001-05-11 16:30  barre

	* Source/cmFindLibraryCommand.cxx: Fix help string when NAMES was
	used (forgot the case when there is no name)

2001-05-11 16:13  barre

	* Source/cmFindLibraryCommand.cxx: Fix help string when NAMES was
	used

2001-05-11 15:45  king

	* Source/cmFindLibraryCommand.cxx: ERR: int -> unsigned int.

2001-05-11 15:39  hoffman

	* CMakeVariables.make.in, Source/cmFindLibraryCommand.cxx: BUG: add
	back thread library

2001-05-11 15:07  martink

	* Source/cmFindProgramCommand.cxx: expands reg values

2001-05-11 14:52  martink

	* Source/EXEHeader.dsptemplate, Source/cmAddExecutableCommand.cxx,
	Source/cmAddExecutableCommand.h, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmFindLibraryCommand.cxx,
	Source/cmFindPathCommand.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/EXEWinHeader.dsptemplate: added registry entry support and
	windows app support

2001-05-11 14:27  martink

	* Modules/FindJNI.cmake, Modules/FindPythonLibs.cmake: minor fixes
	and new python module

2001-05-11 14:04  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: fix gui problem

2001-05-10 21:22  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp: BUG: fix up gui with values that
	stay around too long

2001-05-10 20:21  geoff

	* Source/cmMakefile.cxx: definitions should now be overwritten if
	they already exist

2001-05-10 19:50  hoffman

	* Source/cmSystemTools.cxx: BUG: fix unix path search

2001-05-10 19:32  martink

	* Source/cmTarget.cxx: fix for expaning libraries prior to
	generating dsp

2001-05-10 18:30  geoff

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: Reads and uses
	MSPROJECT_TEMPLATE_DIRECTORY if it exists

2001-05-10 18:02  king

	* CMake.doc: BUG: Removing this file.  It has been replaced by
	CMake.doc.gz to get around a problem with CVS.

2001-05-10 17:52  martink

	* Source/cmTarget.h: added win32 executable option

2001-05-10 16:25  king

	* CMake.doc.gz: Testing strange cvs problem with .doc files.

2001-05-10 16:05  king

	* CMake.pdf, CMake.pdf.gz: BUG: Removing old CMake.pdf and adding
	the gzipped version, CMake.pdf.gz because of file size problems
	with cvs.

2001-05-10 15:18  king

	* Source/cmSystemTools.cxx: ERR: RunCommand method needed return in
	unix.

2001-05-10 15:18  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: Removed stray debugging
	output statement.  Also renamed some variables for clarity.

2001-05-10 15:18  king

	* Source/cmFindLibraryCommand.cxx, Source/cmFindProgramCommand.cxx:
	ERR: Removed unused variable

2001-05-10 13:45  king

	* CMakeVariables.make.in: BUG: ANSI_CFLAGS -> CMAKE_ANSI_CFLAGS

2001-05-09 22:00  geoff

	* Source/EXEHeader.dsptemplate, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx: ADD LINK32s are now on multiple lines
	because VC breaks otherwise

2001-05-09 21:38  barre

	* Modules/FindTCL.cmake: ENH: add 8.3 support

2001-05-09 20:17  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: BUG: escape
	spaces before adding .lib

2001-05-09 20:08  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: escape
	spaces

2001-05-09 19:48  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: only add
	.lib if no .lib exists

2001-05-09 18:53  hoffman

	* Modules/FindFLTK.cmake, Modules/FindGTK.cmake,
	Modules/FindJNI.cmake, Modules/FindJPEG.cmake,
	Modules/FindTCL.cmake, Source/cmCommand.h,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindProgramCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx: ENH:
	change find library and find program to look for more than one name

2001-05-09 18:53  hoffman

	* Modules/FindMPI.cmake: branches:  1.3.2; ENH: change find library
	and find program to look for more than one name

2001-05-09 17:44  hoffman

	* Source/cmCableDefineSetCommand.cxx: BUG: match called on invalid
	number

2001-05-09 17:22  martink

	* CMakeMaster.make.in, CMakeRules.make.in,
	CMakeSystemConfig.cmake.in, CMakeTopMakefileTemplate.in,
	CMakeVariables.make.in, configure.in.sample, Source/Makefile.in:
	cleaned up configure some

2001-05-09 15:15  millerjv

	* Source/cmCacheManager.cxx: FIX: only clear the cache on a load
	when the load needs to read internal values.  Otherwise, it is
	assumed that we are reading another projects cache.

2001-05-09 14:13  hoffman

	* Source/MFCDialog/PropertyList.cpp: BUG: fix crash

2001-05-09 13:52  hoffman

	* Source/cmConfigureFileCommand.cxx: BUG: fix use beyond end of
	array

2001-05-09 12:51  martink

	* Source/cmCommands.cxx, Source/cmLoadCacheCommand.cxx,
	Source/cmLoadCacheCommand.h, Source/cmSourceFile.cxx: added load
	cache command and fixed source file

2001-05-08 21:37  king

	* Source/cmCacheManager.cxx: ERR: LoadCache needed to return a
	value.

2001-05-08 21:03  martink

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h: added ability
	to load another cache

2001-05-08 21:03  martink

	* Source/cmProjectCommand.cxx: now adds src and bin dir into cache

2001-05-08 20:20  martink

	* Source/cmVTKWrapTclCommand.cxx: fixed bug in init code

2001-05-08 20:01  hoffman

	* configure.in.sample: clean up

2001-05-08 17:40  hoffman

	* Source/MFCDialog/PropertyList.cpp: ENH: add initial path support
	for file choosers

2001-05-08 15:40  martink

	* Source/cmTargetLinkLibrariesCommand.cxx: BUG: added arg0 to link
	libraries

2001-05-08 14:16  ibanez

	* Modules/FindFLTK.cmake: Module to search the path for FLTK
	library   ( http://www.fltk.org )

2001-05-07 22:14  king

	* Source/cmAddExecutableCommand.cxx,
	Source/cmAddLibraryCommand.cxx, Source/cmMakefile.cxx: ENH: Moved
	cache entry addition into cmMakefile::AddLibrary and AddExecutable
	so that commands do not have to add it explicitly.

2001-05-07 22:11  hoffman

	* CMakeSystemConfig.cmake.in, Source/CMakeBuildTargets.cxx,
	Source/Makefile.in, Source/cmCacheManager.cxx,
	Source/cmCommands.cxx, Source/cmConfigureFile.cxx,
	Source/cmConfigureFile.h, Source/cmConfigureFileCommand.cxx,
	Source/cmConfigureFileCommand.h, Source/cmExecProgram.cxx,
	Source/cmExecProgram.h, Source/cmExecProgramCommand.cxx,
	Source/cmExecProgramCommand.h, Source/cmMakeDirectoryCommand.cxx,
	Source/cmMakeDirectoryCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: call configure from cmake

2001-05-07 14:02  blezek

	* Source/cmConfigureFile.cxx: BUG: Removing Remove Variables call

2001-05-07 13:16  geoff

	* configure.in.sample: Under FreeBSD: should be
	CMAKE_SHLIB_BUILD_FLAGS and not CMAKE_SHLIB_LINK_FLAGS. 
	CMakeSystemConfig.cmake not being made

2001-05-05 15:28  hoffman

	* Source/cmAddExecutableCommand.cxx: BUG: add internal cache entry
	for executables, so depends can work

2001-05-05 15:03  hoffman

	* Source/cmAddTargetCommand.cxx, Source/cmAddTargetCommand.h,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.h, Source/cmCommands.cxx,
	Source/cmLibraryCommand.cxx: BUG: add removed command, and sort the
	order in cmCommands.cxx

2001-05-04 21:00  martink

	* Source/cmMakefile.cxx, Source/cmUnixMakefileGenerator.cxx: fixes
	for untiltiy targets in all

2001-05-04 20:43  blezek

	* Source/cmBuildNameCommand.cxx: ENH: Proper build name

2001-05-04 20:43  blezek

	* Source/cmSiteNameCommand.cxx: ENH: Correct sitename

2001-05-04 19:50  martink

	* Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddCustomTargetCommand.h, Source/cmAddTargetCommand.cxx,
	Source/cmAddTargetCommand.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmTarget.h, Source/cmVTKWrapJavaCommand.cxx: option to make
	utilities in the all target

2001-05-04 18:53  hoffman

	* CMakeSystemConfig.cmake.in, CMakeWindowsSystemConfig.cmake: ENH:
	move to cmake for itkConfigure.h.in

2001-05-04 16:52  martink

	* Source/cmVTKWrapJavaCommand.cxx: updates

2001-05-04 15:35  geoff

	* Modules/FindGTK.cmake, Modules/FindJPEG.cmake: INCLUDE these to
	find the relevant libraries

2001-05-04 15:34  hoffman

	* Source/cmAddCustomTargetCommand.cxx,
	Source/cmAddCustomTargetCommand.h, Source/cmBuildCommand.cxx,
	Source/cmBuildCommand.h, Source/cmBuildNameCommand.cxx,
	Source/cmBuildNameCommand.h, Source/cmExecProgram.cxx,
	Source/cmExecProgram.h, Source/cmSiteNameCommand.cxx,
	Source/cmSiteNameCommand.h: ENH: move testing stuff to cmake from
	configure, good bye dashboard... :)

2001-05-04 15:30  hoffman

	* CMakeRules.make.in, CMakeSystemConfig.txt.in,
	CMakeWindowsSystemConfig.txt, Source/cmAddTargetCommand.cxx,
	Source/cmAddTargetCommand.h, Source/cmCacheManager.cxx,
	Source/cmCommands.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmFindProgramCommand.cxx,
	Source/cmMakefile.cxx, Source/cmOptionCommand.cxx,
	Source/cmOptionCommand.h, Source/cmSourceGroup.cxx,
	Source/cmSourceGroup.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/MFCDialog/CMakeSetup.rc: ENH: move testing stuff to cmake
	from configure, good bye dashboard... :)

2001-05-04 14:44  king

	* Source/cmCablePackageCommand.cxx: ENH: Added use of CMAKE cache
	entry for generating the DSP/makefile build rules.

2001-05-04 14:44  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h: ENH: Added use of
	CMAKE cache entry for generating the DSP build rules.

2001-05-04 14:44  king

	* Source/cmSystemTools.cxx: ENH: Added support to EscapeSpaces to
	use double quotes on windows.

2001-05-04 14:13  martink

	* Modules/FindJNI.cmake: minor fixes

2001-05-04 13:56  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: fixed custom
	command rule

2001-05-04 13:47  martink

	* Modules/FindJNI.cmake: new module

2001-05-04 13:39  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmSourceGroup.cxx, Source/cmSourceGroup.h,
	Source/cmVTKWrapJavaCommand.cxx: better custom rules

2001-05-04 12:45  martink

	* Source/cmSourceFilesRequireCommand.cxx,
	Source/cmSourceFilesRequireCommand.h,
	Source/cmUnixDefinesCommand.cxx, Source/cmUnixDefinesCommand.h,
	Source/cmUnixLibrariesCommand.cxx, Source/cmUnixLibrariesCommand.h,
	Source/cmWin32DefinesCommand.cxx, Source/cmWin32DefinesCommand.h,
	Source/cmWin32IncludeDirectoryCommand.cxx,
	Source/cmWin32IncludeDirectoryCommand.h,
	Source/cmWin32LibrariesCommand.cxx,
	Source/cmWin32LibrariesCommand.h: removed old functions

2001-05-04 12:45  martink

	* Source/cmFunctionBlocker.h, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h, Source/cmMakefile.cxx,
	Source/cmVTKWrapJavaCommand.cxx: better If checks

2001-05-03 20:55  king

	* Source/cmFindProgramCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: ENH: Added cmSystemTools::FindProgram() and
	full-path detection utilities.

2001-05-03 20:55  king

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: Added generation of
	internal CMAKE cache entry with path to command-line CMake
	executable.

2001-05-03 19:27  martink

	* Source/cmCommands.cxx, Source/cmVTKWrapJavaCommand.cxx,
	Source/cmVTKWrapJavaCommand.h: minor fixes

2001-05-03 15:04  martink

	* Source/cmCommands.cxx: removed deprecated commands

2001-05-03 14:58  martink

	* CMakeSystemConfig.cmake.in: better config info

2001-05-03 14:35  martink

	* Source/cmConfigureFile.cxx: now support cmakedefine

2001-05-03 12:52  martink

	* CMakeSystemConfig.cmake.in, CMakeSystemConfig.txt.in,
	CMakeWindowsSystemConfig.cmake, CMakeWindowsSystemConfig.txt,
	Source/cmMakefile.cxx, Source/cmMakefile.h: system config uses
	cmake commands now

2001-05-03 12:52  martink

	* CMakeSystemConfig.txt.in, CMakeWindowsSystemConfig.txt: uses
	cmake commands now

2001-05-02 21:33  martink

	* Modules/FindMPI.cmake: minor fixes

2001-05-02 21:07  martink

	* Modules/FindMPI.cmake: new module

2001-05-02 18:08  martink

	* Modules/FindOpenGL.cmake: simple module

2001-05-02 15:53  martink

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx: cache
	loaded into makefile

2001-05-02 15:53  martink

	* Modules/FindTCL.cmake: finds tk as well

2001-05-01 21:52  martink

	* Source/cmVTKWrapPythonCommand.cxx,
	Source/cmVTKWrapTclCommand.cxx: fixed bug in limiting to source
	lists

2001-05-01 21:35  king

	* Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h, Source/cmCableWrapCommand.cxx,
	Source/cmCableWrapCommand.h: ENH: Changed cmCableWrapCommand to
	inherit from cmCableDefineSetCommand since they do almost exactly
	the same thing.  Added a GetXmlTag virtual function to both classes
	to return what XML tag to generate in the set's output. 
	cmCableDefineSetCommand generates a "Set" tag, and
	cmCableWrapCommand generates a "WrapperSet" tag.  What is inside
	the tags is still generated by the cmCableDefineSetCommand
	superclass.

2001-05-01 21:35  king

	* Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h: ENH: Changed WriteConfiguration
	back to const because it doesn't need to report errors anymore.

2001-05-01 21:12  hoffman

	* Source/UtilityFooter.dsptemplate,
	Source/UtilityHeader.dsptemplate: ADD: add utiltity templates

2001-05-01 20:55  hoffman

	* configure.in.sample, Source/cmAddTargetCommand.cxx,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmTarget.h,
	Source/cmUnixMakefileGenerator.cxx: ENH: implement ADD_TARGET
	command, and add an ALL_BUILD target

2001-05-01 20:34  martink

	* Source/cmMakefile.cxx, Source/MFCDialog/CMakeSetupDialog.cpp:
	cache now loaded into makefile

2001-05-01 20:27  martink

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h: added method
	to puch cache into makefile defines

2001-05-01 20:27  martink

	* Source/cmIfCommand.cxx: slight bug in If command I think

2001-05-01 15:28  martink

	* Modules/FindTCL.cmake: first module

2001-05-01 15:16  martink

	* Source/cmCommands.cxx, Source/cmElseCommand.cxx,
	Source/cmIfCommand.cxx, Source/cmIfCommand.h,
	Source/cmSetCommand.cxx, Source/cmSetCommand.h,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx:
	new set command and IF NOT

2001-04-30 18:56  martink

	* Source/cmElseCommand.cxx, Source/cmFindFileCommand.cxx,
	Source/cmFindLibraryCommand.cxx, Source/cmFindPathCommand.cxx,
	Source/cmIfCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: bug fixes

2001-04-30 15:51  king

	* Source/cmCablePackageCommand.cxx: BUG: Fixed output of
	CMakeLists.txt path in cable_config.xml dependency list for unix. 
	Needed to escape spaces instead of enclosing in double quotes.

2001-04-30 15:29  king

	* Source/cmMakefile.h: ERR: Removed a conflict that was checked in.

2001-04-30 14:52  anonymous

	* Source/cmCommands.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmIncludeCommand.cxx,
	Source/cmIncludeCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h: New command: INCLUDE(somefile.txt)

2001-04-30 14:44  martink

	* Source/cmCommands.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmFindIncludeCommand.cxx,
	Source/cmFindLibraryCommand.cxx, Source/cmLinkLibrariesCommand.cxx,
	Source/cmLinkLibrariesCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmTarget.cxx, Source/cmTarget.h,
	Source/cmTargetLinkLibrariesCommand.cxx,
	Source/cmTargetLinkLibrariesCommand.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: added TARGET_LINK_LIBRARY command
	and support for debug and release libraries to link against

2001-04-27 18:57  king

	* Source/cmUnixMakefileGenerator.cxx: ERR: Renamed CustomCommands
	to BuildRules to match change in cmSourceGroup.

2001-04-27 18:51  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmSourceGroup.cxx, Source/cmSourceGroup.h: BUG: Removed
	output of dual rules for source files that are processed by both
	the compiler and by a custom command.  Also removed generation of
	duplicate CMakeLists.txt in the project files.

2001-04-27 18:51  king

	* Source/cmCablePackageCommand.cxx: BUG: Removed output of GCC_XML
	rules when the command cannot be found.

2001-04-27 18:40  martink

	* CMakeSystemConfig.txt.in, CMakeWindowsSystemConfig.txt: get
	system info into cmake

2001-04-27 18:25  martink

	* Source/cmConfigureFile.cxx, Source/cmConfigureFile.h: added
	configure file

2001-04-27 15:53  hoffman

	* configure.in.sample: BUG: run cache build with each configure

2001-04-27 15:36  hoffman

	* CMakeRules.make.in, Source/cmMakefile.cxx: BUG: fix inplace
	builds

2001-04-27 15:03  hoffman

	* Source/cmMakefile.cxx: ENH: fix in source build with non-gnu

2001-04-27 13:32  hoffman

	* Source/cmMakefile.cxx: ENH: add output when creating files

2001-04-27 13:30  martink

	* Source/cmFindFileCommand.cxx, Source/cmFindLibraryCommand.cxx,
	Source/cmFindPathCommand.cxx: better help strings

2001-04-27 13:13  will

	* Source/cmAuxSourceDirectoryCommand.h: ENH:New copyright

2001-04-27 12:46  martink

	* CMakeVariables.make.in: removed old junk

2001-04-27 12:01  will

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/cmAddDefinitionsCommand.cxx,
	Source/cmAddDefinitionsCommand.h,
	Source/cmAddExecutableCommand.cxx, Source/cmAddExecutableCommand.h,
	Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmAddTargetCommand.cxx, Source/cmAddTargetCommand.h,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmCableCloseNamespaceCommand.cxx,
	Source/cmCableCloseNamespaceCommand.h, Source/cmCableCommand.cxx,
	Source/cmCableCommand.h, Source/cmCableData.cxx,
	Source/cmCableData.h, Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h,
	Source/cmCableOpenNamespaceCommand.cxx,
	Source/cmCableOpenNamespaceCommand.h,
	Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h, Source/cmCableWrapCommand.cxx,
	Source/cmCableWrapCommand.h, Source/cmCacheManager.cxx,
	Source/cmCacheManager.h, Source/cmCommand.h, Source/cmCommands.h,
	Source/cmConfigureFileNoAutoconf.cxx,
	Source/cmConfigureFileNoAutoconf.h, Source/cmCustomCommand.cxx,
	Source/cmCustomCommand.h, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWMakefile.h, Source/cmDSWWriter.cxx,
	Source/cmDSWWriter.h, Source/cmDirectory.cxx, Source/cmDirectory.h,
	Source/cmElseCommand.cxx, Source/cmElseCommand.h,
	Source/cmEndIfCommand.cxx, Source/cmEndIfCommand.h,
	Source/cmFindFileCommand.cxx, Source/cmFindFileCommand.h,
	Source/cmFindIncludeCommand.cxx, Source/cmFindIncludeCommand.h,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindProgramCommand.cxx, Source/cmFindProgramCommand.h,
	Source/cmFunctionBlocker.h, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h, Source/cmIncludeDirectoryCommand.cxx,
	Source/cmIncludeDirectoryCommand.h,
	Source/cmIncludeRegularExpressionCommand.cxx,
	Source/cmIncludeRegularExpressionCommand.h,
	Source/cmLibraryCommand.cxx, Source/cmLibraryCommand.h,
	Source/cmLinkDirectoriesCommand.cxx,
	Source/cmLinkDirectoriesCommand.h,
	Source/cmLinkLibrariesCommand.cxx, Source/cmLinkLibrariesCommand.h,
	Source/cmMSProjectGenerator.cxx, Source/cmMSProjectGenerator.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmMakefileGenerator.cxx, Source/cmMakefileGenerator.h,
	Source/cmOptionCommand.cxx, Source/cmOptionCommand.h,
	Source/cmProjectCommand.cxx, Source/cmProjectCommand.h,
	Source/cmRegularExpression.cxx, Source/cmRegularExpression.h,
	Source/cmSourceFile.cxx, Source/cmSourceFile.h,
	Source/cmSourceFilesCommand.cxx, Source/cmSourceFilesCommand.h,
	Source/cmSourceFilesRequireCommand.cxx,
	Source/cmSourceFilesRequireCommand.h, Source/cmSourceGroup.cxx,
	Source/cmSourceGroup.h, Source/cmSourceGroupCommand.cxx,
	Source/cmSourceGroupCommand.h, Source/cmStandardIncludes.h,
	Source/cmSubdirCommand.cxx, Source/cmSubdirCommand.h,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmTarget.cxx, Source/cmTarget.h, Source/cmTestsCommand.cxx,
	Source/cmTestsCommand.h, Source/cmUnixDefinesCommand.cxx,
	Source/cmUnixDefinesCommand.h, Source/cmUnixLibrariesCommand.cxx,
	Source/cmUnixLibrariesCommand.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Source/cmUtilitySourceCommand.cxx, Source/cmUtilitySourceCommand.h,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapTclCommand.cxx,
	Source/cmWin32DefinesCommand.cxx, Source/cmWin32DefinesCommand.h,
	Source/cmWin32IncludeDirectoryCommand.cxx,
	Source/cmWin32IncludeDirectoryCommand.h,
	Source/cmWin32LibrariesCommand.cxx,
	Source/cmWin32LibrariesCommand.h,
	Source/cmWrapExcludeFilesCommand.cxx,
	Source/cmWrapExcludeFilesCommand.h: ENH:New copyright

2001-04-27 11:55  will

	* Source/cmAbstractFilesCommand.cxx,
	Source/cmAbstractFilesCommand.h: ENH:Copyright

2001-04-26 20:22  martink

	* Source/DLLHeader.dsptemplate, Source/EXEHeader.dsptemplate,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx,
	Source/cmLinkLibrariesCommand.cxx, Source/cmLinkLibrariesCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmVTKWrapPythonCommand.cxx, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/resource.h: support for debug and opt libraries

2001-04-26 19:41  martink

	* Source/cmOptionCommand.cxx, Source/cmOptionCommand.h: better help

2001-04-26 19:27  king

	* Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h,
	Source/cmCablePackageCommand.cxx,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h, Source/cmCableWrapCommand.cxx,
	Source/cmCableWrapCommand.h: ENH: Changed WriteConfiguration to
	non-const so it can do error checking.	Added parsing and output of
	a name for each WrapperSet generated from a CABLE_WRAP command.

2001-04-26 18:53  hoffman

	* Source/cmAddLibraryCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmFindFileCommand.cxx, Source/cmFindIncludeCommand.cxx,
	Source/cmFindLibraryCommand.cxx, Source/cmFindPathCommand.cxx,
	Source/cmFindProgramCommand.cxx, Source/cmOptionCommand.cxx,
	Source/cmUtilitySourceCommand.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h:
	ENH: add help for cache entries

2001-04-26 14:49  martink

	* Source/cmCacheManager.cxx, Source/cmElseCommand.cxx,
	Source/cmIfCommand.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: some fixes for If commands

2001-04-26 13:38  martink

	* Source/CMakeSetup.dsw, Source/DumpDocumentation.dsp,
	Source/cmCommands.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.h, Source/cmFindFileCommand.cxx,
	Source/cmFindIncludeCommand.cxx, Source/cmFindIncludeCommand.h,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindPathCommand.cxx, Source/cmFindPathCommand.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx: bug fixes

2001-04-25 23:01  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: set initial build to
	source dir

2001-04-25 22:53  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: add error checking
	for empty build dir

2001-04-25 20:09  hoffman

	* configure.in.sample, Source/Makefile.in,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmMakefile.cxx, Source/MFCDialog/CMakeDialog.h,
	Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h:
	ENH: clean up cmake GUI and remove the parsing of CMakeLists.txt
	files by configure

2001-04-25 15:47  martink

	* Source/cmElseCommand.h, Source/cmEndIfCommand.h,
	Source/cmIfCommand.h: rules were not inherited when they should be

2001-04-25 13:37  king

	* Source/cmUnixMakefileGenerator.cxx: BUG: Fixed output of
	dependencies.  It needs to loop over the makefile's targets, not
	the source lists.

2001-04-25 13:37  king

	* Source/cmMakeDepend.cxx: STYLE: Updated comments for name change
	cmClassFile->cmSourceFile

2001-04-25 13:33  martink

	* CMake.doc: updated the docs some

2001-04-24 21:33  king

	* Source/cmUnixMakefileGenerator.cxx: ERR: cmClassFile.h ->
	cmSourceFile.h include change.

2001-04-24 20:46  martink

	* Source/CMakeLib.dsp, Source/Makefile.in,
	Source/cmAbstractFilesCommand.cxx,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmCablePackageCommand.cxx,
	Source/cmCableSourceFilesCommand.cxx, Source/cmCacheManager.cxx,
	Source/cmCacheManager.h, Source/cmCommands.cxx,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmOptionCommand.cxx, Source/cmSourceFilesCommand.cxx,
	Source/cmSourceFilesRequireCommand.cxx, Source/cmTarget.h,
	Source/cmUnixDefinesCommand.cxx, Source/cmUnixLibrariesCommand.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmWin32DefinesCommand.cxx,
	Source/cmWin32IncludeDirectoryCommand.cxx,
	Source/cmWin32LibrariesCommand.cxx,
	Source/cmWrapExcludeFilesCommand.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/cmVTKWrapPythonCommand.cxx, Source/cmVTKWrapPythonCommand.h,
	Source/cmVTKWrapTclCommand.cxx, Source/cmVTKWrapTclCommand.h,
	Source/cmSourceFile.cxx, Source/cmSourceFile.h,
	Source/cmTarget.cxx, Source/cmWrapTclCommand.cxx,
	Source/cmWrapTclCommand.h, Source/cmClassFile.cxx,
	Source/cmClassFile.h: many fixes and cleanup and features

2001-04-24 18:19  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h:
	BUG: fix duplicate property items

2001-04-24 17:32  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/PropertyList.cpp: BUG: fix cache updates

2001-04-24 16:40  hoffman

	* Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmOptionCommand.cxx, Source/cmWrapTclCommand.cxx,
	Source/MFCDialog/CMakeSetupDialog.cpp: BUG: fix build directory
	problem

2001-04-24 13:45  king

	* CMakeVariables.make.in: ERR: Removed extra SRC_OBJ reference. 
	The variable is no longer used.

2001-04-23 20:40  hoffman

	* Source/CMakeLib.dsp, Source/cmCacheManager.cxx,
	Source/cmCacheManager.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmSourceGroup.h,
	Source/cmStandardIncludes.h, Source/cmWindowsConfigure.cxx,
	Source/cmWindowsConfigure.h, Source/MFCDialog/CMakeDialog.h,
	Source/MFCDialog/CMakeSetup.dsp, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h,
	Source/MFCDialog/PropertyList.cpp, Source/MFCDialog/PropertyList.h,
	Source/MFCDialog/resource.h: ENH: new GUI editor for cmake cache
	file

2001-04-23 20:33  martink

	* Source/cmCommands.cxx, Source/cmWrapTclCommand.cxx: added option
	command

2001-04-23 20:33  martink

	* Source/cmOptionCommand.cxx, Source/cmOptionCommand.h: new command

2001-04-23 17:58  blezek

	* CMakeRules.make.in, Source/cmUnixMakefileGenerator.cxx: BUG:
	Clean was not doing it's job

2001-04-23 14:23  king

	* Source/cmIfCommand.h: ERR: Added virtual destructor to complement
	virtual functions in cmIfFunctionBlocker.

2001-04-19 21:39  martink

	* Source/cmAddDefinitionsCommand.cxx,
	Source/cmAddDefinitionsCommand.h, Source/cmCommands.cxx,
	Source/cmElseCommand.cxx, Source/cmElseCommand.h,
	Source/cmEndIfCommand.cxx, Source/cmEndIfCommand.h,
	Source/cmFunctionBlocker.h, Source/cmIfCommand.cxx,
	Source/cmIfCommand.h, Source/cmMakefile.cxx, Source/cmMakefile.h:
	added if else endif add definition

2001-04-19 17:28  martink

	* Source/cmCablePackageCommand.cxx, Source/cmCustomCommand.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx,
	Source/cmMakefile.cxx, Source/cmSourceGroup.cxx, Source/cmTarget.h,
	Source/cmUnixMakefileGenerator.cxx: cleaned up the coding style
	made ivars private etc

2001-04-18 12:01  king

	* Source/cmMakeDepend.cxx: ERR: We can't assume a vector iterator
	is a pointer.  It must be dereferenced to get a reference to the
	element, and then we can take the address of that to get a pointer.
	 "i" becomes "&*i"

2001-04-17 11:42  king

	* Source/cmUnixMakefileGenerator.cxx: ERR: Removed unused variable.

2001-04-16 19:40  hoffman

	* Source/cmStandardIncludes.h, Source/cmSystemTools.cxx: BUG: fix
	small compile issues on HP aCC

2001-04-16 16:31  king

	* Source/cmMakeDepend.cxx, Source/cmMakeDepend.h: ENH: Changed
	m_Indices to an stl set and renamed it to m_IndexSet.  Using a set
	results in a significant performance increase and reduction in
	memory usage.

2001-04-16 14:15  millerjv

	* Source/cmAddLibraryCommand.cxx: FIX: allow ADD_LIBRARY with no
	source list

2001-04-16 14:01  martink

	* Source/cmCablePackageCommand.cxx, Source/cmMakefile.h: fixed
	cable package issue

2001-04-12 19:34  martink

	* Source/Makefile.in, Source/cmAddLibraryCommand.cxx,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmMakefile.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmWrapTclCommand.cxx: some bug fixes

2001-04-12 13:55  king

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: Added individual library
	linkage output so that shared libraries will not try to link
	against themselves.

2001-04-12 13:49  martink

	* Source/cmExecutablesCommand.cxx, Source/cmExecutablesCommand.h:
	removed old rules

2001-04-11 20:34  king

	* Source/cmUnixMakefileGenerator.cxx: ENH: Generation now sets up
	proper linking of shared libraries to each other.

2001-04-11 19:43  king

	* CMakeMaster.make.in: ERR: Needed to switch point where
	CMakeTargets.make is included so that Variables will be available
	to the targets file.

2001-04-11 18:58  martink

	* Source/CMakeLib.dsp, Source/CMakeSetupCMD.dsp,
	Source/Makefile.in, Source/cmAbstractFilesCommand.cxx,
	Source/cmAddExecutableCommand.cxx, Source/cmAddExecutableCommand.h,
	Source/cmAddLibraryCommand.cxx, Source/cmAddLibraryCommand.h,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmAuxSourceDirectoryCommand.h, Source/cmCableCommand.cxx,
	Source/cmCableData.cxx, Source/cmCableData.h,
	Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h,
	Source/cmCableSourceFilesCommand.cxx, Source/cmClassFile.cxx,
	Source/cmClassFile.h, Source/cmCommands.cxx,
	Source/cmCustomCommand.cxx, Source/cmCustomCommand.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSourceFilesCommand.cxx, Source/cmSourceFilesCommand.h,
	Source/cmSourceFilesRequireCommand.cxx,
	Source/cmSourceFilesRequireCommand.h, Source/cmSourceGroup.cxx,
	Source/cmSourceGroup.h, Source/cmTarget.h,
	Source/cmTestsCommand.cxx, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Source/cmWrapExcludeFilesCommand.cxx, Source/cmWrapTclCommand.cxx,
	Source/cmWrapTclCommand.h, CMakeRules.make.in: major changes to
	support multiple libraries and source lists

2001-04-10 19:26  king

	* Source/DLLHeader.dsptemplate: ENH: Need BUILD_SHARED_LIBRARIES
	defined for making windows DLLs.

2001-04-09 14:56  king

	* Source/cmCablePackageCommand.cxx: ERR: Added double-quotes around
	command name before arguments are appended.

2001-04-09 14:53  king

	* Source/cmUnixMakefileGenerator.cxx: ERR: Missed one EscapeSpaces
	call.

2001-04-09 14:31  king

	* Source/cmCableCommand.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUtilitySourceCommand.cxx: ERR: Corrected use of
	double-quotes to be compatible with UNIX make.	Now double quotes
	(windows) or escape sequences for spaces (unix) are added when
	dependencies are output.

2001-04-09 13:44  king

	* Source/cmCableCommand.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmUtilitySourceCommand.cxx: ENH:
	Added support for spaces in the output directory names.  Spaces in
	the input directory name may work also, but are untested.

2001-04-06 21:01  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx: BUG: fix depends
	for libraries and executables in the same dir

2001-04-06 18:51  hoffman

	* Source/cmFindIncludeCommand.cxx, Source/cmFindLibraryCommand.cxx,
	Source/cmMakefile.cxx: ENH: better error reporting, and add
	NOTFOUND into cache for library and file find

2001-04-06 16:00  martink

	* Source/cmFindIncludeCommand.h: fixed the documentation some

2001-04-06 12:28  millerjv

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: FIX:
	configurations list needed to be reset for each dsp file created

2001-04-04 13:33  millerjv

	* Source/EXEHeader.dsptemplate, Source/staticLibHeader.dsptemplate:
	FIX: returned to using /O2 optimization level and put a pragma in
	the netlib code that could not handle the /Og component of /O2

2001-03-28 16:49  king

	* Source/cmSystemTools.cxx: ERR: Blank line regular expression
	updated to allow whitespace on the line.

2001-03-23 19:27  king

	* Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h: ENH: Added support for
	CABLE_SOURCE_FILES to refer to files that are not in the current
	directory.  The include path is searched for the files.

2001-03-21 20:52  king

	* Source/cmStandardIncludes.h: ERR: Added pragma to disable symbol
	length warning for Intel compiler.

2001-03-20 18:48  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ERR: Small bug
	in generated DSP file fixed.  A custom command environment variable
	has been replaced with explicity writing out the command.

2001-03-20 18:20  king

	* Source/CMakeLib.dsp, Source/Makefile.in,
	Source/cmCableCommand.cxx, Source/cmCablePackageCommand.cxx,
	Source/cmCommands.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSourceGroup.cxx, Source/cmSourceGroup.h,
	Source/cmSourceGroupCommand.cxx, Source/cmSourceGroupCommand.h,
	Source/cmUnixMakefileGenerator.cxx, Source/cmWrapTclCommand.cxx:
	ENH: Added SOURCE_GROUP command and corresponding support code. 
	This command allows CMakeLists files to specify how sources are
	organized into groups in the generated DSP files and makefiles.

2001-03-19 16:47  millerjv

	* Source/EXEHeader.dsptemplate: ENH: ignore unused libary warnings,
	removed /force

2001-03-19 16:00  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: Added text
	files group to DSP output.  CMakeLists.txt is duplicated in this
	group and outside, but fixing this will require a reorganization of
	custom rule generation.  I should get to that soon.

2001-03-19 16:00  king

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ERR: Removed
	functions I just added.  They don't belong here (yet?).

2001-03-19 16:00  king

	* Source/cmCableCommand.cxx: ERR: Changed generation of rule to
	generate cable_config.xml to be produced differently for windows
	and unix.

2001-03-19 15:09  king

	* Source/cmSystemTools.cxx, Source/cmSystemTools.h: ENH: Added
	functions to get information about the CMake executable on each
	platform.

2001-03-19 15:09  king

	* Source/cmCableCommand.cxx: ENH: Added generation of a rule to
	re-run CMake if the cable_config.xml file is missing.

2001-03-16 16:14  king

	* Source/cmCableData.cxx, Source/cmCableData.h: ERR: Re-ordered
	declaration of members v. order of initialization on the
	constructor to match each other.

2001-03-16 16:04  king

	* Source/cmCableData.cxx, Source/cmCableData.h: BUG: Rearranged
	cable config file open to do open in construction of m_OutputFile. 
	Fixes problem on SGI with opening the file.

2001-03-16 14:25  king

	* Source/cmCableDefineSetCommand.cxx,
	Source/cmCableSourceFilesCommand.cxx: ENH: Changed generated
	includes to not have full path specified.

2001-03-15 23:09  king

	* Source/cmCommands.cxx,
	Source/cmIncludeRegularExpressionCommand.cxx,
	Source/cmIncludeRegularExpressionCommand.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: Added
	INCLUDE_REGULAR_EXPRESSION command to set regular expression used
	in dependency checking.

2001-03-15 19:46  king

	* Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h: ENH: Added SOURCE_FILES syntax to
	CABLE_DEFINE_SET command.

2001-03-15 19:33  king

	* Source/cmMakefile.cxx, Source/cmMakefile.h: BUG: Moved definition
	of CMAKE_SOURCE_DIR and CMAKE_BINARY_DIR to be as soon as their
	information is known.

2001-03-15 15:42  king

	* Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h:
	BUG: Fixed segfault when CABLE_PACKAGE is only CABLE command. 
	Related to order of virtual destructor calls.

2001-03-14 22:49  king

	* Source/cmStandardIncludes.h: ERR: Added for-loop scoping hack for
	CMake sources on MSVC

2001-03-14 21:34  king

	* Source/cmSystemTools.cxx: ENH: Added support for comments inside
	function calls and indented comments.

2001-03-13 23:01  king

	* Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h: ENH: Added support for element
	tag specification with syntax tag:element as an argument to the
	CABLE_DEFINE_SET command.  A single colon with nothing to its left
	will result in an empty tag.

2001-03-13 14:33  king

	* Source/cmWrapTclCommand.cxx: ERR: Less-than-zero test replaced
	with greater-than-zero since we want zero arguments.

2001-03-12 23:30  king

	* Source/cmCommand.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: ENH: Improved error handling when GetError
	is called on a command that has not called SetError.

2001-03-12 15:10  geoff

	* Source/cmCommands.cxx, Source/cmWin32IncludeDirectoryCommand.cxx,
	Source/cmWin32IncludeDirectoryCommand.h: Include directories under
	Win32 only (inherited by subdirs)

2001-03-09 21:56  king

	* Source/DLLHeader.dsptemplate, Source/EXEHeader.dsptemplate,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/staticLibHeader.dsptemplate: ENH: Finished Simplifying
	dsptemplate processing with  in place of separate Release, Debug,
	ReleaseDLL, ... configurations.

2001-03-09 20:35  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/staticLibHeader.dsptemplate: ERR: Fixed library path problem
	for ReleaseMinSize build.   should now be used in place of separate
	Release, Debug, and ReleaseMinSize.

2001-03-09 19:35  king

	* Source/EXEHeader.dsptemplate: ERR: Fixed header template for
	Release MinSize builds.

2001-03-09 16:33  king

	* Source/EXEHeader.dsptemplate: ENH: Added Release MinSize
	configuration for executables.

2001-03-09 16:33  king

	* Source/cmUtilitySourceCommand.h: ENH: Made UTILITY_SOURCE command
	inherited, just like FIND_PROGRAM.

2001-03-09 16:16  king

	* Source/cmCablePackageCommand.cxx: ERR: Missing initalization of a
	cmClassFile::m_HeaderFileOnly fixed.

2001-03-09 15:52  king

	* Source/cmCablePackageCommand.cxx: ENH: Added proper dependency
	generation for a package on cable executable.

2001-03-09 15:52  king

	* Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h,
	Source/cmUtilitySourceCommand.cxx: ENH: Added utility dependency
	support.  Now a project can depend on other executables as well as
	link libraries.

2001-03-09 15:52  king

	* Source/cmCableCommand.cxx, Source/cmCableData.cxx: ERR: Added
	automatic creation of directory for cable_config.xml file and
	corresponding error reporting.

2001-03-08 23:24  king

	* Source/cmMakefile.cxx, Source/cmUtilitySourceCommand.cxx: ERR:
	Replaced CMAKE_CFG= with CMAKE_CFG_OUTDIR= to fix windows behavior.

2001-03-08 23:13  king

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: Added
	output of custom rules for XML sources.

2001-03-08 22:38  king

	* Source/cmUnixMakefileGenerator.cxx: ENH: Added output of defines
	flags as part of INCLUDE_FLAGS.

2001-03-08 22:30  king

	* Source/cmUnixMakefileGenerator.cxx: ENH: Added output of a custom
	command's m_Source as a dependency.

2001-03-08 22:30  king

	* Source/cmUnixDefinesCommand.cxx: ERR: Minor wording error in
	output message.

2001-03-08 22:30  king

	* Source/cmCablePackageCommand.cxx: ENH: Creation of generator rule
	now properly uses the custom command's m_Source member.

2001-03-08 21:12  king

	* Source/cmCableCommand.cxx, Source/cmCableData.cxx,
	Source/cmCableData.h, Source/cmCablePackageCommand.cxx,
	Source/cmCablePackageCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h: ENH: Added creation of custom
	rules for generating CABLE packages.

2001-03-08 21:12  king

	* Source/cmMakeDepend.cxx, Source/cmMakeDepend.h: ENH: Added
	support for finding dependencies for files that don't exist. 
	Dependency recursion begins with hints provided in the cmClassFile
	for a file if it doesn't exist.

2001-03-08 16:30  king

	* Source/cmCableSourceFilesCommand.cxx: ENH: Added .txx detection
	for Header block output.

2001-03-08 15:30  king

	* Source/cmCommands.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUtilitySourceCommand.cxx,
	Source/cmUtilitySourceCommand.h: ENH: Added UTILITY_SOURCE command
	for specifying where a 3rd party utility's source is located when
	it is included in the distribution of a project.

2001-03-07 18:33  king

	* Source/cmCableCommand.cxx: ERR: Commented out experimental code
	that was accidentally checked in.

2001-03-07 18:23  king

	* Source/cmCableCommand.cxx: ENH: Added Cable to Utilities and
	appropriate CMakeLists.txt changes.  Moved VXLNumerics link out of
	source's root directory and into separate entries for Code and
	Testing directories.  This prevents linking of all programs (like
	Cable) with the numerics library.

2001-03-02 21:04  king

	* Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h: ENH: Added custom rule support to
	cmUnixMakefileGenerator.

2001-03-02 18:47  will

	* Source/cmUnixMakefileGenerator.cxx: BUG: repeat all -l options to
	avoid having to worry about link order.

2001-03-02 17:27  king

	* Source/cmCableCommand.cxx, Source/cmCableData.cxx,
	Source/cmCableData.h: ENH: CABLE config file (config_cable.xml)
	should now be opened in the output directory.

2001-03-01 21:47  king

	* Source/cmCableCloseNamespaceCommand.cxx,
	Source/cmCableCloseNamespaceCommand.h, Source/cmCableCommand.cxx,
	Source/cmCableCommand.h, Source/cmCableData.cxx,
	Source/cmCableData.h, Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h,
	Source/cmCableOpenNamespaceCommand.cxx,
	Source/cmCableOpenNamespaceCommand.h,
	Source/cmCablePackageCommand.cxx, Source/cmCablePackageCommand.h,
	Source/cmCablePackageEntryCommand.cxx,
	Source/cmCablePackageEntryCommand.h,
	Source/cmCableSourceFilesCommand.cxx,
	Source/cmCableSourceFilesCommand.h, Source/cmCableWrapCommand.cxx,
	Source/cmCableWrapCommand.h, Source/cmCommands.cxx: ENH: Change to
	new CABLE command architecture.  CABLE configuration code is now
	generated on the first pass, during the Invoke() calls.

2001-02-28 22:50  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx: BUG: fix circular
	depends on libraries and remove depends for static libraries

2001-02-28 14:34  king

	* Source/cmCableCommand.cxx, Source/cmCableCommand.h,
	Source/cmCableData.cxx, Source/cmCableData.h,
	Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h, Source/cmCommands.cxx: ENH:
	CABIL -> CABLE rename.

2001-02-27 21:44  martink

	* Source/cmClassFile.h: added wrap exclude ivar

2001-02-27 21:44  martink

	* Source/cmBuildSharedLibrariesCommand.cxx,
	Source/cmBuildSharedLibrariesCommand.h,
	Source/cmWrapExcludeFilesCommand.cxx,
	Source/cmWrapExcludeFilesCommand.h: new commands

2001-02-27 21:44  martink

	* Source/DLLFooter.dsptemplate, Source/DLLHeader.dsptemplate: dll
	build rules

2001-02-27 21:44  martink

	* Source/cmWrapTclCommand.cxx: bug fixes

2001-02-27 21:44  martink

	* Source/cmCommands.cxx: added new commands

2001-02-27 21:44  martink

	* Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx: many enhancements
	including dll support

2001-02-27 21:44  martink

	* Source/staticLibHeader.dsptemplate: change in options for much
	smaller libraries

2001-02-27 21:28  king

	* Source/cmCableCommand.h, Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateClassCommand.cxx,
	Source/cmCableInstantiateClassCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h, Source/cmCommands.cxx: ENH:
	Implemented automatic tag generation for CABIL_DEFINE_SET command. 
	Added tag output to WriteConfiguration methods.  Added
	CABIL_INSTANTIATE_CLASS command to generate explicit class template
	instantiation configuration output.

2001-02-27 20:41  king

	* Source/cmSystemTools.cxx: ENH/BUG: Improved function parsing to
	allow just about anything inside a double-quoted argument.  Also
	fixed parsing of lines with both quoted and non-quoted arguments.

2001-02-27 17:00  lorensen

	* Source/cmSystemTools.cxx: ENH: mask on mkdir set to 777.

2001-02-27 17:00  lorensen

	* Source/CMakeBuildTargets.cxx: ERR: missing std:: on cout.

2001-02-27 01:58  millerjv

	* Source/staticLibHeader.dsptemplate: FIX: added /GR to MinSize
	build to avoid warnings about dynamic cast

2001-02-26 23:20  king

	* Source/cmCableInstantiateCommand.cxx: ERR: Fixed configuration
	file output to open file in output directory.

2001-02-26 23:16  king

	* Source/cmWrapTclCommand.cxx: int -> unsigned int

2001-02-26 22:58  king

	* Source/cmStandardIncludes.h: ERR: fsream.h -> fstream.h

2001-02-26 22:58  king

	* Source/cmCableCommand.cxx, Source/cmCableCommand.h,
	Source/cmCableData.cxx, Source/cmCableData.h,
	Source/cmCableDefineSetCommand.cxx,
	Source/cmCableDefineSetCommand.h,
	Source/cmCableInstantiateCommand.cxx,
	Source/cmCableInstantiateCommand.h, Source/cmCommands.cxx: ENH:
	Added CABIL commands for configuration file generation.

2001-02-26 22:58  king

	* Source/cmMakefile.h: ENH: Added GetUsedCommands() method.

2001-02-26 22:13  martink

	* Source/cmWrapTclCommand.cxx, Source/cmWrapTclCommand.h: very
	early version of a wrapper

2001-02-26 22:13  martink

	* Source/cmCommands.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmMakefile.h: a variety of fixes and
	enhancements

2001-02-26 22:13  martink

	* Source/cmClassFile.cxx, Source/cmClassFile.h: added
	functionality, fixed bug if no file existed and with header files

2001-02-26 22:13  martink

	* Source/cmFindProgramCommand.cxx, Source/cmFindProgramCommand.h:
	fixed bug and modified functionality

2001-02-26 22:13  martink

	* Source/cmFindFileCommand.cxx, Source/cmFindFileCommand.h: new
	command

2001-02-26 18:25  king

	* Source/cmMakefile.cxx: ERR: Fixed unknown command output error
	message for spacing.

2001-02-26 17:07  king

	* Source/cmAbstractFilesCommand.h, Source/cmAddTargetCommand.h,
	Source/cmAuxSourceDirectoryCommand.h, Source/cmCommand.h,
	Source/cmExecutablesCommand.h, Source/cmFindIncludeCommand.h,
	Source/cmFindLibraryCommand.h, Source/cmFindProgramCommand.h,
	Source/cmIncludeDirectoryCommand.h, Source/cmLibraryCommand.h,
	Source/cmLinkDirectoriesCommand.h, Source/cmLinkLibrariesCommand.h,
	Source/cmProjectCommand.h, Source/cmSourceFilesCommand.h,
	Source/cmSourceFilesRequireCommand.h, Source/cmSubdirCommand.h,
	Source/cmTestsCommand.h, Source/cmUnixDefinesCommand.h,
	Source/cmUnixLibrariesCommand.h, Source/cmWin32DefinesCommand.h,
	Source/cmWin32LibrariesCommand.h: ENH: Added safe downcast support
	(without RTTI) to cmCommand and its subclasses.

2001-02-23 15:40  king

	* Source/cmAbstractFilesCommand.cxx, Source/cmCommand.h,
	Source/cmCommands.h, Source/cmConfigureFileNoAutoconf.h,
	Source/cmFindIncludeCommand.cxx, Source/cmFindLibraryCommand.cxx,
	Source/cmFindProgramCommand.cxx, Source/cmMakefile.cxx,
	Source/cmUnixMakefileGenerator.cxx: ERR: Fixed warnings
	(int->unsigned int and a few others).

2001-02-23 00:37  hoffman

	* configure.in.sample: ENH: update sample

2001-02-23 00:31  hoffman

	* Source/cmSystemTools.cxx: BUG: remove debug print

2001-02-23 00:23  hoffman

	* Source/CMakeBuildTargets.cxx, Source/Makefile.in,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmConfigureFileNoAutoconf.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmStandardIncludes.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/MFCDialog/CMakeSetupDialog.cpp,
	CMakeRules.make.in, CMakeTopMakefileTemplate.in,
	Source/cmConfigure.h.in: ENH: add CMakeCache.txt support

2001-02-20 19:12  hoffman

	* Source/cmSystemTools.cxx: ENH: remove relative and extra paths in
	CMakeLists.txt files

2001-02-20 17:25  hoffman

	* CMakeRules.make.in: BUG: fix for in source build

2001-02-19 20:13  hoffman

	* CMakeMakefileTemplate.in, MakefileTemplate.in,
	configure.in.sample, Source/CMakeBuildTargets.cxx,
	Source/CMakeSetupCMD.cxx, Source/Makefile.in,
	Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	Source/cmCommand.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmFindIncludeCommand.cxx,
	Source/cmFindLibraryCommand.cxx, Source/cmFindProgramCommand.cxx,
	Source/cmIncludeDirectoryCommand.cxx, Source/cmMakefile.cxx,
	Source/cmRegularExpression.h, Source/cmSystemTools.cxx,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp, Source/MFCDialog/resource.h:
	ENH: first pass at cache, clean up the unix generator, clean up
	configure.in some

2001-02-18 18:02  hoffman

	* configure.in.sample: ENH: add a smaple configure.in for CMake
	based projects

2001-02-18 17:47  hoffman

	* configure.in.sample: ENH: add a smaple configure.in for CMake
	based projects

2001-02-16 20:34  hoffman

	* Source/cmCacheManager.h: ENH: clean up comments some

2001-02-16 20:01  will

	* CMake.pdf: ENH:Added pdf file

2001-02-16 16:52  martink

	* CMake.doc: clean up docs

2001-02-16 16:34  martink

	* Source/cmConfigureFileNoAutoconf.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmFindIncludeCommand.cxx,
	Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	Source/cmFindProgramCommand.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h: ENH: add new commands fro find library and
	find program

2001-02-15 18:30  martink

	* CMakeRules.make.in, CMakeVariables.make.in,
	Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/cmClassFile.cxx, Source/cmClassFile.h,
	Source/cmConfigureFileNoAutoconf.h, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmProjectCommand.cxx, Source/cmProjectCommand.h,
	Source/MFCDialog/CMakeSetupDialog.cpp: some cleanup and fixes

2001-02-14 17:58  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: set output directory
	correctly

2001-02-14 17:26  hoffman

	* Source/cmMakeDepend.cxx: ENH: fix depend segfault

2001-02-13 23:49  hoffman

	* Source/cmConfigureFileNoAutoconf.cxx, Source/cmMakefile.cxx: ENH:
	new vnl

2001-02-13 21:48  hoffman

	* Source/cmMakefile.cxx, Source/cmMakefile.h: ENH: add configure
	style @var@ expansion

2001-02-13 00:49  hoffman

	* Source/CMakeBuildTargets.cxx, Source/Makefile.in,
	Source/cmCommands.cxx, Source/cmConfigureFileNoAutoconf.cxx,
	Source/cmConfigureFileNoAutoconf.h,
	Source/cmConfigureHeaderCommand.cxx,
	Source/cmConfigureHeaderCommand.h, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmStandardIncludes.h,
	Source/cmSystemTools.cxx, Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/cmCommands.h: ENH: get rid of special msc configure file

2001-02-12 19:42  hoffman

	* Source/CMakeLib.dsp, Source/CMakeSetup.dsw,
	Source/CMakeSetupCMD.dsp, Source/MFCDialog/CMakeSetup.dsp: ENH:
	share a .lib with the command line and mfc versions.

2001-02-12 19:26  hoffman

	* Source/CMakeLib.dsp, Source/CMakeSetup.dsw,
	Source/CMakeSetupCMD.cxx, Source/CMakeSetupCMD.dsp,
	Source/Makefile.in, Source/cmCacheManager.cxx,
	Source/cmCacheManager.h, Source/cmCommands.cxx,
	Source/cmConfigureHeaderCommand.cxx,
	Source/cmConfigureHeaderCommand.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmMSProjectGenerator.h,
	Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: add cache manager
	class, move all commands into cmCommands.cxx to speed up compile
	times, share a .lib with the command line and mfc versions.

2001-02-06 22:01  hoffman

	* Source/staticLibHeader.dsptemplate: ENH: add /GX /Zm1000

2001-02-06 21:48  hoffman

	* Source/staticLibHeader.dsptemplate: ENH: min size build

2001-02-06 15:52  hoffman

	* Source/staticLibHeader.dsptemplate: ENH: put back /Zm1000 so we
	can build large files

2001-02-06 13:54  millerjv

	* Source/EXEHeader.dsptemplate: FIX: added /force to link options
	and removed precompiled header usage

2001-02-06 13:54  millerjv

	* Source/staticLibHeader.dsptemplate: FIX: remove precompiled
	header settings

2001-01-25 20:48  millerjv

	* Source/EXEHeader.dsptemplate, Source/staticLibHeader.dsptemplate:
	BUG: backed off on the compiler optimization used.  Instead of
	using /O2, we now use all the components of /Ox (/Ob1 /Oi /Ot /Oy
	/Gs) except for /Og

2001-01-22 15:00  will

	* Source/CMakeSetupCMD.dsp: BUG: convert to dos format

2001-01-22 14:49  will

	* Source/CMakeSetup.dsw, Source/CMakeSetupCMD.dsp,
	Source/MFCDialog/CMakeSetup.dsp, Source/CMakeSetup.dsw,
	Source/CMakeSetupCMD.dsp, Source/MFCDialog/CMakeSetup.dsp: BUG:
	make dsp and dsw files binary

2001-01-18 18:43  will

	* README: ENH:Commands not rules

2001-01-18 17:06  will

	* Source/Makefile.in: ERR:Oops, use SimpleRule not SimpleCommand

2001-01-18 16:51  will

	* CMakeCommands.make.in, CMakeMaster.make.in, CMakeRules.make.in,
	CMakeSimpleCommands.make.in, CMakeSimpleRules.make.in: ERR:Oops,
	renamed back

2001-01-18 16:20  will

	* CMakeCommands.make.in, CMakeMaster.make.in, CMakeRules.make.in,
	CMakeSimpleCommands.make.in, CMakeSimpleRules.make.in,
	Source/CMakeSetupCMD.dsp, Source/Makefile.in,
	Source/cmAbstractFilesCommand.cxx, Source/cmAbstractFilesCommand.h,
	Source/cmAbstractFilesRule.cxx, Source/cmAbstractFilesRule.h,
	Source/cmAddTargetCommand.cxx, Source/cmAddTargetCommand.h,
	Source/cmAddTargetRule.cxx, Source/cmAddTargetRule.h,
	Source/cmAuxSourceDirectoryCommand.cxx,
	Source/cmAuxSourceDirectoryCommand.h,
	Source/cmAuxSourceDirectoryRule.cxx,
	Source/cmAuxSourceDirectoryRule.h, Source/cmCommand.h,
	Source/cmDumpDocumentation.cxx, Source/cmExecutablesCommand.cxx,
	Source/cmExecutablesCommand.h, Source/cmExecutablesRule.cxx,
	Source/cmExecutablesRule.h, Source/cmFindIncludeCommand.cxx,
	Source/cmFindIncludeCommand.h, Source/cmFindIncludeRule.cxx,
	Source/cmFindIncludeRule.h, Source/cmFindLibraryCommand.cxx,
	Source/cmFindLibraryCommand.h, Source/cmFindLibraryRule.cxx,
	Source/cmFindLibraryRule.h, Source/cmFindProgramCommand.cxx,
	Source/cmFindProgramCommand.h, Source/cmFindProgramRule.cxx,
	Source/cmFindProgramRule.h, Source/cmIncludeDirectoryCommand.cxx,
	Source/cmIncludeDirectoryCommand.h,
	Source/cmIncludeDirectoryRule.cxx, Source/cmIncludeDirectoryRule.h,
	Source/cmLibraryCommand.cxx, Source/cmLibraryCommand.h,
	Source/cmLibraryRule.cxx, Source/cmLibraryRule.h,
	Source/cmLinkDirectoriesCommand.cxx,
	Source/cmLinkDirectoriesCommand.h,
	Source/cmLinkDirectoriesRule.cxx, Source/cmLinkDirectoriesRule.h,
	Source/cmLinkLibrariesCommand.cxx, Source/cmLinkLibrariesCommand.h,
	Source/cmLinkLibrariesRule.cxx, Source/cmLinkLibrariesRule.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmMakefileGenerator.h, Source/cmProjectCommand.cxx,
	Source/cmProjectCommand.h, Source/cmProjectRule.cxx,
	Source/cmProjectRule.h, Source/cmRuleMaker.h,
	Source/cmSourceFilesCommand.cxx, Source/cmSourceFilesCommand.h,
	Source/cmSourceFilesRequireCommand.cxx,
	Source/cmSourceFilesRequireCommand.h,
	Source/cmSourceFilesRequireRule.cxx,
	Source/cmSourceFilesRequireRule.h, Source/cmSourceFilesRule.cxx,
	Source/cmSourceFilesRule.h, Source/cmSubdirCommand.cxx,
	Source/cmSubdirCommand.h, Source/cmSubdirRule.cxx,
	Source/cmSubdirRule.h, Source/cmSystemTools.h,
	Source/cmTestsCommand.cxx, Source/cmTestsCommand.h,
	Source/cmTestsRule.cxx, Source/cmTestsRule.h,
	Source/cmUnixDefinesCommand.cxx, Source/cmUnixDefinesCommand.h,
	Source/cmUnixDefinesRule.cxx, Source/cmUnixDefinesRule.h,
	Source/cmUnixLibrariesCommand.cxx, Source/cmUnixLibrariesCommand.h,
	Source/cmUnixLibrariesRule.cxx, Source/cmUnixLibrariesRule.h,
	Source/cmWin32DefinesCommand.cxx, Source/cmWin32DefinesCommand.h,
	Source/cmWin32DefinesRule.cxx, Source/cmWin32DefinesRule.h,
	Source/cmWin32LibrariesCommand.cxx,
	Source/cmWin32LibrariesCommand.h, Source/cmWin32LibrariesRule.cxx,
	Source/cmWin32LibrariesRule.h, Source/MFCDialog/CMakeSetup.dsp:
	ENH:Reworked CMake for consistency

2001-01-12 19:35  will

	* README, Source/cmAbstractFilesRule.h, Source/cmAddTargetRule.h,
	Source/cmAuxSourceDirectoryRule.h, Source/cmExecutablesRule.h,
	Source/cmFindIncludeRule.h, Source/cmFindLibraryRule.h,
	Source/cmFindProgramRule.h, Source/cmIncludeDirectoryRule.h,
	Source/cmLibraryRule.h, Source/cmLinkDirectoriesRule.h,
	Source/cmLinkLibrariesRule.h, Source/cmMakefile.cxx,
	Source/cmProjectRule.h, Source/cmRuleMaker.h,
	Source/cmSourceFilesRequireRule.h, Source/cmSourceFilesRule.h,
	Source/cmSubdirRule.h, Source/cmTestsRule.h,
	Source/cmUnixDefinesRule.h, Source/cmUnixLibrariesRule.h,
	Source/cmWin32DefinesRule.h, Source/cmWin32LibrariesRule.h:
	ENH:Tweaks to dump documentation

2001-01-12 19:05  hoffman

	* Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx: ENH: add define
	flags in the right place

2001-01-12 18:48  hoffman

	* Source/cmSystemTools.cxx: BUG: add check for missing ) on
	function

2001-01-12 18:48  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: allow continue if
	missing MSC configure file

2001-01-12 18:07  will

	* README, Source/cmAuxSourceDirectoryRule.h,
	Source/cmIncludeDirectoryRule.h, Source/cmLinkLibrariesRule.h,
	Source/cmProjectRule.h, Source/cmSourceFilesRequireRule.h,
	Source/cmSubdirRule.h, Source/cmUnixDefinesRule.h,
	Source/cmWin32DefinesRule.h: ENH:Tweaks to dump documentation

2001-01-12 17:49  will

	* Source/cmAddTargetRule.h, Source/cmMakefile.cxx: ENH:Tweaks to
	documentation

2001-01-12 17:49  will

	* README: ENH:Updated for rule-based CMake

2001-01-12 17:42  will

	* Source/cmDumpDocumentation.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h: ENH:Simple program dumps out internal
	documentation for CMake

2001-01-12 12:43  will

	* README: README

2001-01-11 21:19  will

	* doxygen.config: ENH:Doxygenated CMake

2001-01-11 19:55  will

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/cmAbstractFilesRule.cxx, Source/cmClassFile.cxx,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx,
	Source/cmExecutablesRule.cxx, Source/cmFindIncludeRule.cxx,
	Source/cmFindLibraryRule.cxx, Source/cmFindProgramRule.cxx,
	Source/cmIncludeDirectoryRule.cxx, Source/cmLibraryRule.cxx,
	Source/cmLinkDirectoriesRule.cxx, Source/cmLinkLibrariesRule.cxx,
	Source/cmMSProjectGenerator.cxx, Source/cmMakeDepend.cxx,
	Source/cmMakefile.cxx, Source/cmMakefileGenerator.cxx,
	Source/cmProjectRule.cxx, Source/cmSourceFilesRequireRule.cxx,
	Source/cmSourceFilesRule.cxx, Source/cmSubdirRule.cxx,
	Source/cmSystemTools.cxx, Source/cmTestsRule.cxx,
	Source/cmUnixDefinesRule.cxx, Source/cmUnixLibrariesRule.cxx,
	Source/cmWin32DefinesRule.cxx, Source/cmWin32LibrariesRule.cxx:
	ENH:Documentation and cleanups

2001-01-11 19:47  will

	* Source/CMakeSetupCMD.cxx, Source/cmAddTargetRule.cxx,
	Source/cmAuxSourceDirectoryRule.cxx, Source/cmClassFile.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h, Source/cmDirectory.h,
	Source/cmFindProgramRule.h, Source/cmMSProjectGenerator.cxx,
	Source/cmMSProjectGenerator.h, Source/cmMakeDepend.h,
	Source/cmMakefile.h, Source/cmMakefileGenerator.h,
	Source/cmRegularExpression.cxx, Source/cmRegularExpression.h,
	Source/cmStandardIncludes.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmWindowsConfigure.cxx,
	Source/cmWindowsConfigure.h: ENH:Documentation and cleanups

2001-01-11 16:35  blezek

	* Source/cmWin32DefinesRule.cxx, Source/cmWin32LibrariesRule.cxx:
	BUG: Broken on non WIN32 platforms, changed SetEnableOff to
	EnabledOff

2001-01-11 13:04  will

	* Source/cmFindIncludeRule.h, Source/cmFindLibraryRule.h,
	Source/cmFindProgramRule.h, Source/cmIncludeDirectoryRule.h,
	Source/cmLibraryRule.h, Source/cmLinkDirectoriesRule.h,
	Source/cmLinkLibrariesRule.h, Source/cmProjectRule.h,
	Source/cmSourceFilesRequireRule.h, Source/cmSourceFilesRule.h,
	Source/cmSubdirRule.h, Source/cmTestsRule.h,
	Source/cmUnixDefinesRule.h, Source/cmUnixLibrariesRule.h,
	Source/cmWin32DefinesRule.h, Source/cmWin32LibrariesRule.h:
	ENH:Added documentation; clean-up

2001-01-10 22:29  will

	* Source/cmExecutablesRule.h, Source/cmFindIncludeRule.h:
	ENH:Beginning clean up; adding documentation

2001-01-10 22:13  will

	* Source/cmAuxSourceDirectoryRule.h: ENH:Beginning clean up; adding
	documentation

2001-01-10 22:05  will

	* Source/cmAbstractFilesRule.h, Source/cmAddTargetRule.h,
	Source/cmAuxSourceDirectoryRule.h, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.h, Source/cmExecutablesRule.h,
	Source/cmFindIncludeRule.h, Source/cmFindLibraryRule.h,
	Source/cmFindProgramRule.h, Source/cmIncludeDirectoryRule.h,
	Source/cmLibraryRule.h, Source/cmLinkDirectoriesRule.h,
	Source/cmLinkLibrariesRule.h, Source/cmProjectRule.h,
	Source/cmRuleMaker.h, Source/cmSourceFilesRequireRule.h,
	Source/cmSourceFilesRule.h, Source/cmSubdirRule.h,
	Source/cmTestsRule.h, Source/cmUnixDefinesRule.cxx,
	Source/cmUnixDefinesRule.h, Source/cmUnixLibrariesRule.cxx,
	Source/cmUnixLibrariesRule.h, Source/cmWin32DefinesRule.h,
	Source/cmWin32LibrariesRule.h: ENH:Beginning clean up; adding
	documentation

2001-01-09 20:13  hoffman

	* Source/cmUnixMakefileGenerator.cxx: BUG: look for -l and -L only
	at the begining of a link string

2001-01-05 18:49  blezek

	* Source/cmMakefileGenerator.cxx: BUG: Looking for
	cmMakeFileGenerator.h rather than cmMakefileGenerator.h

2001-01-05 18:49  blezek

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx: BUG: main
	can not be void under ANSI C++

2001-01-05 16:41  hoffman

	* Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/CMakeSetupCMD.dsp, Source/Makefile.in,
	Source/cmAbstractFilesRule.cxx, Source/cmAbstractFilesRule.h,
	Source/cmAddTargetRule.cxx, Source/cmAddTargetRule.h,
	Source/cmAuxSourceDirectoryRule.cxx,
	Source/cmAuxSourceDirectoryRule.h, Source/cmClassFile.cxx,
	Source/cmClassFile.h, Source/cmCollectFlags.cxx,
	Source/cmCollectFlags.h, Source/cmDSPMakefile.cxx,
	Source/cmDSPMakefile.h, Source/cmDSPWriter.cxx,
	Source/cmDSPWriter.h, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.h, Source/cmDirectory.cxx, Source/cmDirectory.h,
	Source/cmExecutablesRule.cxx, Source/cmExecutablesRule.h,
	Source/cmFindIncludeRule.cxx, Source/cmFindIncludeRule.h,
	Source/cmFindLibraryRule.cxx, Source/cmFindLibraryRule.h,
	Source/cmFindProgramRule.cxx, Source/cmFindProgramRule.h,
	Source/cmIncludeDirectoryRule.cxx, Source/cmIncludeDirectoryRule.h,
	Source/cmLibraryRule.cxx, Source/cmLibraryRule.h,
	Source/cmLinkDirectoriesRule.cxx, Source/cmLinkDirectoriesRule.h,
	Source/cmLinkLibrariesRule.cxx, Source/cmLinkLibrariesRule.h,
	Source/cmMSProjectGenerator.cxx, Source/cmMSProjectGenerator.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmMakefileGenerator.cxx, Source/cmMakefileGenerator.h,
	Source/cmProjectRule.cxx, Source/cmProjectRule.h,
	Source/cmRegularExpression.cxx, Source/cmRegularExpression.h,
	Source/cmRuleMaker.h, Source/cmSourceFilesRequireRule.cxx,
	Source/cmSourceFilesRequireRule.h, Source/cmSourceFilesRule.cxx,
	Source/cmSourceFilesRule.h, Source/cmStandardIncludes.h,
	Source/cmSubdirRule.cxx, Source/cmSubdirRule.h,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmTestsRule.cxx, Source/cmTestsRule.h,
	Source/cmUnixDefinesRule.cxx, Source/cmUnixDefinesRule.h,
	Source/cmUnixLibrariesRule.cxx, Source/cmUnixLibrariesRule.h,
	Source/cmUnixMakefile.cxx, Source/cmUnixMakefile.h,
	Source/cmUnixMakefileGenerator.cxx,
	Source/cmUnixMakefileGenerator.h, Source/cmWin32DefinesRule.cxx,
	Source/cmWin32DefinesRule.h, Source/cmWin32LibrariesRule.cxx,
	Source/cmWin32LibrariesRule.h, Source/cmWindowsConfigure.cxx,
	Source/cmWindowsConfigure.h, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: rework cmake, added
	ruleMaker classes and changed the syntax of the CMakeLists.txt
	files.

2000-12-07 20:45  blezek

	* Source/cmMakefile.cxx: ENH: Added TESTS target

2000-11-22 16:02  hoffman

	* Source/cmMakeDepend.cxx: BUG: remove bogus warning about not
	finding a depend file, if there are no include paths

2000-11-10 22:13  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: BUG: fix inplace build

2000-11-09 15:41  will

	* README, Source/cmCollectFlags.cxx, Source/cmCollectFlags.h,
	Source/cmWindowsConfigure.cxx: ENH:Changed CMAKE_SOURCE_ROOT to
	CMAKE_SOURCE_DIR

2000-11-03 21:37  hoffman

	* README: [no log message]

2000-11-03 21:37  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h: ENH: add ability to run from
	different directories

2000-11-02 16:13  hoffman

	* Source/cmMakefile.cxx: BUG: make sure SOURCE_FILES starts at the
	begining of line

2000-11-02 15:56  blezek

	* CMakeVariables.make.in: ENH: Moved @JAVA@ to @JAVACOMMAND@

2000-11-02 15:24  will

	* README, Source/cmClassFile.cxx, Source/cmMakefile.cxx:
	ENH:Reworked CMake to clearer indicate what the variables do

2000-10-25 21:18  hoffman

	* Source/cmSystemTools.cxx, Source/cmSystemTools.cxx: BUG: remove
	tabs from classnames

2000-10-04 13:58  lorensen

	* CMakeVariables.make.in: Enh: Added TCLSH

2000-10-02 18:21  blezek

	* Source/CMakeBuildTargets.cxx: BUG: if the path to your source
	directory has a -S in it, it will be picked up as the source
	directory by the command line parser, because it matches -S at any
	character position in the argements.  Bad, should have used getopt,
	except that it is not cross platform.

2000-10-02 17:50  blezek

	* CMakeVariables.make.in: ENH: Support for XML builds and Dashboard

2000-09-28 16:43  blezek

	* README: ENH: Added note about VERBATIM targets in CMakeList.txt

2000-09-27 19:01  hoffman

	* CMakeMaster.make.in, CMakeRules.make.in, CMakeVariables.make.in,
	README, Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmUnixMakefile.cxx, Source/cmUnixMakefile.h: ENH: change ME
	to LIBRARY and added PROJECT, also remove ITK stuff and replaced
	with CMake

2000-09-21 17:45  hoffman

	* README, Source/CMakeBuildTargets.cxx, Source/CMakeSetupCMD.cxx,
	Source/cmCollectFlags.cxx, Source/cmCollectFlags.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWMakefile.cxx, Source/cmDSWWriter.cxx,
	Source/cmMakeDepend.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmUnixMakefile.cxx,
	Source/itkVC60Configure.cxx, Source/itkVC60Configure.h: ENH: clean
	up code, and varible names

2000-09-18 14:19  hoffman

	* Source/cmUnixMakefile.cxx: BUG: remove cout

2000-09-18 13:19  hoffman

	* CMakeRules.make.in, CMakeVariables.make.in, README,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmMakeDepend.cxx, Source/cmUnixMakefile.cxx,
	Source/cmWindowsConfigure.cxx, Source/cmWindowsConfigure.h,
	Source/MFCDialog/CMakeSetup.dsp, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp, Source/MFCDialog/resource.h:
	ENH: added a config setup file for CMakeSetup.	 Cleaned up the
	names of the source and binary directories

2000-09-18 11:27  hoffman

	* Source/CMakeSetupCMD.dsp, Source/MFCDialog/CMakeSetup.dsp: ENH:
	remove unused files

2000-09-12 10:44  hoffman

	* CMakeRules.make.in, CMakeVariables.make.in: BUG: fix build in
	place source directory

2000-09-12 09:37  hoffman

	* Source/cmCollectFlags.cxx, Source/cmCollectFlags.h: NEW: class to
	collect all the flags from parent directories

2000-09-12 09:30  hoffman

	* CMakeMaster.make.in, CMakeRules.make.in, CMakeTargets.make.in,
	CMakeVariables.make.in, MakefileTemplate.in, README,
	Source/CMakeBuildTargets.cxx, Source/CMakeSetup.cxx,
	Source/CMakeSetup.dsw, Source/CMakeSetupCMD.cxx,
	Source/CMakeSetupCMD.dsp, Source/Makefile.in,
	Source/cmClassFile.cxx, Source/cmClassFile.h,
	Source/cmDSPBuilder.cxx, Source/cmDSPBuilder.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPWriter.cxx,
	Source/cmDSWBuilder.cxx, Source/cmDSWBuilder.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMakeDepend.cxx, Source/cmMakefile.cxx,
	Source/cmMakefile.h, Source/cmPCBuilder.cxx, Source/cmPCBuilder.h,
	Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	Source/cmUnixMakefile.cxx, Source/cmUnixMakefile.h,
	Source/cmWindowsConfigure.h, Source/itkVC60Configure.h,
	Source/MFCDialog/CMakeDialog.cpp, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH: CMake and configure now
	use SUBDIRS in CMakeLists.txt to find all the directories of the
	system.

2000-09-01 14:43  hoffman

	* Source/EXEHeader.dsptemplate, Source/cmSystemTools.cxx: BUG: fix
	release build on windows

2000-08-31 18:26  hoffman

	* CMakeVariables.make.in, Source/cmUnixMakefile.cxx: BUG: fix build
	of lib.a problem

2000-08-31 18:15  hoffman

	* Source/CMakeSetup.dsw, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx: BUG: fix name of command line version in
	dsp files

2000-08-31 17:52  hoffman

	* CMakeSimpleRules.make: ENH: fix for Sgi make

2000-08-31 17:52  hoffman

	* CMakeSimpleRules.make, CMakeSimpleRules.make.in: BUG: fix for out
	of source build

2000-08-31 13:36  hoffman

	* CMakeRules.make.in, Source/Makefile.in,
	Source/cmUnixMakefile.cxx: ENH: fix for SGI make

2000-08-31 10:36  hoffman

	* CMakeVariables.make.in, README: ENH: clean things up a bit

2000-08-30 17:59  hoffman

	* Source/cmDirectory.cxx, Source/cmDirectory.h,
	MakefileTemplate.in: ENH: add ability to compile all the files in a
	sub-directory

2000-08-30 17:35  hoffman

	* CMakeRules.make.in, CMakeVariables.make.in, README,
	Source/CMakeSetupCMD.dsp, Source/Makefile.in,
	Source/cmClassFile.cxx, Source/cmDSPMakefile.cxx,
	Source/cmDSPWriter.cxx, Source/cmDSWMakefile.cxx,
	Source/cmDSWWriter.cxx, Source/cmMakefile.cxx, Source/cmMakefile.h,
	Source/cmUnixMakefile.cxx, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetupDialog.cpp: ENH:  move from tools and
	create working CMake program

2000-08-29 19:26  hoffman

	* CMakeMaster.make.in, CMakeRules.make.in, CMakeVariables.make.in,
	Source/CMakeBuildTargets.cxx, Source/CMakeSetup.cxx,
	Source/CMakeSetup.dsw, Source/CMakeSetupCMD.cxx,
	Source/CMakeSetupCMD.dsp, Source/EXEFooter.dsptemplate,
	Source/EXEHeader.dsptemplate, Source/Makefile.in,
	Source/cmClassFile.cxx, Source/cmClassFile.h,
	Source/cmDSPBuilder.cxx, Source/cmDSPBuilder.h,
	Source/cmDSPMakefile.cxx, Source/cmDSPMakefile.h,
	Source/cmDSPWriter.cxx, Source/cmDSPWriter.h,
	Source/cmDSWBuilder.cxx, Source/cmDSWBuilder.h,
	Source/cmDSWMakefile.cxx, Source/cmDSWMakefile.h,
	Source/cmDSWWriter.cxx, Source/cmDSWWriter.h,
	Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmPCBuilder.cxx,
	Source/cmPCBuilder.h, Source/cmRegularExpression.cxx,
	Source/cmRegularExpression.h, Source/cmSystemTools.cxx,
	Source/cmSystemTools.h, Source/cmUnixMakefile.cxx,
	Source/cmUnixMakefile.h, Source/cmWindowsConfigure.cxx,
	Source/cmWindowsConfigure.h, Source/itkVC60Configure.cxx,
	Source/itkVC60Configure.h, Source/staticLibFooter.dsptemplate,
	Source/staticLibHeader.dsptemplate,
	Source/MFCDialog/CMakeDialog.cpp, Source/MFCDialog/CMakeDialog.h,
	Source/MFCDialog/CMakeSetup.cpp, Source/MFCDialog/CMakeSetup.dsp,
	Source/MFCDialog/CMakeSetup.h, Source/MFCDialog/CMakeSetup.rc,
	Source/MFCDialog/CMakeSetupDialog.cpp,
	Source/MFCDialog/CMakeSetupDialog.h, Source/MFCDialog/StdAfx.cpp,
	Source/MFCDialog/StdAfx.h, Source/MFCDialog/resource.h,
	Source/MFCDialog/res/CMakeSetupDialog.ico,
	Source/MFCDialog/res/CMakeSetupDialog.rc2, README: NEW: move from
	tools and config to create CMake

2000-08-29 14:56  hoffman

	* CMakeMaster.make.in, CMakeRules.make.in, CMakeVariables.make.in,
	dummy.in: [no log message]

